2021-10-03  Jim Meyering  <meyering@fb.com>

	version 1.16.5

	* configure.ac (AC_INIT): Bump version number to 1.16.5.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").
	* NEWS: Record release version.

2021-10-03  Jim Meyering  <meyering@fb.com>

	maint: don't use obsolescent "egrep"

	* maintainer/syntax-checks.mk (sc_perl_local): Use grep -E
	in place of "egrep".

2021-10-03  Jim Meyering  <meyering@fb.com>

	maint: remove trailing white space from a few files

	* NEWS: Remove trailing white space.
	* NEWS-2.0: Likewise.
	* contrib/checklinkx: Likewise.
	* doc/local.mk (chlx_args): Likewise.
	* m4/python.m4: Likewise.
	* t/test-extensions-empty.sh: Likewise.

2021-09-28  Karl Berry  <karl@freefriends.org>

	doc: show "RUNNING: <testname>" example using [AM_]TESTS_ENVIRONMENT.

	This change addresses https://bugs.gnu.org/49309.

	* doc/automake.texi (Testsuite Environment Overrides): new
	subsubsection, separating out [AM_]TESTS_ENVIRONMENT description.
	Add example to get "RUNNING: <testname>" when a test starts.

2021-09-28  Karl Berry  <karl@freefriends.org>

	doc: tweak Yacc/Lex text; subnode for the yacc linking hack.

	* doc/automake.texi (Alternative): remove obsolete footnote.
	(Yacc and Lex): tweak wording, more consistent capitalization.
	(Linking Multiple Yacc Parsers): new subsection.

	Also add @shortcontents.
	Also update texinfo-master-menu (for the first time in ages).

2021-09-26  Karl Berry  <karl@freefriends.org>

	maint: Update files from upstream with 'make fetch'.

	* lib/config.sub: Update.

2021-09-19  Jim Meyering  <meyering@fb.com>

	maint: Post-release administrivia

	* configure.ac (AC_INIT): Bump version number to 1.16h.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2021-09-19  Jim Meyering  <meyering@fb.com>

	maint: adjust version for snapshot

	* configure.ac (AC_INIT): Bump version number to 1.16g for snapshot.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2021-09-19  Karl Berry  <karl@freefriends.org>

	python: only use Python's sys.* values if the new option

	--with-python-sys-prefix is specified; otherwise, return to
	previous behavior of using the GNU ${prefix} and ${exec_prefix}.

	* doc/automake.texi (Python): document the new behavior.
	* m4/python.m4 (AM_PATH_PYTHON): conditionalize use of Python's
	sys.* values on the new option --with-python-sys-prefix.
	* t/python-prefix.sh: doc update.
	* t/python-vars.sh: test both GNU and Python prefix values.
	* NEWS: mention this.

2021-09-18  Karl Berry  <karl@freefriends.org>

	doc: update NEWS for yyerror const arg; update THANKS.

	* THANKS: update with missed recent committer.
	* NEWS: mention yyerror decl in our tests now uses const.

2021-09-11  Akim Demaille  <akim@lrde.epita.fr>

	tests: let yacc's yyerror take its argument as a const string

	Some of yacc error messages are const strings; it makes no sense for
	yyerror to take a 'char *', it should be a 'const char *' as POSIX now
	requires.

	Fixes all the failures reported by Kiyoshi Kanazawa.
	<https://lists.gnu.org/r/bug-bison/2021-09/msg00005.html>
	See bug#50469 <https://debbugs.gnu.org/50469>.

	* t/cond35.sh, t/silent-many-languages.sh, t/silent-yacc-headers.sh,
	* t/silent-yacc.sh, t/subpkg-yacc.sh, t/suffix10.tap, t/yacc-basic.sh,
	* t/yacc-clean.sh, t/yacc-d-basic.sh, t/yacc-d-vpath.sh,
	* t/yacc-deleted-headers.sh, t/yacc-depend.sh, t/yacc-depend2.sh,
	* t/yacc-dist-nobuild-subdir.sh, t/yacc-dist-nobuild.sh, t/yacc-dry.sh,
	* t/yacc-line.sh, t/yacc-misc.sh, t/yacc-mix-c-cxx.sh, t/yacc-nodist.sh,
	* t/yacc-pr204.sh, t/yacc-subdir.sh, t/yacc-vpath.sh,
	* t/yflags-cmdline-override.sh, t/yflags-force-override.sh
	(yyerror): From 'char *' to 'const char *'.
	Enforce consistency: prefer '{}' to '{ return; }'.

2021-09-10  Jan Engelhardt  <jengelh@inai.de>

	automake: consistently depend on install-libLTLIBRARIES.

	Report and patch:
	https://lists.gnu.org/archive/html/automake/2021-08/msg00016.html

	* bin/automake.in (generate_makefile): depend on
	install-libLTLIBRARIES for all PROGRAMS and LTLIBRARIES,
	such as install-pkglibLTLIBRARIES.
	* NEWS: mention this.

2021-08-17  Nick Bowler  <nbowler@draconx.ca>

	automake: fatal error on second AM_INIT_AUTOMAKE.

	This change addresses https://bugs.gnu.org/50046.
	Patch posted:
	https://lists.gnu.org/archive/html/automake-patches/2021-08/msg00000.html

	* m4/init.m4: Make attempts to expand AM_INIT_AUTOMAKE more than
	once a fatal error at m4 time.

2021-08-08  Karl Berry  <karl@freefriends.org>

	maint: Update doc/help2man.

	* doc/help2man: update to 1.48.24

2021-08-07  Karl Berry  <karl@freefriends.org>

	maint: Update doc/help2man.

	* doc/help2man: update to 1.48.2.

2021-08-07  Dimitri Papadopoulos  <dimitri.papadopoulos@gmail.com>

	doc: typos from codespell.

	* HACKING: typo from codespell.
	* doc/local.mk: likewise.
	* lib/am/header-vars.am: likewise.
	* lib/am/lisp.am: likewise.
	* t/cond24.sh: likewise.
	* t/cond36.sh: likewise.
	* t/dist-auxdir-many-subdirs.sh: likewise.
	* t/link_override.sh: likewise.
	* t/parallel-tests-console-output.sh: likewise.
	* t/subobj11a.sh: likewise.
	* t/subobj11b.sh: likewise.

2021-07-26  Karl Berry  <karl@freefriends.org>

	cosmetics: py-compile consistently use test, not [ ... ]; indentation.

	* lib/py-compile: consistently use test rather than [ ... ];
	use consistent sh indentation; check exit status consistently.

2021-07-26  Jim Meyering  <meyering@fb.com>

	maint: Post-release administrivia

	* configure.ac (AC_INIT): Bump version number to 1.16f.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2021-07-25  Jim Meyering  <meyering@fb.com>

	version 1.16.4

	* configure.ac (AC_INIT): Bump version number to 1.16.4.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").
	* NEWS: Record release version.

2021-07-22  Karl Berry  <karl@freefriends.org>

	maint: Update files from upstream with 'make fetch'.

	* lib/gendocs.sh: Update.

2021-07-18  Jim Meyering  <meyering@fb.com>

	maint: adjust version, post-snapshot

	* configure.ac (AC_INIT): Bump version number to 1.16e for snapshot.
	* m4/amversion.m4: Regenerate.

2021-07-18  Jim Meyering  <meyering@fb.com>

	maint: adjust version for snapshot

	* configure.ac (AC_INIT): Bump version number to 1.16d for snapshot.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2021-07-18  Jim Meyering  <meyering@fb.com>

	doc: NEWS tweak

	* NEWS: Indent consistently.

2021-07-17  Karl Berry  <karl@freefriends.org>

	doc: update HACKING.

	* HACKING: update for some current realities.

2021-07-15  Jacob Bachmeyer  <jcb@gnu.org>

	tests: use testsuite/ directory in DejaGnu tests

	Patch posted:
	https://lists.gnu.org/archive/html/automake-patches/2021-07/msg00009.html

	* t/check12.sh: Consistently use the directory name, testsuite/,
	for all DejaGnu tests, and always use recursive make to run
	DejaGnu, for backward and forward compatibility.
	* t/dejagnu3.sh: Likewise.
	* t/dejagnu4.sh: Likewise.
	* t/dejagnu5.sh: Likewise.
	* t/dejagnu6.sh: Likewise.
	* t/dejagnu7.sh: Likewise.
	* t/dejagnu-absolute-builddir.sh: Likewise.
	* t/dejagnu-relative-srcdir.sh: Likewise.
	* t/dejagnu-siteexp-extend.sh: Likewise.
	* t/dejagnu-siteexp-useredit.sh: Likewise.
	* NEWS: mention this.
	* THANKS: new contributor.

2021-07-15  Nick Gasson  <nick@nickg.me.uk>

	automake: silent make output for custom link commands.

	Patch posted:
	https://lists.gnu.org/archive/html/automake-patches/2021-07/msg00010.html

	* bin/automake.in (define_per_target_linker_variable): Use
	AM_V_${target}_LINK if defined as the verbose variable name for
	custom link commands.
	* doc/automake.texi (Program and Library Variables): Document the new
	variable.
	* t/link_override.sh: Add extra checks for silent make rules.
	* NEWS: Mention this.
	* THANKS: new contributor.

2021-07-11  meyering  <meyering@hx.meyering.net.(none)>

	maint: avoid syntax-check failures

	* maintainer/syntax-checks.mk (toupper): Tighten the regexp
	to avoid a new false-match in t/python-prefix.sh.
	* t/instmany-python.sh: Use run_make in place of some $MAKE uses.
	* t/python-prefix.sh: Likewise.
	* t/python-vars.sh: Likewise.

2021-07-11  Jim Meyering  <meyering@fb.com>

	maint: make update-copyright

2021-07-11  Allison Karlitskaya  <allison.karlitskaya@redhat.com>

	maint: tweak comment wording

	* doc/automake.texi (List of Automake options): Nit.
	* t/dist-no-built-sources.sh: Likewise.

2021-07-11  Jim Meyering  <meyering@fb.com>

	no-dist-built-sources: fix-up

	* bin/automake.in (preprocess_file): Process new option here,
	(handle_dist): ... not here.
	* lib/Automake/Options.pm (_is_valid_easy_option):
	Remove pure-dist.
	* lib/am/distdir.am: Don't factor out the duplicate-looking
	$(MAKE)... command.  Otherwise, many dist-using tests would fail
	for me, e.g., t/aclocal-amflags.sh.

2021-07-11  Jim Meyering  <meyering@fb.com>

	test: disable use of ksh in a test that would otherwise hang

	* t/tests-environment-fd-redirect.sh: This test would hang when
	using ksh93 from Fedora 34 and CentOS 8.  Comments demonstrate
	the issue reported as https://github.com/ksh93/ksh/issues/316

2021-07-11  Karl Berry  <karl@freefriends.org>

	doc: update THANKS.

	* THANKS: mention contributors over the past couple years.

2021-07-09  Allison Karlitskaya  <allison.karlitskaya@redhat.com>

	dist: add new "dist-no-built-sources" automake option.

	Fixes automake bug https://debbugs.gnu.org/49317.

	* bin/automake.in: implement new option "no-dist-built-sources" to
	omit the dependency of distdir on $(BUILT_SOURCES).  (Allison's
	original patch used the option name dist-pure; trivially renamed.)
	* lib/am/distdir.am (distdir) [DIST_BUILT_SOURCES]: conditionalize
	the dependency.
	* lib/Automake/Options.pm (_is_valid_easy_option): list it.
	* doc/automake.texi (List of Automake options): document it.
	* NEWS: mention it.
	* t/dist-no-built-sources.sh: test it.
	* t/list-of-tests.mk (handwritten_TESTS): add it.

2021-07-07  Karl Berry  <karl@freefriends.org>

	maint: missed commits.

	* INSTALL: Update from gnulib via make fetch.
	* NEWS: mention config.{guess,sub} restoration of `...`.

2021-07-05  Karl Berry  <karl@freefriends.org>

	maint: Update files from upstream with 'make fetch'

	* lib/INSTALL: Update.
	* lib/config.guess: Likewise.
	* lib/config.sub: Likewise.
	* lib/gendocs.sh: Likewise.
	* lib/gendocs_template: Likewise.
	* lib/gitlog-to-changelog: Likewise.
	* lib/gnupload: Likewise.
	* lib/texinfo.tex: Likewise.
	* lib/update-copyright: Likewise.

2021-07-05  Karl Berry  <karl@freefriends.org>

	tests: forgot to remove dev exit 33 from new test.

	* t/toplevelmd.sh: normal ending.

2021-07-01  Karl Berry  <karl@freefriends.org>

	dist: accept .md versions for README et al.

	This change was suggested by madmurphy; some ideas were taken
	from the patch he provided.
	https://lists.gnu.org/archive/html/automake-patches/2021-06/msg00005.html

	* bin/automake.in (@toplevelmd_ok): new global, listing the files
	for which we will accept .md versions.
	(@common_files): remove those files from there.
	(handle_dist): check for .md if non-.md is absent.
	(handle_minor_options): check for README-alpha.md.
	(check_gnu_standards): accept .md version if present.
	(check_gnits_standards): likewise.
	(usage): output list of .md-accepted files.
	* doc/automake.texi (Basics of Distribution): document.

	* t/toplevelmd.sh: new test.
	* t/list-of-tests.mk (handwritten_tests): add it.
	* NEWS: mention new feature.

2021-06-08  Karl Berry  <karl@freefriends.org>

	doc: omit "really" from manual.

	* doc/automake.texi: remove or replace "really".

2021-06-07  Karl Berry  <karl@freefriends.org>

	doc: --always-make doesn't work.

	* doc/automake.texi (Rebuilding): the GNU Make option
	--always-make does not work with Automake.
	Report from Johan Persson,
	https://lists.gnu.org/archive/html/automake/2021-06/msg00002.html.
	Also, use "GNU Make" (capital M) more consistently.

2021-05-18  Karl Berry  <karl@freefriends.org>

	doc: wording.

	* README:
	* t/python-virtualenv.sh:
	* doc/automake.texi: wording, typos, etc.

2021-05-18  Karl Berry  <karl@freefriends.org>

	doc: move future 2.0 incompatibilities to separate file.

	* NEWS: move info to ...
	* NEWS-2.0: ... this new file.
	* Makefile.am (EXTRA_DIST): add it.

2021-05-18  Karl Berry  <karl@freefriends.org>

	python: new python-prefix test.

	* t/python-prefix.sh: new test.
	* t/list-of-tests.mk (handwritten_tests): add it.
	* NEWS: describe new Python prefix behavior.

2021-05-18  Joshua Root  <jmr@macports.org>

	python: use Python's sys.prefix and sys.exec_prefix

	for PYTHON_PREFIX and PYTHON_EXEC_PREFIX; new configure options
	--with-python_prefix and --with-python_exec_prefix to set explicitly.

	This change fixes https://bugs.gnu.org/35322.

	* m4/python.m4 (AM_PATH_PYTHON): use Python's sys.prefix and
	sys.exec_prefix for PYTHON_PREFIX and PYTHON_EXEC_PREFIX,
	instead of $prefix and $exec_prefix. But use a variable
	reference to ${prefix} if it is contained within sys.prefix;
	similarly for exec_prefix. Also support new configure options
	to set explicitly.
	(PYTHON_PREFIX, PYTHON_EXEC_PREFIX): AC_SUBST these.
	(am_cv_python_pythondir): use our new $am_cv_python_prefix,
	substituting ${PYTHON_PREFIX}.
	(am_cv_python_pyexecdir): likewise.
	* doc/automake.texi (Python): PYTHON_PREFIX, PYTHON_EXEC_PREFIX,
	document new approach.
	* t/instmany-python.sh: set PYTHON_PREFIX as needed.
	* t/python-vars.sh (PYTHON_EXEC_PREFIX, PYTHON_PREFIX): also set from
	Python's sys.{exec_,}prefix; use ${PYTHON_{EXEC,}PREFIX} instead
	of ${exec_,}prefix.

2021-05-12  Karl Berry  <karl@freefriends.org>

	doc: HACKING updates.

	* HACKING: some additional tidbits.

2021-02-27  Dirk Mueller  <josef.moellers@suse.com>

	automake: sort hash keys needed for reproducible output.

	This change fixes https://bugs.gnu.org/46744.

	* bin/automake.in: sort keys, in: handle_LIBOBJS, handle_clean,
	 handle_factored_dependencies, scan_autoconf_traces,
	 lang_vala_finish.
	* NEWS: mention this.

2021-02-22  Karl Berry  <karl@freefriends.org>

	doc: a_LDFLAGS always overrides AM_LDFLAGS.

	This change addresses https://bugs.gnu.org/34925.

	* doc/automake.texi (Program and Library Variables): document
	that using a_LDFLAGS at all, even in the false branch of a
	conditional, means that AM_LDFLAGS is ignored.

2021-02-21  Mike Frysinger  <vapier@gentoo.org>

	doc: [AM_]RUNTESTFLAGS not [AM_]RUNTESTDEFAULTFLAGS.

	* doc/automake.texi (Other Variables): Change [AM_]RUNTESTDEFAULTFLAGS
	to [AM_]RUNTESTFLAGS.

2021-02-11  Karl Berry  <karl@freefriends.org>

	doc: user flags last does not always allow overriding.

	This change addresses https://bugs.gnu.org/35526.

	* doc/automake.texi (Flag Variables Ordering): recognize that
	user flags last does not always allow overriding.

2021-01-06  Karl Berry  <karl@freefriends.org>

	doc: discuss AC_* ordering a little.

	* doc/automake.texi (Optional): mention that AC_CONFIG_AUX_DIR
	must be called before AM_INIT_AUTOMAKE, and recommend that other
	AC_CONFIG_* macros be called after.  This seems to be the most
	common practice.  Autoconf does not currently impose ordering:
	https://savannah.gnu.org/support/?110416

2020-12-14  Zack Weinberg  <zackw@panix.com>

	Fix some build and test failures with Autoconf 2.70.

	Autoconf 2.70 (released last week) makes a few changes that broke Automake’s
	expectations, mostly in the test suite.  This patch addresses two of the
	problems:

	 - autoconf now issues a warning if fed a configure script that doesn’t invoke
	   both AC_INIT and AC_OUTPUT; this, plus a problem with system-provided
	   tools (still under investigation) broke the *build* on macOS; it also
	   causes a couple of spurious testsuite failures.

	 - AC_PACKAGE_NAME and AC_PACKAGE_VERSION are now defined unconditionally.
	   AM_INIT_AUTOMAKE needs to use m4_ifset instead of m4_ifdef to diagnose
	   the obsolete use of AC_INIT with fewer than two arguments.  (This change
	   is compatible with autoconf 2.69; m4_ifset is much older, and it means
	   ‘defined with a non-empty value’.)

	* configure.ac: Use both AC_INIT and AC_OUTPUT in test configure scripts.
	* t/deprecated-acinit.sh, t/init.sh: Likewise.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Use m4_ifset, not m4_ifdef, to detect
	  AC_PACKAGE_NAME and/or AC_PACKAGE_VERSION not having a value.

2020-12-13  Karl Berry  <karl@freefriends.org>

	python: don't assume $(...) in py-compile.

	This change (very) partially fixes https://bugs.gnu.org/45205.

	* lib/py-compile: use `...` instead of $(...).
	Solaris 10 /bin/sh is still in use.

2020-12-09  Karl Berry  <karl@freefriends.org>

	tests: more .NOTPARALLEL tests.

	* t/java-compile-run-nested.sh: .NOTPARALLEL in subdirs too.

2020-12-08  Karl Berry  <karl@freefriends.org>

	tests: more .NOTPARALLEL tests.

	* contrib/t/multilib.sh: yet more .NOTPARALLEL for AM_TESTSUITE_MAKE,
	found by Jim on heavier machines.
	* t/autodist-stamp-vti.sh: likewise.
	* t/java-compile-run-nested.sh: likewise.
	* t/transform2.sh: likewise.

2020-12-07  Karl Berry  <karl@freefriends.org>

	tests: more .NOTPARALLEL tests.

	* contrib/t/multilib.sh: use .NOTPARALLEL to avoid unreproducible
	(and undebuggable, by me) test failures when running
	  make -j$njobs AM_TESTSUITE_MAKE="make -j$njobs"
	for some arbitrary but rather large value of $njobs.
	The failures don't occur with just make -j; have to run the makes
	inside the tests in parallel also.
	* t/java-compile-install.sh: likewise.
	* t/java-compile-run-flat.sh: likewise.
	* t/java-uninstall.sh: likewise.
	* t/vala-headers.sh: likewise.

2020-12-05  Karl Berry  <karl@freefriends.org>

	doc: comment Vala -newer test.

	This change updates https://bugs.gnu.org/44772.

	* bin/automake.in (lang_vala_finish_target): comment that
	we're checking "C file not older than Vala file", and the
	log message misleadingly says "reversed".

2020-12-05  Reuben Thomas  <rrt@sc3d.org>

	tags: support setting CTAGS, ETAGS, CSCOPE vars via ./configure.

	This change fixes https://bugs.gnu.org/45013.

	* m4/init.m4: add default settings and AC_SUBST calls for the variables
	  `CTAGS', `ETAGS' and `CSCOPE'.
	* lib/am/tags.am: remove default settings of the above variables.
	* doc/automake.texi (Tags): mention and index.
	* NEWS: mention.

2020-12-03  Karl Berry  <karl@freefriends.org>

	warnings: be less forceful about a missing subdir-objects option.

	This change somewhat ameliorates https://bugs.gnu.org/20699.

	* bin/automake.in (handle_single_transform): change
	forward-incompatibility message for subdir-objects to be
	less draconian and less certain that the change will ever be made.
	* t/subobj.sh: message text has changed.
	* doc/automake.texi (Program and Library Variables): mention
	the unfortunate fact that one directory can clean in a sibling,
	subdir-objects notwithstanding.

2020-11-27  Karl Berry  <karl@freefriends.org>

	tests: .NOTPARALLEL test-driver-create-log-dir.

	* t/test-driver-create-log-dir.sh (.NOTPARALLEL): add target,
	since the two tests under sub/ seem to have a race condition.
	No evident way to debug or reliably reproduce. Reported by Jim.

2020-11-27  Reuben Thomas  <rrt@sc3d.org>

	vala: avoid wrong regeneration of C files.

	This change might fix https://bugs.gnu.org/44772.

	* bin/automake.in (lang_val_finish_target): reverse -newer test
	to handle files being created at the same time causing
	spurious rebuilds.

2020-11-24  Karl Berry  <karl@freefriends.org>

	doc: typo.

	This change fixes https://bugs.gnu.org/44845.

	* doc/automake.texi (Vala Support): zardoz.c not zardoc.c.

2020-11-23  Karl Berry  <karl@freefriends.org>

	tests: create log file before running the test script.

	This change partially fixes https://bugs.gnu.org/35762.

	* lib/test-driver: create $log_file before running the
	test script. Also quote $log_file. Combined suggestions
	from howaboutsynergy and Eric Blake.

2020-11-22  Karl Berry  <karl@freefriends.org>

	doc: mention overriding SUBDIRS= with TESTS= and recursive make.

	This change palliates https://bugs.gnu.org/42883,
	though it's not a real fix.

	* doc/automake.texi (Parallel Test Harness): with recursive
	make, when limiting the tests run, also presumably needed to
	override SUBDIRS.

2020-11-18  Jim Meyering  <meyering@fb.com>

	maint: Post-release administrivia

	* configure.ac (AC_INIT): Bump version number to 1.16b.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2020-11-18  Jim Meyering  <meyering@fb.com>

	version 1.16.3

	* configure.ac (AC_INIT): Bump version number to 1.16.3.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").
	* NEWS: Record release version.

2020-11-16  Jim Meyering  <meyering@fb.com>

	tests: correct preceding change.

	* t/auxdir-pr19311.sh: Fix error in case stmt and match more
	upcoming versions.

2020-11-16  Jim Meyering  <meyering@fb.com>

	tests: auxdir-pr19311.sh no longer fails with latest autoconf

	* t/list-of-tests.mk (XFAIL_TESTS): Remove from this list.
	* t/auxdir-pr19311.sh: Instead, run this test only when autoconf
	is 2.69d or newer.  Otherwise, skip it.

2020-11-16  Jim Meyering  <meyering@fb.com>

	maint: placate maintainer-check's rm -f check

	* t/vala-recursive-setup.sh: Add an unnecessary -f option
	to an rm invocation to avoid "make maintainer-check" failure.

2020-11-15  Jim Meyering  <meyering@fb.com>

	maint: Update files from upstream with 'make fetch'

	* lib/config.guess: Update.
	* lib/config.sub: Likewise.
	* lib/texinfo.tex: Likewise.

2020-11-15  Jim Meyering  <meyering@fb.com>

	tests: avoid missing .dvi failure with parallel tests

	* t/txinfo-no-clutter.sh: Tests of texinfo-related rules
	had overlap that made them fail often when some rules were
	run in parallel, so inhibit parallelism in that one directory.
	See discussion starting at
	https://lists.gnu.org/r/automake-patches/2020-11/msg00011.html

2020-11-15  Jim Meyering  <meyering@fb.com>

	tests: protect against parallel false failure

	* t/parallel-tests-console-output.sh: Do not depend on the order
	of items in test summary. With a parallel test run, they may
	appear in a different order, e.g., when running tests like this:
	  make check AM_TESTSUITE_MAKE='make -j14'
	Sort the expected output and the actual output before comparing.

2020-11-15  Jim Meyering  <meyering@fb.com>

	doc: fix quoting in suggested parallel test invocation

	* t/README: Fix reversed single/double quotes.

2020-11-14  Jim Meyering  <meyering@fb.com>

	tests: accommodate an $ac_aux_dir of "." or "./"

	* t/auxdir-pr15981.sh: This test would fail when run with
	autoconf-2.69d because $ac_aux_dir would be "./" rather than
	the expected ".".  Accept both.

2020-11-14  Jim Meyering  <meyering@fb.com>

	tests: avoid failures due to missing ar-lib

	* t/ar4.sh: Create dummy ar-lib, as done in other tests,
	to avoid failure like this:
	configure: error: cannot find required auxiliary files: ar-lib
	* t/ar5.sh: Likewise.

2020-11-13  Karl Berry  <karl@freefriends.org>

	install-sh: trailing whitespace.

	* lib/install-sh: remove trailing whitespace. Sigh.
	(scriptversion): 2020-11-14.01

2020-11-13  Robert Menteer  <reetnem@mac.com>

	dejagnu: quote `pwd` when writing "set objdir" line to site.exp.

	This change fixes https://bugs.gnu.org/44600.

	* lib/am/dejagnu.am (site.exp): quote set objdir line.
	* NEWS: mention this.

2020-11-12  Karl Berry  <karl@freefriends.org>

	install-sh: new option -S SUFFIX for simple file backups.

	* lib/install-sh: implement and document -S.
	Patch sent by Julien Elie:
	        https://lists.gnu.org/archive/html/automake-patches/2018-03/msg00004.html
	(scriptversion): 2020-11-13.01
	* t/install-sh-option-S.sh: new test.
	* t/list-of-tests.mk (handwritten_tests): add it.
	* NEWS: mention it.

2020-11-10  Karl Berry  <karl@freefriends.org>

	install-sh: --help tweaks.

	* lib/install-sh (usage): avoid too-long line, mention
	bug reporting address (bug-automake) and automake home page.

2020-11-10  Karl Berry  <karl@freefriends.org>

	install-sh: new option -p to preserve mtime.

	* lib/install-sh: new option -p to call cp -p.
	Idea from patch sent by Julien Elie:
	https://lists.gnu.org/archive/html/automake-patches/2018-03/msg00002.html
	(scriptversion): 2020-11-11.02
	* NEWS: mention this.

	2020-11-10  Karl Berry  <karl@freefriends.org>

2020-11-10  Karl Berry  <karl@freefriends.org>

	vala: forgot to update lists-of-tests.mk.

	* t/list-of-tests.mk (handwritten_tests): include
	t/vala-libs-distcheck.sh and t/vala-libs-vpath.sh.
	Should have been committed with 2020-10-29 vala change,
	but somehow missed.

	2020-11-10  Karl Berry  <karl@freefriends.org>

2020-11-10  Karl Berry  <karl@freefriends.org>

	install-sh: do not chown existing directories.

	* lib/install-sh: do not chown existing directories.
	Original patch sent by Julien Elie:
	https://lists.gnu.org/archive/html/automake-patches/2018-03/msg00003.html
	(scriptversion): 2020-11-11.01
	* NEWS: mention this.

2020-11-10  Karl Berry  <karl@freefriends.org>

	install-sh: do not redundantly specify -f to rm.

	* lib/install-sh: do not redundantly specify -f to rm.
	Mention implication for RMPROG in the --help message.
	Original patch sent by Julien Elie:
	https://lists.gnu.org/archive/html/automake-patches/2018-03/msg00005.html
	* NEWS: mention this.

2020-11-07  Reuben Thomas  <rrt@sc3d.org>

	vala: improve support, especially builddir vs. srcdir.

	This change fixes https://bugs.gnu.org/13002.

	* NEWS: mention these changes.
	* bin/automake.in: generated C files go in builddir, not srcdir.
	Distribute the header files generated from VAPI files.
	* t/vala-libs-distcheck.sh: new test for `make distcheck' of a
	Vala library.
	* t/vala-libs-vpath.sh: new test for a VPATH build of a Vala library.
	* t/vala-libs.sh: add local VAPIs used as external --package to test.

	* t/vala-recursive-setup.sh: we need to make
	maintainer-clean at one point to remove stamp files to avoid
	confusing a VPATH build performed after a non-VPATH build.
	* t/vala-non-recursive-setup.sh: likewise.

	* t/vala-parallel.sh: some test paths need changing to take into
	account that generated C files now go in builddir.
	* t/vala-per-target-flags.sh: likewise.
	* t/vala-recursive-setup.sh: likewise.
	* t/vala-vpath.sh: likewise.

2020-11-07  Karl Berry  <karl@freefriends.org>

	tests: recompute dependencies when lists-of-tests.mk changes.

	This change fixes https://bugs.gnu.org/44458
	and updates https://bugs.gnu.org/11347.

	* t/local.mk ($(srcdir)/%D/testsuite-part.am): restore
	dependency on '%D/list-of-tests.mk' (i.e., t/list-of-tests.mk),
	partially reverting the change of 26 Apr 2012 for bug#11347.
	Otherwise, new tests that have dependencies will not cause an
	update of testsuite-part.am, leading to strange failures
	(bug#44458). The original problem being fixed in #11347 was
	unnecessary rebuilding when modifying tests; that should not be
	affected here, but when new tests are added, it seems reasonable,
	as well as necessary, to ensure dependencies are updated.

2020-10-27  Miro Hron\v{c}ok  <miro@hroncok.cz>

	python: determine Python (3.10) version number correctly.

	This change fixes https://bugs.gnu.org/44239
	(and https://bugzilla.redhat.com/show_bug.cgi?id=1889732).

	* m4/python.m4: use print('%u.%u' % sys.version_info[:2]) for
	the version number instead of merely sys.version[:3], so the
	numbers are treated as numbers.
	* t/python-vars.sh (PYTHON_VERSION): Likewise.
	* doc/automake.texi: Document it.
	* NEWS: mention it. (Minor tweaks from Karl Berry.)

2020-10-23  Jim Meyering  <meyering@fb.com>

	doc: correct "moved in", to "moved to"

	* NEWS: Correct wording.
	* contrib/README: Likewise.
	* doc/automake.texi: Likewise.

2020-10-23  Reuben Thomas  <rrt@sc3d.org>

	contrib/README: fix and clarify the English

2020-10-23  Reuben Thomas  <rrt@sc3d.org>

	Improve Vala compiler detection: use API version, not compiler version

	* m4/vala.m4: check `valac --api-version', not `valac --version'.
	* doc/automake.texi: update documentation.

2020-10-07  Zack Weinberg  <zackw@panix.com>

	Use complete configure.ac’s in testsuite.

	Autoconf 2.70 will issue warnings if it encounters a configure.ac that doesn’t
	call both AC_INIT and AC_OUTPUT.

	Automake already issues warnings if it encounters a configure.ac that uses an
	AM_ macro but doesn’t call AM_INIT_AUTOMAKE or AC_CONFIG_FILES([Makefile]).

	In two places, the testsuite was tripping these warnings, leading to spurious
	failures with Autoconf 2.70 betas.

	* t/aminit-moreargs-deprecation.sh: Add AC_OUTPUT to test configure.ac.
	* t/mkdirp-deprecation.sh: Use a complete test configure.ac, not a stub
	  containing only a use of AM_PROG_MKDIR_P.

2020-10-06  Karl Berry  <karl@freefriends.org>

	automake: install-exec did not depend on $(BUILT_SOURCES).

	This change fixes https://bugs.gnu.org/43683.

	* lib/am/install.am (install-exec): %maybe_BUILT_SOURCES% dependency,
	twice.  Basic patch from madmurphy (tiny change), message#8.
	(.MAKE) [maybe_BUILT_SOURCES]: depend on install-exec.
	* NEWS: mention it.
	* doc/automake.texi (Sources): mention this (also that make dist
	depends on $(BUILT_SOURCES)).
	* t/built-sources-install-exec.sh: new test.
	* t/list-of-tests.mk (handwritten_TESTS): add it.
	* t/built-sources-install.sh: typo.
	* t/built-sources-check.sh: typo.

2020-09-21  Zack Weinberg  <zackw@panix.com>

	Update documentation of warnings options and strictness levels.

	The warning categories ‘cross’ and ‘portability-recursive’ were not mentioned
	in the manual.

	Also clarify the relationship between warnings categories and strictness
	levels, and streamline the description of strictness levels by merging the
	“Gnits” section into the “Strictness” section.

	* doc/automake.texi (Gnits, Strictness): Combine these sections.
	  Minor revisions to explanation of strictness levels.
	  (automake Invocation): Add documentation of all the warnings
	  categories that have been added since the last time this section
	  was updated.  Minor clarifications.

2020-09-21  Zack Weinberg  <zackw@panix.com>

	Use WARNINGS=none to suppress warnings from autom4te runs.

	aclocal uses autom4te in trace mode to scan configure.ac for macros whose
	definition is not yet available.  It has a kludge to prevent this from
	producing spurious warnings, but a cleaner, fully backward compatible, way to
	get the same effect is to set WARNINGS=none in the environment and not pass
	down any -W options.  (This is better than passing -Wnone on the command line
	because it automatically inherits to any subprocesses started by autom4te.)

	Perl’s ‘local’ feature can be used to make the enviironment variable setting
	temporary, reverting to the previous value when we exit the function.

	automake also runs autom4te (technically autoconf) in trace mode; warnings
	from this invocation will not be *spurious*, but in the common case where
	the person running automake is going to run autoconf next, they will be
	duplicated.  Therefore, make the same change to automake.

	* bin/aclocal.in (trace_used_macros)
	* bin/automake.in (scan_autoconf_traces):
	  Use “local $ENV{WARNINGS}='none'” to suppress warnings from autom4te.

2020-09-18  Zack Weinberg  <zackw@panix.com>

	New utility function Automake::ChannelDefs::merge_WARNINGS.

	This function merges a list of warnings categories into the environment
	variable WARNINGS, returning a new value to set it to.  The intended use
	is in code of the form

	{
	  local $ENV{WARNINGS} = merge_WARNINGS ("this", "that");

	  # run a command here with WARNINGS=this,that,etc
	}

	This is not actually used in automake, but will be in autoconf.

	* lib/Automake/ChannelDefs.pm (merge_WARNINGS): New function.

2020-09-12  Zack Weinberg  <zackw@panix.com>

	t/python-virtualenv.sh: Skip when versions don’t match

	On some operating systems ‘python’ is Python 2.x but ‘virtualenv -ppython’
	will create a virtualenv that uses Python 3.x.  This is a bug, but it’s
	not *automake’s* bug, and should not cause t/python-virtualenv.sh to fail.
	Skip the test, instead of failing it, when the inner=outer version check
	fails.

	(This also has nothing to do with the main goal of this patchset, it just
	annoyed me while I was testing.)

	* t/python-virtualenv.sh: Skip test, rather than failing it, when
	  $py_version_pre != $py_version_post.

2020-09-12  Zack Weinberg  <zackw@panix.com>

	Consistently use ‘our’ instead of ‘use vars’.

	At file scope of a file containing at most one ‘package’ declaration,
	‘use vars’ is exactly equivalent to ‘our’, and the latter is preferred
	starting with Perl 5.6.0, which happens to be the oldest version we
	support.

	(This change has nothing to do with the previous two, but I want to make the
	same change in Autoconf and that means doing it here for all the files synced
	from Automake.)

	(I don’t know why, but this change exposed a latent bug in FileUtils.pm where
	the last pod block in the file didn’t have a ‘=cut’ delimiter, so the code
	after it was considered documentation, causing ‘require FileUtils’ to fail.)

	* lib/Automake/ChannelDefs.pm
	* lib/Automake/Channels.pm
	* lib/Automake/Condition.pm
	* lib/Automake/Configure_ac.pm
	* lib/Automake/DisjConditions.pm
	* lib/Automake/FileUtils.pm
	* lib/Automake/General.pm
	* lib/Automake/Getopt.pm
	* lib/Automake/Options.pm
	* lib/Automake/Rule.pm
	* lib/Automake/RuleDef.pm
	* lib/Automake/VarDef.pm
	* lib/Automake/Variable.pm
	* lib/Automake/Wrap.pm
	* lib/Automake/XFile.pm:
	  Replace all uses of ‘use vars’ with ‘our’.

	* lib/Automake/FileUtils.pm:
	  Add missing ‘=cut’ to a pod block near the end of the file.

2020-09-12  Zack Weinberg  <zackw@panix.com>

	Consistently process -W(no-)error after all other warning options.

	automake and aclocal were processing ‘-W(no-)error’ whenever it
	appeared on the command line, which means that
	‘-Werror,something-strange’ would issue a hard error, but
	‘-Wsomething-strange,error’ would only issue a warning.

	It is not desirable for warnings about unknown warning categories ever to be
	treated as a hard error; that leads to problems for driver scripts like
	autoreconf, which would like to pass whatever -W options it got on its own
	command line down to all the tools and not worry about which tools understand
	which warning categories.  Also, this sort of order dependence is confusing
	for humans.

	Change parse_warnings to take just one option, the _complete_ list of warning
	categories seen on the command line, and to process -Werror / -Wno-error after
	processing all other warnings options.  Thus, unknown warnings categories will
	always just be a plain warning.  This does mean aclocal has to stop using
	parse_warnings as a Getopt::Long callback, but that’s not a big deal.

	Similarly, change parse_WARNINGS to record whether ‘error’ appeared in the
	environment variable, but not activate warnings-are-errors mode itself.
	parse_warnings picks up the record and honors it, unless it’s overridden by
	the command line.

	* lib/Automake/ChannelDefs.pm ($werror): New package global (not exported).
	  (parse_WARNINGS): Do not call switch_warning for ‘error’ / ‘no-error’;
	  just toggle the value of $werror.
	  (parse_warnings): Do not call switch_warning immediately for
	  ‘error’ / ‘no-error’; toggle $werror instead.  Call switch_warning ‘error’
	  at the very end if $werror is true.  Remove unused $OPTION argument.
	* bin/automake.in: parse_warnings now takes only one argument.
	* bin/aclocal.in: Call parse_warnings after parse_options instead of
	  using it as a parse_options callback.

2020-09-11  Zack Weinberg  <zackw@panix.com>

	Sync ChannelDefs.pm from autoconf.

	ChannelDefs.pm *ought* to be kept in sync between automake and autoconf,
	because it defines the set of valid -W options, and autoreconf assumes
	that it can pass arbitrary -W options to all of the tools it invokes.
	However, it isn’t covered by either project’s ‘make fetch’ and it hasn’t
	actually *been* in sync for more than 17 years.

	This patch manually brings over all of the changes made on the autoconf side.
	Most importantly, there is a new warnings channel ‘cross’, for warnings
	related to cross-compilation.  Also, the ‘usage’ function now *returns*
	the text to be put into a usage message, instead of printing it itself.
	(This is necessary on autoconf’s side.)

	* lib/Automake/ChannelDefs.pm: Sync from autoconf.
	  (cross): New warnings channel.
	  (portability-recursive): Document.
	  (usage): Now returns the text to be printed, instead of printing it.
	  (parse_warnings): Second argument may now be a list.

2020-09-05  Zack Weinberg  <zackw@panix.com>

	automake: be robust against directories containing ().

	This change fixes https://bugs.gnu.org/14196.

	* m4/missing.m4 (AM_MISSING_HAS_RUN): always quote the
	invocation (not just if $am_aux_dir contains space or tab), in
	case $am_aux_dir contains () or other metachars not rejected by
	AM_SANITY_CHECK; quoting with '...' suggested by Jim Meyering.
	* t/man6.sh (HELP2MAN): adjust grep since missing value
	is quoted now.
	* t/am-missing-prog.sh: likewise.

2020-09-04  Issam E. Maghni  <issam.e.maghni@mailbox.org>

	maint: Update files from upstream with 'make fetch'

	* lib/config.guess: Update.
	* lib/config.sub: Likewise.
	* lib/gendocs_template: Likewise.
	* lib/gitlog-to-changelog: Likewise.
	* lib/texinfo.tex: Likewise.
	* lib/update-copyright: Likewise.

2020-08-31  Zack Weinberg  <zackw@panix.com>

	perl: use warnings instead of -w; consistent ordering of use, etc.

	Per thread at:
	https://lists.gnu.org/archive/html/automake-patches/2020-08/msg00009.html

	* bin/aclocal.in: use warnings instead of #!...-w;
	consistent ordering of basic "use" directives,
	then BEGIN block,
	then standard modules in ASCII order,
	then Automake:: modules (not sort),
	finally use vars.
	Also sort @ISA lists and use qw(...) in ASCII order.
	* bin/automake.in: likewise.
	* lib/Automake/ChannelDefs.pm: likewise.
	* lib/Automake/Channels.pm: likewise.
	* lib/Automake/Condition.pm: likewise.
	* lib/Automake/Config.in: likewise.
	* lib/Automake/Configure_ac.pm: likewise.
	* lib/Automake/DisjConditions.pm: likewise.
	* lib/Automake/FileUtils.pm: likewise.
	* lib/Automake/General.pm: likewise.
	* lib/Automake/Getopt.pm: likewise.
	* lib/Automake/Item.pm: likewise.
	* lib/Automake/ItemDef.pm: likewise.
	* lib/Automake/Language.pm: likewise.
	* lib/Automake/Location.pm: likewise.
	* lib/Automake/Options.pm: likewise.
	* lib/Automake/Rule.pm: likewise.
	* lib/Automake/RuleDef.pm: likewise.
	* lib/Automake/VarDef.pm: likewise.
	* lib/Automake/Variable.pm: likewise.
	* lib/Automake/Version.pm: likewise.
	* lib/Automake/Wrap.pm: likewise.
	* lib/Automake/XFile.pm: remove unnecessary imports of
	Carp, DynaLoader, and File::Basename.

2020-08-28  Robert Wanamaker  <rlw@nycap.rr.com>

	docs: automake-history.texi @dircategory Software development.

	Per thread at:
	https://lists.gnu.org/archive/html/automake-patches/2020-08/msg00006.html

	* doc/automake-history.texi (@dircategory): Define.

2020-08-28  Karl Berry  <karl@freefriends.org>

	automake: if TEST_EXTENSIONS is set to empty, don't look inside it.

	This change fixes https://bugs.gnu.org/42635.

	* bin/automake.in (handle_tests): do not use $test_suffixes[0]
	if it does not exist.
	* t/test-extensions-empty.sh: new test.
	* t/list-of-tests.mk (handwritten_TESTS): add it.

2020-08-13  Felix Yan  <felixonmars@archlinux.org>

	docs: typo in tap-driver.sh.

	Per thread at:
	https://lists.gnu.org/archive/html/automake-patches/2020-08/msg00000.html

	* lib/tap-driver.sh (setup_result_obj): "assing" typo, etc.

2020-08-01  Paul Eggert  <eggert@cs.ucla.edu>

	port XFile locking to OpenIndiana

	I observed this problem on an NFS filesystem on an OpenIndiana
	host (5.11 illumos-dde7ba523f i386).  fcntl (fd, F_SETLK, ...)
	failed with errno == EINVAL, which POSIX allows for files that
	do not support locking.
	* lib/Automake/XFile.pm (lock): Treat EINVAL like ENOLCK.

2020-07-26  Paul Eggert  <eggert@cs.ucla.edu>

	* Update scriptversions for install-sh, mkinstalldirs.

2020-07-26  Paul Eggert  <eggert@cs.ucla.edu>

	Install directories mode 755 instead of using umask

	Problem reported by Antoine Amarilli in:
	https://lists.gnu.org/archive/html/automake/2019-01/msg00000.html
	and followed up by Akim Demaille in:
	https://lists.gnu.org/archive/html/bug-bison/2020-07/msg00040.html
	* bin/automake.in: Add a comment about this.
	* lib/install-sh: Ignore umask; just create directories mode 755
	unless overridden via -m (for non-intermediate directories only).
	Also, fix 'umask=$mkdir_umask' typo.
	* lib/mkinstalldirs: Likewise.

2020-06-29  Paul Eggert  <eggert@cs.ucla.edu>

	automake: remove stray up_to_date_p

	* lib/Automake/FileUtils.pm (up_to_date_p):
	Don’t export up_to_date_p, which was removed in
	2020-05-11T00:40:14Z!karl@freefriends.org.

2020-06-06  Karl Berry  <karl@freefriends.org>

	tests: support -fno-common in vala-mix2 test.

	This change fixes https://bugs.gnu.org/41726.

	* t/vala-mix2.sh: extern in .h, initialization in .c.
	GCC 10 defaults to -fno-common.

2020-06-06  Karl Berry  <karl@freefriends.org>

	automake: support AM_TESTSUITE_SUMMARY_HEADER override.

	This change handles https://bugs.gnu.org/11745.

	* lib/am/check.am (AM_TESTSUITE_SUMMARY_HEADER): new variable.
	Default value is " for $(PACKAGE_STRING)", including quotes,
	to keep the default output the same.
	($(TEST_SUITE_LOG)): use it, unquoted.
	* doc/automake.texi (Scripts-based Testsuites): document it.
	* NEWS: mention it.
	* t/testsuite-summary-header.sh: new test.
	* t/list-of-tests.mk (handwritten_tests): add it.
	* t/ax/testsuite-summary-checks.sh: fix typo.

2020-05-28  Akim Demaille  <akim@gnu.org>

	docs: promote Makefile snippets that work properly with make -n.

	This change handles https://bugs.gnu.org/10852.

	* doc/automake.texi (Multiple Outputs): Split commands than
	reinvoke $(MAKE) to avoid file removals during dry runs.

2020-05-25  Karl Berry  <karl@freefriends.org>

	docs: forgot TAR in NEWS; fix " -- " in manual.

	* NEWS: it seems the TAR envvar was never mentioned in NEWS;
	add it, back for 1.11.3 when it was apparently implemented.
	* doc/automake.texi: consistently use "---" instead of " --".

2020-05-25  Karl Berry  <karl@freefriends.org>

	docs: TAR envvar overrides "tar" for make dist.

	This change finishes https://bugs.gnu.org/9822.

	* doc/automake.texi (Basics of Distribution): mention that
	environment variable TAR overrides "tar".

2020-05-17  Karl Berry  <karl@freefriends.org>

	automake: new variable AM_DISTCHECK_DVI_TARGET to override "dvi".

	This change fixes https://bugs.gnu.org/8289.

	* lib/am/distdir.am (AM_DISTCHECK_DVI_TARGET): define as dvi.
	(distcheck): use it, isntead of hardcoding dvi.
	* lib/Automake/Variable.pm (%_silent_variable_override): add
	AM_DISTCHECK_DVI_TARGET.
	* t/distcheck-override-dvi.sh: new test.
	* t/list-of-tests.mk (handwritten_TESTS): add it.
	* doc/automake.texi (Checking the Distribution): document this.
	(Third-Party Makefiles): explicitly mention that
	EMPTY_AUTOMAKE_TARGETS is not a built-in or special name.
	Various other index entries and wording tweaks.
	* NEWS (Distribution): mention this.

2020-05-10  Karl Berry  <karl@freefriends.org>

	automake: remove unused Automake::FileUtils::up_to_date_p function.

	Per thread at:
	https://lists.gnu.org/archive/html/automake-patches/2020-04/msg00000.html>
	especially:
	https://lists.gnu.org/archive/html/automake-patches/2020-05/msg00003.html

	* lib/Automake/FileUtils.pm (up_to_date_p): remove.
	Nothing in Automake itself uses this.  It is used in Autoconf's
	autom4te utility, but Autoconf has its own copy, and the duplication
	was impeding auto4mte development, as discussed in the thread above.
	(While here, insert missing =over/=back to placate pod2text.)
	* NEWS (Miscellanous changes): note this.

2020-05-07  Karl Berry  <karl@freefriends.org>

	docs: make dist implies make dvi.

	This change handles https://bugs.gnu.org/7994.

	* doc/automake.texi (Preparing Distributions): make distcheck
	runs make dvi.
	(Auxiliary Programs) <texinfo.tex>: mention
	that make dist runs make dvi, and therefore a TeX system is
	required when Texinfo sources are present. Add @cmindex entries
	for all auxiliary programs while we're here.

2020-05-07  Karl Berry  <karl@freefriends.org>

	tests: TeX system required for two more tests.

	* t/instdir-no-empty.sh (required): makeinfo tex texi2dvi dvips.
	* t/txinfo-bsd-make-recurs.sh (required): likewise.

2020-04-23  Vincent Lefevre  <vincent@vinc17.net>

	bug#40699: "dist Hook" documentation in manual is incorrect or unclear about write permissions

	On 2020-04-20 14:59:00 -0600, Karl Berry wrote:
	>     i.e. it does not change the permissions in order to make the removal
	>     work recursively
	>
	> Right, I see it now. Had been testing the wrong thing.
	>
	> So, can you propose a specific change for the manual? -k

	I think that it is sufficient to fix the example (the explanation
	is just below). BTW, the second example is also incorrect.

	commit a639e5b51cadbaff88ca4059b4db4571c811070c
	Author: Vincent Lefevre <vincent@vinc17.net>
	Date:   2020-04-23 17:33:54 +0200

	    doc: fix dist-hook examples

2020-04-18  Karl Berry  <karl@freefriends.org>

	cosmetics: spurious word in README, copyright year.

	* README: delete spurious "that"; update copyright year end to 2020.
	Original suggestion from Vincent Lefevre,
	https://lists.gnu.org/archive/html/automake-patches/2020-04/msg00007.html

2020-04-08  Samuel Tardieu  <sam@rfc1149.net>

	docs: test-driver options do not accept =, update --help.

	This change fixes https://bugs.gnu.org/22445.

	* lib/test-driver (print_usage): space after --test-name,
	--log-file, --trs-file, not =. Also mention Automake as source.

2020-04-06  Samy Mahmoudi  <samy.mahmoudi@gmail.com>

	cosmetics: typo in comment.

	This change fixes https://bugs.gnu.org/32100.

	* bin/aclocal.in (install_file): remove duplicate "the" in
	"Using the real the destination file ...".

2020-04-05  Colomban Wendling  <lists.ban@herbesfolles.org>

	vala: more precise argument matching.

	This change fixes https://bugs.gnu.org/18734.

	* bin/automake.in (lang_vala_finish_target): anchor option regexp
	so that, e.g., an argument "vapi" does not match the option --vapi.
	* NEWS: mention this (and preceding checklinkx change, sorry).

2020-04-03  Karl Berry  <karl@freefriends.org>

	doc: update urls in manual and include checklinkx script.

	* doc/automake.texi: update many urls; http -> https,
	search.cpan.org -> metacpan.org/pod/distribution, node names, etc.
	Remove sourceware.org/cgi-bin/gnatsweb.pl and
	miller.emu.id.au/pmiller/books/rmch/ as these are 404
	and no good replacement is evident.
	s/perl/Perl/ a couple times in text for good measure.
	* contrib/checklinkx: new script, a small modification of
	W3C checklink <https://validator.w3.org/checklink/docs/checklink.html>
	(W3C license, which is free software), starting from version 4.81
	installed from CPAN:
	https://metacpan.org/pod/distribution/W3C-LinkChecker/bin/checklink.pod
	* doc/local.mk (checklinkx): new target to invoke it, with variables.
	* Makefile.am (EXTRA_DIST): distribute it.
	* NEWS: mention all this.

2020-03-24  Karl Berry  <karl@freefriends.org>

	tests: require etags for tags-lisp-space test.

	* t/tags-lisp-space.sh (required): set to etags.

2020-03-24  Karl Berry  <karl@freefriends.org>

	Merge branch 'master' of git.savannah.gnu.org:/srv/git/automake

2020-03-24  Karl Berry  <karl@freefriends.org>

	doc: forgot Python 3 NEWS entries.

	* NEWS: item for Python 3 support in 1.16.2.

2020-03-23  Jim Meyering  <meyering@fb.com>

	maint: Post-release administrivia

	* NEWS: Add header line for next release.
	* configure.ac (AC_INIT): Bump version number to 1.16b.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2020-03-16  Jim Meyering  <meyering@fb.com>

	version 1.16.2

	* configure.ac (AC_INIT): Bump version number to 1.16.2.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").
	* NEWS: Record release version.

2020-03-16  Karl Berry  <karl@freefriends.org>

	maint: sync fdl.texi.

	* doc/fdl.texi: sync with gnulib/doc/fdl.texi, for https://fsf.org
	and some Texinfo fixes.

2020-03-12  Karl Berry  <karl@freefriends.org>

	maint: do not descend into unreadable test directories.

	* maintainer/syntax-checks.mk (sc_tests_makefile_variable_order):
	find t ! -perm o+r -prune, since some test directories
	are intentionally unreadable.

2020-03-11  Jim Meyering  <meyering@fb.com>

	doc: gender tweak

	* HACKING: s/his/their/

2020-03-11  Jim Meyering  <meyering@fb.com>

	maint: run "make fetch" to update files from elsewhere

	* lib/config.guess: Auto-update.
	* lib/config.sub: Auto-update.
	* lib/gendocs.sh: Auto-update.
	* lib/gendocs_template: Auto-update.
	* lib/gitlog-to-changelog: Auto-update.
	* lib/gnupload: Auto-update.
	* lib/texinfo.tex: Auto-update.
	* lib/update-copyright: Auto-update.

2020-03-11  Karl Berry  <karl@freefriends.org>

	maint: typo in comment.

	* t/CheckListOfTests.am (maintainer-check-list-of-tests): an -> and.

2020-02-25  Karl Berry  <karl@freefriends.org>

	python: support both Python 2 and 3 in py-compile

	* lib/py-compile: check python major version and use imp
	or importlib accordingly, plus related changes. Original
	patch for Python 3 only from Gabriel Ganne at:
	https://lists.gnu.org/archive/html/automake-patches/2019-07/msg00002.html

2020-02-15  Paul Osmialowski  <pawel.osmialowski@arm.com>

	configure: add flang compilers to _AM_COMPILER_CAN_FAIL

	* configure.ac (_AM_COMPILER_CAN_FAIL): add armflang and flang
	(in two places). Original patch at:
	https://lists.gnu.org/archive/html/automake-patches/2019-02/msg00001.html

2020-02-14  Libor Bukata  <libor.bukata@oracle.com>

	cosmetics: improve error message when dependency tracking fails

	This change fixes https://bugs.gnu.org/35848.

	* m4/depout.m4: Add suggestion to try GNU make to the error message.
	Original patch at
	https://lists.gnu.org/archive/html/automake-patches/2019-05/msg00000.html

2020-02-13  Vincent Lefevre  <vincent@vinc17.net>

	maint: update lib/COPYING from canonical source.

	* lib/COPYING: update from https://www.gnu.org/licenses/gpl-3.0.txt
	(only change is to use https urls).

2020-02-10  Mathieu Lirzin  <mthl@gnu.org>

	build: fix 'installcheck' target

	* t/local.mk (installcheck-testsuite): Do not use 'pre-inst-env' script.
	(AM_TESTS_ENVIRONMENT): Ensure that installed perl modules are found.

2020-01-29  Lukas Fleischer  <lfleischer@lfos.de>

	python: properly uninstall __pycache__ in subdirectories

	This change finishes fixing automake bug#32088:
	https://debbugs.gnu.org/32088

	* lib/am/python.am (uninstall-%DIR%PYTHON): Uninstall
	byte-compiled files in a '__pycache__' subdirectory
	from sub/__pycache__/, not __pycache__/sub/.
	(am__pep3147_tweak): prefix __pycache__ here, for both .pyc and .pyo.
	https://lists.gnu.org/archive/html/automake-patches/2018-05/msg00000.html
	* t/instmany-python.sh (limit): increase to 4500, following
	Andreas Huettel, https://debbugs.gnu.org/32088#11.

2020-01-29  Lukas Fleischer  <lfleischer@lfos.de>

	tests: in python tests, do not require .pyo files (for python3)

	This change partially fixes automake bug#32088:
	https://debbugs.gnu.org/32088

	* t/py-compile-basedir.sh: Remove all .pyo checks.
	Also, in this test only, allow for either 4 or 6 files resulting
	from compilation, as new-enough Python3 results in 6
	(per Andreas Huettel, https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32088#17)
	* t/py-compile-basic.sh: Remove all .pyo checks.
	* t/py-compile-destdir.sh: Likewise.
	* t/py-compile-option-terminate.sh: Likewise.
	* t/python-virtualenv.sh: Likewise.
	* t/python10.sh: Likewise.
	* t/python12.sh: Likewise.
	* t/python3.sh: Likewise.

2020-01-26  Karl Berry  <karl@freefriends.org>

	doc: clarify build tree location

	* doc/automake.texi (VPATH Builds): more words about the build
	tree location. Suggestion from Jefferson Carpenter, 31 May 2018:
	<https://lists.gnu.org/archive/html/automake-patches/2018-05/msg00003.html>

2020-01-19  Karl Berry  <karl@freefriends.org>

	lint: make syntax-check same as maintainer-check.

	* maintainer/syntax-checks.mk (syntax-check): new target,
	same as maintainer-check. For consistency with many other
	GNU packages.
	(.PHONY): add here too.

2020-01-19  Karl Berry  <karl@freefriends.org>

	tests: use find+rm, not perl, to remove temporary directories.

	This change fixes automake bug#39078:
	https://debbugs.gnu.org/39078

	* t/ax/test-lib.sh (rm_rf_): run chmod -R u+rwx and rm -rf,
	instead of calling our t/ax/deltree.pl script.  This reverses the
	change of 2013-05-16.  It made sense to write and use deltree
	at that point, but unfortunately as of perl-5.28.0
	(File::Path.pm version 2.15), rmtree no longer removes a tree with
	unreadable subdirectories, such as we (intentionally) have.  So we
	might as well go back to rm -rf.  The unconditional recursive chmod
	instead of the previously-used more complex find command will
	hopefully prove portable.  See the bug report for more details.

	Our deltree.pl is not used for anything else, but nevertheless
	leaving it in our source tree for now, for ease of reversion
	and comparison.

2020-01-08  Karl Berry  <karl@freefriends.org>

	tests: use skip_ consistently.

	* t/lisp-loadpath.sh: use skip_ instead of exit 77;
	also, notice and reset if the EMACS envvar is simply "t".
	* t/uninstall-fail.sh: use skip_ instead of the undefined skip.

2020-01-05  Karl Berry  <karl@freefriends.org>

	tests: Correctly simulate no emacs in t/nobase-nodist.sh

	* t/nobase-nodist.sh: export EMACS, not EMCAS, as "no".

2020-01-04  Karl Berry  <karl@freefriends.org>

	automake: Support byte compilation in older Emacsen

	* lib/am/lisp.am (am__emacs_byte_compile_setup) [FIRST]: define
	new make variable, to use byte-compile-dest-file-function if
	available, else byte-compile-dest-file.
	(.el.elc): use it.
	* t/lisp-loadpath.sh: skip test if emacs version is <= 23,
	since their -L ordering is backwards.
	* NEWS: update.

2020-01-01  Jim Meyering  <meyering@fb.com>

	maint: make update-copyright

2019-12-23  Jim Meyering  <meyering@fb.com>

	maint: make maintainer-check tests pass

	* maintainer/syntax-checks.mk (sc_sanity_gnu_grep): Remove
	NUL byte from grep output, to avoid shell diagnostic about
	"NUL byte suppressed from expansion."
	(automake_diff_no, aclocal_diff_no): Adjust number of expected
	diff lines.

2019-12-21  Karl Berry  <karl@freefriends.org>

	tests: Ensure UTC for Texinfo @UPDATED@ test

	* t/txinfo-vtexi4.sh: TZ=UTC0; export TZ (same as mdate-sh).
	* NEWS: update.

2019-12-17  Karl Berry  <karl@freefriends.org>

	automake: Ensure space after $(LISP) in tags dependencies.

	This change fixes automake bug#38139.

	* bin/automake.in (handle_tags): Concatenate with space in " @config".
	* t/tags-lisp-space.sh: New test.
	* t/list-of-tests.mk (handwritten_TESTS): Add it.

2019-11-17  Giuseppe Scrivano  <gscrivan@redhat.com>

	dist: add dist-zstd option

	Add support for using the zstd compression algorithm.
	Use a default compression setting of -19, and ".zst" as the suffix.

	* bin/automake.in (handle_dist): Add zstd to the list of known dist-
	suffixes.
	(preprocess_file): Map ZSTD to dist-zstd.
	* doc/automake.texi: Document the new option.
	* lib/Automake/Options.pm (_is_valid_easy_option): Add dist-zstd.
	* lib/am/distdir.am (dist-zstd): New rule.
	(?ZSTD?DIST_TARGETS): Add definition.
	(distcheck): Add a case for *.tar.zst*.
	* t/dist-formats.tap: Add tests.
	* NEWS: Mention the change.

2019-11-11  Paul Eggert  <eggert@cs.ucla.edu>

	config: add msys support

	Requested by Arnold Robbins in:
	https://lists.gnu.org/r/bug-gnulib/2019-11/msg00008.html
	* lib/ar-lib, lib/compile (func_file_conv):
	Treat msys like cygwin.

2019-10-14  Paul Eggert  <eggert@cs.ucla.edu>

	maint: make update-copyright

2019-10-14  Paul Eggert  <eggert@cs.ucla.edu>

	maint: make fetch

2019-09-02  Gavin Smith  <gavinsmith0123@gmail.com>

	automake: do not require @setfilename in Texinfo files

	Texinfo no longer requires a @setfilename directive in each
	.texi file, so automake now also relaxes its restriction.
	* bin/automake.in (scan_texinfo_file): Derive name of info file from
	name of input file if no @setfilename line occurs in the file.
	* t/txinfo-no-setfilename.sh: New test.
	* t/list-of-tests.mk: Add it.
	* NEWS: Mention it.

	Fixes automake bugs #36921 and #34201.

2019-08-26  Paul Eggert  <eggert@cs.ucla.edu>

	install-sh: support -s with read-only source

	Problem reported by Karl Berry in:
	https://lists.gnu.org/r/bug-gnulib/2019-08/msg00067.html
	* lib/install-sh: If -s is given, create the temporary file
	with $cp_umask so that ‘strip’ can write to it.

2019-07-03  Bruno Haible  <bruno@clisp.org>

	ar-lib: Fix for MSVC 14.

	* lib/ar-lib (extract): Convert CRLFs in 'lib -NOLOGO -LIST' output to LFs.

2018-10-23  Paul Hardy  <unifoundry@gmail.com>

	doc: Fix various typos and phrasing

	This change fixes automake bug#32150.

	* doc/automake.texi: Various typos and phrasing changes.

2018-07-08  Mathieu Lirzin  <mthl@gnu.org>

	python: Don't use '\n' in sed substitution

	This change fixes automake bug#31222.

	On macOS, 'sed' interprets '\n' in the substitution text as the letter 'n'
	instead of as a newline.

	* lib/am/python.am [?FIRST?] (am__pep3147_tweak): Use a space instead of '\n'.
	* NEWS: Update.

2018-03-24  Mathieu Lirzin  <mthl@gnu.org>

	test-driver.scm: Add "--coverage" option

	* contrib/test-driver.scm: When 'coverage' option is enabled, run tests
	in the debug vm and trace coverage data.
	(%options): Add 'coverage'.
	(show-help): Display option.

2018-03-24  Mathieu Lirzin  <mthl@gnu.org>

	test-driver.scm: Don't guess script name from "--test-name"

	'primitive-load' is used instead of 'load-from-path' since the script is
	given as a relative file name.  For unknown reason, using 'load' fails
	with GNU Mcron test suite when running 'make distcheck'.

	* contrib/test-driver.scm: Get the actual script name directly from the
	command line.  Handle the case where that argument is missing.

2018-03-24  Mathieu Lirzin  <mthl@gnu.org>

	test-driver.scm: Inline 'main' procedure

	Having a main procedure involves passing the '-e main' command-line
	argument to 'guile' which makes the test driver a bit less easy to use.

	* contrib/test-driver.scm (main): Delete.  Move body to the top-level.

2018-03-11  Mathieu Lirzin  <mthl@gnu.org>

	maint: Use 'before-save-hook' in "contrib/test-driver.scm"

	This a follow-up to commit 6bab5b26a1241b0e0edd058d2a921989f9a1747c.

	Use 'before-save-hook' instead of 'write-file-functions' to match what
	is done in other scripts.

	* contrib/test-driver.scm: Update hook usage and use 'UTC0' timezone
	instead of 'UTC'.

2018-03-11  Mathieu Lirzin  <mthl@gnu.org>

	bin: Rely only on the shebang line

	Previously ‘automake’ and ‘aclocal’ were handling the case of being
	interpreted as a Shell script by using a hack leveraging the fact that
	Shell and Perl has a compatible syntax intersection allowing those
	scripts to launch ‘perl’ from the shell.

	* bin/aclocal.in: Remove cryptic launching hack.
	* bin/automake.in: Likewise.

2018-03-11  Mathieu Lirzin  <mthl@gnu.org>

	maint: Post-release administrivia

	* NEWS: Add header line for next release.
	* configure.ac (AC_INIT): Bump version number to 1.16a.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2018-03-11  Mathieu Lirzin  <mthl@gnu.org>

	version 1.16.1

	* configure.ac (AC_INIT): Bump version number to 1.16.1.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").
	* NEWS: Record release version.

2018-03-11  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update files from upstream with 'make fetch'

	* lib/config.guess: Update.
	* lib/config.sub: Likewise.
	* lib/gendocs.sh: Likewise.
	* lib/gitlog-to-changelog: Likewise.
	* lib/gnupload: Likewise.
	* lib/texinfo.tex: Likewise.
	* lib/update-copyright: Likewise.

2018-03-11  Pavel Raiskup  <praiskup@redhat.com>

	install-sh: avoid (low risk) race in "/tmp"

	Ensure that nobody can cross privilege boundaries by pre-creating
	symlink on '$tmpdir' destination directory.

	Just testing 'mkdir -p' by creating "/tmp/ins$RANDOM-$$/d" is not safe
	because "/tmp" directory is usually world-writeable and
	"/tmp/ins$RANDOM-$$" content could be pretty easily guessed by
	attacker (at least for shells where $RANDOM is not supported).  So, as
	the first step, create the "/tmp/ins$RANDOM-$$" without -p.  This step
	would fail early if somebody wanted catch us.

	Systems that implement (and have enabled) fs.protected_symlinks kernel
	feature are not affected even without this commit.

	References:
	https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=760455
	https://bugzilla.redhat.com/show_bug.cgi?id=1140725

	* lib/install-sh: Implement safer 'mkdir -p' test by running
	'$mkdirprog $mkdir_mode "$tmpdir"' first.
	* NEWS: Update.

2018-03-08  Mathieu Lirzin  <mthl@gnu.org>

	automake: Don't rely on List::Util to provide 'none'

	This change fixes automake bug#30631.

	This removes the use of List::Util which is not supported by Perl 5.6,
	by reimplementing the 'none' subroutine.

	* lib/Automake/General.pm (none): New subroutine.
	* bin/automake.in (handle_single_transform): Use it.
	* t/pm/General.pl: New test.
	* t/list-of-tests.mk (perl_TESTS): Add it.
	* NEWS: Update.

2018-03-08  Mathieu Lirzin  <mthl@gnu.org>

	python: Support future python version up to 3.9

	This change fixes automake bug#28160.

	Since AM_PYTHON_PATH macro takes no maximum version argument, there is
	no need to generate _AM_PYTHON_INTERPRETER_LIST dynamically, like what
	was previously done by the reverted commit
	1d60fb72168e62d33fe433380af621de64e22f23.  We could rely on M4 to
	generate this list statically however this is likely to be a complex
	solution that would not improve maintainability.

	* m4/python.m4 (_AM_PYTHON_INTERPRETER_LIST): Add 'python3.7',
	'python3.8', and 'python3.9'.
	* NEWS: Update.

2018-03-06  Paul Eggert  <eggert@cs.ucla.edu>

	maint: write-file-hooks -> before-save-hook

	write-file-hooks is obsolete since Emacs 22.1 (released June 2007) and
	it's time to use the recommended replacement.
	Problem reported by Glenn Morris in:
	https://lists.gnu.org/r/bug-gnulib/2018-03/msg00008.html
	* contrib/tap-driver.pl, lib/compile, lib/depcomp, lib/install-sh:
	* lib/mdate-sh, lib/missing, lib/mkinstalldirs, lib/py-compile:
	* lib/tap-driver.sh, lib/test-driver, lib/ylwrap:
	Update hook usage for files where Automake is the canonical source.

2018-03-03  Mathieu Lirzin  <mthl@gnu.org>

	Revert "python: Generate python interpreter list"

	This reverts commit 1d60fb72168e62d33fe433380af621de64e22f23.

2018-02-25  Mathieu Lirzin  <mthl@gnu.org>

	maint: Post-release administrivia

	* NEWS: Add header line for next release.
	* configure.ac (AC_INIT): Bump version number to 1.16a.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2018-02-25  Mathieu Lirzin  <mthl@gnu.org>

	Merge branch 'release'

2018-02-25  Mathieu Lirzin  <mthl@gnu.org>

	version 1.16

	* configure.ac (AC_INIT, APIVERSION): Bump version number to 1.16.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").
	* NEWS: Record release version.

2018-02-25  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update INSTALL

	* INSTALL: Use single quotes.

2018-02-25  Mathieu Lirzin  <mthl@gnu.org>

	tests: Remove tests intended only for the 'next' branch

	The commit 199e7a445040270fa5ef67623c56cde40d765199 "Prefer https: URLS"
	which is a cherry-pick of b09d945b795ab9deed2bc457289cd5f41c506b50 from
	'next' to 'master' has mistakenly copied some tests only present on the
	'next' branch.

	* t/am-prog-mkdir-p.sh: Delete.
	* t/txinfo-no-split.sh: Likewise.

2018-02-25  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update files from upstream with 'make fetch'

	* lib/config.guess: Update
	* lib/config.sub: Likewise.
	* lib/gendocs.sh: Likewise.
	* lib/gendocs_template: Likewise.
	* lib/gitlog-to-changelog: Likewise.
	* lib/gnupload: Likewise.
	* lib/texinfo.tex: Likewise.
	* lib/update-copyright: Likewise.

2018-02-18  Mathieu Lirzin  <mthl@gnu.org>

	python: Avoid exceeding command-line length limit

	With Python implementations following PEP-3174, a large number of files
	are installed in the ‘__pycache__’ directory.  As a consequence
	“t/instmany-python.sh” test was failing due to the
	‘uninstall-pythonPYTHON’ target deleting installed files in a single
	‘rm’ command.  Doing that in multiple steps avoids exceeding the
	command-line length limit.  This fixes bug#30335.

	* lib/am/python.am (uninstall-%DIR%PYTHON): For byte-compiled files
	installed in '__pycache__' directory, uninstall them by batch of 40.
	[?FIRST?] (am__pep3147_tweak): Adapt.

2018-02-18  Mathieu Lirzin  <mthl@gnu.org>

	tests: Don't check 'Getopt::Long' corner cases

	Depending on the installed 'Getopt::Long' perl module, command-line
	handling may vary a bit.  As a consequence we prefer not to check
	command-line corners cases.  This change fixes automake bug#29638.

	* t/aclocal.sh (am_create_testdir): Don't expect "--versi" to be
	interpreted as "--version".
	* t/automake-cmdline.tap: Don't expect "--vers" to be interpreted as
	"--version" and things after "--" to be interpreted as file arguments.
	(do_check): Display the actual command output.
	* t/maken3.sh (check_targets): "--force" is not a documented option, so
	don't use it.

2018-02-03  Mathieu Lirzin  <mthl@gnu.org>

	python: Generate python interpreter list

	_AM_PYTHON_INTERPRETER_LIST is used by AM_PYTHON_PATH to autodetect
	Python programs whose names correspond to a specific Python
	version (e.g. python3.6).  Previously this list was updated manually.
	The automatic support of newer versions (up to 4.0 excluded) fixes
	bug#28160.

	* m4/python.m4 (am_py_min_ver, am_py_max_ver): New macros.
	(_AM_PYTHON_INTERPRETER_LIST): Generate this list instead of hard-coding
	it.  Implementation is taken from GNU Pyconfigure.

2018-01-19  Mathieu Lirzin  <mthl@gnu.org>

	tests: Improve comment in 'txinfo-many-output-formats.sh'

	* t/txinfo-many-output-formats.sh: Explain why AM_MAKEINFOFLAGS is set
	with an invalid option.

2018-01-18  Mathieu Lirzin  <mthl@gnu.org>

	tests: Distribute DEJATOOL files manually

	"t/check12.sh" was failing because files declared in DEJATOOL are not
	automatically distributed.  The test running 'make distcheck' couldn't succeed
	since some scripts were not distributed.  This fixes automake bug#26738.

	* t/check12.sh (Makefile.am): Distribute files from DEJATOOL.

2018-01-18  Mathieu Lirzin  <mthl@gnu.org>

	tests: Let 'ltorder.sh' run successfully with Guix dynamic loader

	* t/ltorder.sh: Set GUIX_LD_WRAPPER_ALLOW_IMPURITIES environment variable to
	unlock the dynamic loader provided by GNU Guix.

2018-01-18  Mathieu Lirzin  <mthl@gnu.org>

	tests: Fix various 'flex' compilation issues

	* t/lex-clean-cxx.sh (parsefoo.lxx): Declare 'yylex':
	(mainfoo.cc): Make declaration compatible with C++.
	* t/lex-depend-cxx.sh (joe.ll): Declare 'yylex'.
	* t/silent-many-languages.sh (Makefile.am, sub/Makefile.am): Link -lfl only
	with 'fo2' and 'sub/ba2' which are the only program needing it.
	(foo5.l): Define 'isatty'.
	(foo6.y): Declare 'yylex'.

2018-01-18  Mathieu Lirzin  <mthl@gnu.org>

	tests: Check GCS conformance of 'aclocal' command-line interface

	* t/aclocal.sh: Check that 'aclocal' support the --version and --help
	command-line options.

2018-01-17  Mathieu Lirzin  <mthl@gnu.org>

	contrib: Add Guile custom test driver using SRFI-64 test harness

	This sets a home for a script already used by GNU Guix and GNU Mcron.

	* contrib/test-driver.scm: New test driver script.
	* NEWS: Update.

2018-01-17  Mathieu Lirzin  <mthl@gnu.org>

	maint: Document how to use Guix for Automake development

	* HACKING <Setting the development environment>: New part.

2018-01-04  Khem Raj  <raj.khem@gmail.com>  (tiny change)

	automake: Add default libtool_tag to cppasm

	* bin/automake.in (register_language): Define default libtool tag to be
	CC since CPPASCOMPILE is using CC to call assembler.

2018-01-04  Bruno Haible  <bruno@clisp.org>

	doc: Document the portability of various tar formats better

	* doc/automake.texi (List of Automake options): Document the portability of
	the tar-ustar and tar-pax options better.

2018-01-04  Simon Sobisch  <simonsobisch@web.de>  (tiny change)

	missing: Update displayed URLs

	* lib/missing (perl_URL): Use HTTPS.
	(flex_URL): Use new Github homepage.

2018-01-04  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update copyright years to 2018

	This update has been made with 'make update-copyright'.

2018-01-04  Mathieu Lirzin  <mthl@gnu.org>

	maint: Exclude ".dir-locals.el" from copyright updates

	* maintainer/maint.mk (files_without_copyright): Add ".dir-locals.el".

2017-12-16  Jim Meyering  <meyering@fb.com>

	port elisp-compilation support to emacs-23.1 and newer

	In May of 2017, emacs.master support for using the long-deprecated
	byte-compile-dest-file function was removed, and that removal broke
	automake's elisp-compiling rule for any .el file not in the current
	directory.  In emacs-23.1 (July 2009) byte-compile-dest-file-function
	became the recommended way to adjust the byte-compiler's destination.
	The removed functionality has been restored for Emacs-26, albeit with
	dissuasive diagnostics warning about the imminent removal of this
	functionality.  It will be removed in Emacs-27.
	* lib/am/lisp.am (.el.elc): Use byte-compile-dest-file-function, rather
	than byte-compile-dest-file.  Also, use "-f batch-byte-compile '$<'"
	rather than open-coding it, as suggested by Glenn Morris.
	* t/lisp-readonly-srcdir.sh: New file, to test for the above.
	* t/list-of-tests.mk (handwritten_TESTS): Add it.
	* NEWS (Bugs fixed): Mention this problem.

2017-11-28  Jim Meyering  <meyering@fb.com>

	"make dist" did not depend on $(BUILT_SOURCES)

	* lib/am/distdir.am (distdir-am): New intermediate target.
	Interpose this target between $(distdir) and its dependency
	on $(DISTFILES), so that we can ensure $(BUILT_SOURCES) are
	all created before we begin creating $(DISTFILES).
	* t/dist-vs-built-sources.sh: Test for this.
	* t/list-of-tests.mk (handwritten_TESTS): Add it.
	* NEWS (Bugs fixed): Mention it.
	Assaf Gordon reported that "make dist" (after ./configure
	from a pristine clone of GNU hello) would fail due to the
	absence of configmake.h while compiling lib/localcharset.c.
	https://lists.gnu.org/r/bug-hello/2014-03/msg00016.html

2017-11-24  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update HACKING

	* HACKING (Working with git): Remove reference to the 'micro' branch and
	adapt branch descriptions to the current branching scheme.

2017-09-23  Mathieu Lirzin  <mthl@gnu.org>

	maint: Make Emacs use 'makefile-automake-mode'

	* bin/local.mk: Specify mode name in the first line.
	* contrib/t/local.mk: Likewise.
	* doc/local.mk: Likewise.
	* lib/Automake/local.mk: Likewise.
	* lib/am/local.mk: Likewise.
	* lib/local.mk: Likewise.
	* m4/local.mk: Likewise.
	* t/local.mk: Likewise.

2017-09-23  Paul Eggert  <eggert@cs.ucla.edu>

	maint: update .gitignore

	* .gitignore: Add pre-inst-env, and sort.

2017-09-23  Paul Eggert  <eggert@cs.ucla.edu>

	install-sh: do not assume / = //

	* lib/install-sh: Do not append / to destination
	directory if it already ends in /.  This supports
	a destination directory of // on hosts where / and //
	are distinct directories, as POSIX allows.

2017-09-23  Paul Eggert  <eggert@cs.ucla.edu>

	maint: fix two more http: URLs

	* m4/init.m4: Change http: to https: in comments.

2017-09-22  Mathieu Lirzin  <mthl@gnu.org>

	maint: Configure Emacs automatically with ".dir-locals.el"

	* .dir-locals.el: New Emacs directory configuration file.  All perl
	files adapted.

2017-09-22  Mathieu Lirzin  <mthl@gnu.org>

	maint: 'master' should be merged into 'next'

	* HACKING: Fix instructions merge instructions.

2017-09-21  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/mdate.sh (TZ): Use portable setting.

2017-09-19  Mathieu Lirzin  <mthl@gnu.org>

	Merge branch 'minor'

2017-09-19  Mathieu Lirzin  <mthl@gnu.org>

	maint: Document new Branch names convention

	* HACKING: Update to new Branch names.

2017-09-19  Mathieu Lirzin  <mthl@gnu.org>

	maint: Reset master

2017-09-19  Mathieu Lirzin  <mthl@gnu.org>

	Merge branch 'minor'

2017-09-19  Paul Eggert  <eggert@cs.ucla.edu>

	make fetch

2017-09-19  Paul Eggert  <eggert@cs.ucla.edu>

	Fix a couple more http: URLs

2017-09-19  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer https: URLs

	In Gnulib, Emacs, etc. we are changing ftp: and http: URLs to use
	https:, to discourage man-in-the-middle attacks when downloading
	software. The attached patch propagates these changes upstream to
	Automake.  This patch does not affect files that Automake is
	downstream of, which I'll patch separately.

	Althouth the resources are not secret, plain HTTP is vulnerable to
	malicious routers that tamper with responses from GNU servers,
	and this sort of thing is all too common when people in some other
	countries browse US-based websites. See, for example:

	Aceto G, Botta A, Pescapé A, Awan MF, Ahmad T, Qaisar
	S. Analyzing internet censorship in Pakistan. RTSI
	2016. https://dx.doi.org/10.1109/RTSI.2016.7740626

	HTTPS is not a complete solution here, but it can be a significant
	help. The GNU project regularly serves up code to users, so we should
	take some care here.

2017-09-16  Paul Eggert  <eggert@cs.ucla.edu>

	make fetch

2017-09-16  Paul Eggert  <eggert@cs.ucla.edu>

	Fix a couple more http: URLs

2017-09-16  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer https: URLs

	In Gnulib, Emacs, etc. we are changing ftp: and http: URLs to use
	https:, to discourage man-in-the-middle attacks when downloading
	software. The attached patch propagates these changes upstream to
	Automake.  This patch does not affect files that Automake is
	downstream of, which I'll patch separately.

	Althouth the resources are not secret, plain HTTP is vulnerable to
	malicious routers that tamper with responses from GNU servers,
	and this sort of thing is all too common when people in some other
	countries browse US-based websites. See, for example:

	Aceto G, Botta A, Pescapé A, Awan MF, Ahmad T, Qaisar
	S. Analyzing internet censorship in Pakistan. RTSI
	2016. https://dx.doi.org/10.1109/RTSI.2016.7740626

	HTTPS is not a complete solution here, but it can be a significant
	help. The GNU project regularly serves up code to users, so we should
	take some care here.

2017-09-15  Mathieu Lirzin  <mthl@gnu.org>

	maint: Document how to handle assignment exemption

	* HACKING: Update.

2017-09-15  Reiner Herrmann  <reiner@reiner-h.de>  (tiny change)

	mdate-sh: Ensure reproducible time output

	This change fixes automake bug#20314.

	'mdate-sh' pretty-prints the modification time of a file.  But it's
	output can vary depending on the timezone of the caller. Someone in
	timezone GMT-12 will get a different result (day) than someone in
	timezone GMT+12.  As this output is also used to create/update stamp
	files, which influence the further build process, the build result can
	vary.

	* lib/mdate-sh: Set 'TZ' to UTC which ensures reproducible output.
	* NEWS: Announce bug fix.

2017-09-15  Michael Haubenwallner  <michael.haubenwallner@ssi-schaefer.com>

	automake: Depend on LIBOBJDIR for LIBOBJS and ALLOCA

	This change fixes automake bug#27781.

	* bin/automake.in: Add Makefile dependency on LIBOBJDIR/dirstamp for
	each LIBOBJS/ALLOCA source file found.
	* t/list-of-tests.mk (XFAIL_TESTS): Drop
	t/libobj-no-dependency-tracking.sh.
	* NEWS: Announce bug fix.

2017-09-14  Mathieu Lirzin  <mthl@gnu.org>

	Revert "automake: Handle LTLIBOBJS more specifically"

	This reverts commit 5521219348c55af354878583b99c5f9d66d6d38a.

2017-08-31  Mathieu Lirzin  <mthl@gnu.org>

	Merge branch 'minor'

2017-08-31  Mathieu Lirzin  <mthl@gnu.org>

	build: Rename "Makefile.inc" Makefile fragments to "local.mk"

	This is done to follow a convention used by a lot of GNU packages.

	* bin/Makefile.inc: Rename to ...
	* bin/local.mk: ... this.
	* doc/Makefile.inc: Rename to ...
	* doc/local.mk: ... this.
	* lib/Automake/Makefile.inc: Rename to ...
	* lib/Automake/local.mk: ... this.
	* lib/am/Makefile.inc: Rename to ...
	* lib/am/local.mk: ... this.
	* lib/Makefile.inc: Rename to ...
	* lib/local.mk: ... this.
	* m4/Makefile.inc: Rename to ...
	* m4/local.mk: ... this.
	* contrib/t/Makefile.inc: Rename to ...
	* contrib/t/local.mk: ... this.
	* t/Makefile.inc: Rename to ...
	* t/local.mk: ... this.  Adapt.
	* Makefile.am: Adapt.

2017-08-31  Mathieu Lirzin  <mthl@gnu.org>

	Merge branch 'micro' into minor

2017-08-31  Mathieu Lirzin  <mthl@gnu.org>

	maint: Define API version manually

	* configure.ac (APIVERSION): Define it to 1.15a.
	* bootstrap (APIVERSION): Parse 'configure.ac' to get it.

2017-08-31  Mathieu Lirzin  <mthl@gnu.org>

	build: Inline perl prototypes in sources

	Prototypes allows us to avoid using the '&foo' invocation form when
	invoking a subroutine before its definition.  Previously those
	prototypes were generated to prevent them from falling out-of-sync
	with actual definitions.  Now we provide a 'check-perl-protos' lint
	script to ensure that this is not the case.  This has the same
	benefits as generating prototypes while simplifying the
	bootstrap/build process.

	* bin/gen-perl-protos: Remove.
	* bin/Makefile.inc: Adapt.
	* bootstrap: Likewise.
	* bin/aclocal.in: Inline prototypes.
	* bin/automake.in: Likewise.
	* maintainer/check-perl-protos: New lint script.
	* maintainer/syntax-checks.mk (sc_perl_protos): New target.
	(syntax_check_rules): Add it.

2017-08-30  Mathieu Lirzin  <mthl@gnu.org>

	build: Generate versioned scripts at make time

	* configure.ac: Don't generate 'bin/aclocal-${APIVERSION}' and
	'bin/automake-${APIVERSION}'.
	* bin/wrap-aclocal.in: Delete.
	* bin/wrap-automake.in: Likewise.
	* bin/Makefile.inc (%D%/automake-$(APIVERSION))
	(%D%/aclocal-$(APIVERSION)): New targets.
	(CLEANFILES): Add them.

2017-08-30  Mathieu Lirzin  <mthl@gnu.org>

	aclocal: Support ACLOCAL_AUTOMAKE_DIR environment variable

	* bin/aclocal.in: Reset '@automake_includes' and '@system_includes' in
	for build environment.  Allow setting '@automake_includes' with
	ACLOCAL_AUTOMAKE_DIR environment variable.
	(parse_arguments): Ignore 'dirlist' when '@system_includes' is empty.
	* doc/automake.texi (aclocal Options): Document ACLOCAL_AUTOMAKE_DIR.
	* bin/wrap-aclocal.in: Remove extra command line options.
	* pre-inst-env.in: Set ACLOCAL_AUTOMAKE_DIR and ACLOCAL_PATH
	environment variables.
	* t/ax/test-defs.in: Adapt.
	* t/ansi2knr-no-more.sh (warn_rx): Likewise.

2017-08-30  Mathieu Lirzin  <mthl@gnu.org>

	config: Support AUTOMAKE_LIBDIR environment variable

	* lib/Automake/Config.in: Let AUTOMAKE_LIBDIR environment variable
	override the default location for '$libdir'.
	* doc/automake.texi (automake Invocation): Document AUTOMAKE_LIBDIR.
	* pre-inst-env.in (AUTOMAKE_LIBDIR): Set AUTOMAKE_LIBDIR.
	* bin/wrap-automake.in: Don't use "--libdir" option.

2017-08-29  Mathieu Lirzin  <mthl@gnu.org>

	build: Use PERL5LIB from 'pre-inst-env' script

	* bin/aclocal.in: Detect build environment with AUTOMAKE_UNINSTALLED.
	Let 'PERL5LIB' from 'pre-inst-env' define the perl module directories.
	* bin/automake.in: Likewise.
	* bin/wrap-aclocal.in: Don't set 'Automake::perl_libdirs' anymore.
	* bin/wrap-automake.in: Likewise.
	* t/Makefile.inc (LOG_COMPILER, PL_LOG_COMPILER): Use 'pre-inst-env'.
	(AM_PL_LOG_FLAGS): Don't set perl module path.

2017-08-29  Mathieu Lirzin  <mthl@gnu.org>

	build: Extend PATH from 'pre-inst-env' script

	* configure.ac (ACLOCAL, AUTOMAKE): Use 'pre-inst-env'.
	* Makefile.am (extend_PATH): Delete.
	* doc/Makefile.inc (update_mans, $(srcdir)/%D%/amhello-1.0.tar.gz)
	(setup_autotools_paths): Use 'pre-inst-env' instead of $(extend_PATH).

2017-08-29  Mathieu Lirzin  <mthl@gnu.org>

	build: Add 'pre-inst-env' wrapper script

	This script allows someone building Automake from source to easily run
	'automake' and 'aclocal' without having to install it or knowing the
	existence of "wrapped" scripts in "bin" directory.

	* pre-inst-env.in: New script.
	* configure.ac: Generate 'pre-inst-env' at configure time.
	* Makefile.am (nodist_noinst_SCRIPTS, CLEANFILES): Add it.

2017-08-29  Mathieu Lirzin  <mthl@gnu.org>

	build: Move wrapped scripts in "bin" directory

	Those scripts are used both in the build process and for the tests, so
	it seems clearer to not hide them in "t/wrap" directory.

	* t/wrap/aclocal.in: Rename to ...
	* bin/wrap-aclocal.in: ... this.
	* t/wrap/automake.in: Rename to ...
	* bin/wrap-automake.in: ... this.
	* configure.ac: Generate "bin/aclocal-${APIVERSION}" and
	"bin/automake-${APIVERSION}" at configure time.
	* t/Makefile.inc (nodist_noinst_SCRIPTS): Move wrapped scripts ...
	* bin/Makefile.inc (nodist_noinst_SCRIPTS): ... here.
	* Makefile.am (extend_PATH): Use "bin" directory.
	* t/ax/test-defs.in (am_bindir): Likewise.
	* t/get-sysconf.sh: Likewise.
	* .gitignore: Update.

2017-08-27  Mathieu Lirzin  <mthl@gnu.org>

	automake: Handle LTLIBOBJS more specifically

	* bin/automake.in (handle_LIBOBJS_or_ALLOCA): Remove complex regexp
	substitution when handling LTLIBOBJS.

2017-08-21  Michael Haubenwallner  <michael.haubenwallner@ssi-schaefer.com>

	automake: Ensure that LIBOBJ_DIR builddir is created

	* t/libobj-no-dependency-tracking.sh: New test reproducing the issue
	described in automake bug#27781.
	* t/list-of-tests.mk (handwritten_TESTS, XFAIL_TESTS): Add it.

2017-08-08  Mathieu Lirzin  <mthl@gnu.org>

	doc: Update to latest help2man

	This fixes bug#27773.

	* doc/help2man: Sync with version 1.47.3 to support reproducible
	builds by using $SOURCE_DATE_EPOCH.

2017-07-15  Mathieu Lirzin  <mthl@gnu.org>

	doc: Fix typo "nothing" => "noting"

	This fixes bug#24476.

	* doc/automake.texi (Checking the Distribution): Fix typo.
	* THANKS: Update.

2017-07-15  Mathieu Lirzin  <mthl@gnu.org>

	doc: Fix typos

	This fixes bug#23099.

	* doc/automake.texi (Scripts-based Testsuites)
	(Parallel Test Harness): Fix typos.
	* THANKS: Update.

2017-07-15  Mathieu Lirzin  <mthl@gnu.org>

	check: Make 'check-TESTS' target depend on test dependencies

	The 'check' and 'recheck' targets are already depending on the progams
	and scripts required to run the test suite.  The 'check-TESTS' target
	while not in the public API might be used by uninformed users, so it
	makes sense to add the same dependency to it.  This fixes bug#27186.

	* lib/am/check.am [!%?SERIAL_TESTS%] (check-TESTS): Add dependency to
	'%CHECK_DEPS%'.
	* THANKS: Update.

2017-07-15  Mathieu Lirzin  <mthl@gnu.org>

	dejagnu: Allow AM_RUNTESTFLAGS to override default RUNTEST arguments

	This fixes bug#25335.

	* lib/am/dejagnu.am (check-DEJAGNU): Swap $(RUNTESTDEFAULTFLAGS) and
	$(AM_RUNTESTFLAGS).
	* THANKS: Update.

2017-07-15  Thomas Jahns  <jahns@dkrz.de>

	aclocal: Avoid problematic string interpolation

	This fixes bug#20903.  Thanks to Eric Bavier for reporting this issue.

	* bin/aclocal.in (automake_includes): Avoid problematic string
	interpolation.
	* NEWS: Update.
	* THANKS: Thank Eric Bavier.

2017-07-15  Mathieu Lirzin  <mthl@gnu.org>

	python: Add python3.6

	This fixes bug#27458.

	* m4/python.m4 (AM_PATH_PYTHON): Add python3.6.

2017-07-06  Thomas Martitz  <kugel@rockbox.org>

	automake: Shorter object file names under subdir-objects

	Combining the 'subdir-objects' option with target-specific flags had
	the consequence of producing long object file names.  This was done to
	preventively ensure the uniqueness of object file names.  We are now
	using shorter names by default, and handle long names when an actual
	conflict is detected.  This will hopefully reduce the necessity of
	using the 'prog_SHORTNAME' facility.

	Example:
	previously:
	  AUTOMAKE_OPTIONS = subdir-objects
	  bin_PROGRAMS += path/to/foo
	  path_to_foo_CFLAGS = $(AM_CFLAGS) -g

	resulted in objects:
	  sub/path_to_foo-foo.o

	now object file name is:
	  sub/foo-foo.o

	* bin/automake.in (proglist, liblist, ltliblist)
	(dup_shortnames): New globals.
	(initialize_per_input): Initialize them.
	(handle_targets): New subroutine.
	(handle_single_transform): Truncate object file names when possible.
	* t/subobj-objname-clash.sh: New test.
	* t/list-of-tests.mk (handwritten_TESTS): Add it.
	* NEWS: Update.

2017-06-18  Mathieu Lirzin  <mthl@gnu.org>

	maint: Post-release administrivia

	* NEWS: Add header line for next release.
	* configure.ac (AC_INIT): Bump version number to 1.15.1a.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2017-06-18  Mathieu Lirzin  <mthl@gnu.org>

	version 1.15.1

	* configure.ac (AC_INIT): Bump version number to 1.15.1.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2017-06-18  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update 'git-tag-release' rule

	* maintainer/maint.mk (git-tag-release): Use a Git tag message similar
	to what the 'do-release-commit-and-tag' script from Gnulib do.

2017-06-17  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update files from upstream with 'make fetch'

	* lib/config.guess: Update.
	* lib/config.sub: Likewise.
	* lib/texinfo.tex: Likewise.

2017-06-17  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update NEWS

	* NEWS: Announce important bug fixes.

2017-06-16  Mathieu Lirzin  <mthl@gnu.org>

	Merge branch 'minor'

2017-06-16  Mathieu Lirzin  <mthl@gnu.org>

	Merge branch 'micro' into minor

2017-05-20  Mathieu Lirzin  <mthl@gnu.org>

	bootstrap: Add a rationale for the bootstrap process.

	* bootstrap: Explain why we can't simply run 'autoreconf -i'.

2017-05-20  Mathieu Lirzin  <mthl@gnu.org>

	bootstrap: Rename 'bootstrap.sh' to 'bootstrap'.

	Follow Gnulib's convention of using either "bootstrap" or "autogen.sh"
	file names for development bootstrap scripts.

	* bootstrap.sh: Rename to ...
	* bootstrap: ... this.
	* GNUmakefile (bootstrap): Adapt.
	* HACKING: Likewise.
	* Makefile.am (EXTRA_DIST): Likewise.
	* doc/automake.texi (Future of aclocal)
	(Error required file ltmain.sh not found): Likewise.
	* maintainer/maint.mk (autodiffs, update-copyright): Likewise.

2017-05-20  Mathieu Lirzin  <mthl@gnu.org>

	automake: Update 'read_am_file' docstring.

	* bin/automake.in (read_am_file): Update docstring which was referring
	to a non existent '%contents' variable.

2017-04-16  Bruno Haible  <bruno@clisp.org>

	tests: Never invoke gettextize.

	This change fixes automake bug#26514.

	* t/gettext-macros.sh: Never invoke gettextize.

2017-04-13  Mathieu Lirzin  <mthl@gnu.org>

	tests: Update "t/txinfo-no-clutter.sh".

	This is workaround to a regression introduced by
	48107579abadbe857c8299c38d2ca0a3f8f354c8.  With current
	"lib/texinfo.tex", 'texi2dvi' is not able to produce a valid output
	for a Texinfo document containing a @synindex command.  As a
	consequence the test "t/txinfo-no-clutter.sh" was failing.

	* t/txinfo-no-clutter.sh: Remove use of @synindex command.

2017-03-05  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update "lib/texinfo.tex".

	This fixes a regression in 48107579abadbe857c8299c38d2ca0a3f8f354c8
	where 'texi2dvi' was not able to produce a valid output for a Texinfo
	document without text.  As a consequence the test "t/silent-texi.sh"
	was failing.

	* lib/texinfo.tex: Update to 2017-03-05.09.

2017-03-02  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update copyright years to 2017.

	This update has been made with 'make update-copyright'.

2017-03-02  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update files from upstream with 'make fetch'.

	* lib/INSTALL: Update.
	* lib/config.guess: Likewise.
	* lib/config.sub: Likewise.
	* lib/gendocs.sh: Likewise.
	* lib/gendocs_template: Likewise.
	* lib/gitlog-to-changelog: Likewise.
	* lib/gnupload: Likewise.
	* lib/texinfo.tex: Likewise.
	* lib/update-copyright: Likewise.

2017-03-02  Mathieu Lirzin  <mthl@gnu.org>

	maint: Update fetch URLs.

	* maintainer/maint.mk (SV_CVS, SV_GIT_AC): Remove.
	(SV_GIT_CF, SV_GIT_GL): Use https for Savannah Git repositories.
	(FETCHFILES): Use Gnulib repository as the source of "texinfo.tex",
	"gendocs.sh", and "gendocs_template" files.

2017-02-23  Mathieu Lirzin  <mthl@gnu.org>

	doc: fix typo "requited" => "required"

	This change fixes automake bug#25413.

	* doc/automake.texi (Serial Test Harness): Fix typo.

2017-01-01  Jim Meyering  <meyering@fb.com>

	maint: update copyright dates for 2017

	* all files: Run this command, using update-copyright from gnulib:
	  UPDATE_COPYRIGHT_FORCE=1 \
	  UPDATE_COPYRIGHT_USE_INTERVALS=2 \
	  UPDATE_COPYRIGHT_MAX_LINE_LENGTH=79 \
	   update-copyright $(git ls-files)

2016-09-08  Jim Meyering  <meyering@fb.com>

	automake: do not emit rule with two dependents

	On a system using our replacement alloca, make would emit
	this warning:
	  target '.deps/alloca.Po' given more than once in the same rule
	That arose because automake would emit a rule depending on both
	./.deps/alloca.Po and .deps/alloca.Po. Normally, duplicate
	dependents are avoided by virtue of their names being keys in
	the %dep_files hash, but in this case, that particular file
	was specified in two different ways.
	* bin/automake.in (handle_ALLOCA): When the $dir prefix is empty,
	make it './', to ensure that when we add ./.deps/alloca.Po
	it is deduped.
	See: http://bugs/gnu/org/22702

2016-06-01  Jim Meyering  <meyering@fb.com>

	compile: remove .Tpo file upon failure

	When generating a .deps/base.Po file, our emitted rule first writes
	to a temporary .Tpo file, so the final creation can be atomic, via
	mv's rename.  However, when generation of the .Tpo fails, it stop the
	process and does not remove that temporary file.  And nothing else
	ever deletes it, either.  Hence, in the unusual case in which one
	expects a compilation to fail during a successful build (gnulib's
	test-verify.sh does precisely this), a .deps/test-verify.Tpo file
	would be left behind, and that would in turn cause a "make distcheck"
	failure because that file would exist in one build+distclean hierarchy
	but not in the distribution tarball.
	* lib/am/depend2.am: Ensure that the temporary file is removed
	upon failure.
	* t/distcheck-Tpo.sh: New file.
	* t/list-of-tests.mk (handwritten_TESTS): Add it.
	This addresses bug#23661.

2016-04-20  Paul Eggert  <eggert@cs.ucla.edu>

	python: add python3.5, python3.4

	* m4/python.m4 (AM_PATH_PYTHON): Add python3.5, python3.4.

2016-03-31  Paul Eggert  <eggert@cs.ucla.edu>

	Merge branch 'minor'

2016-03-31  Paul Eggert  <eggert@cs.ucla.edu>

	Merge branch 'micro' into minor

2016-03-31  Paul Eggert  <eggert@cs.ucla.edu>

	automake: port to Perl 5.22 and later

	Without this change, Perl 5.22 complains "Unescaped left brace in
	regex is deprecated" and this is planned to become a hard error in
	Perl 5.26.  See:
	http://search.cpan.org/dist/perl-5.22.0/pod/perldelta.pod#A_literal_%22{%22_should_now_be_escaped_in_a_pattern
	* bin/automake.in (substitute_ac_subst_variables): Escape left brace.

2016-03-28  Paul Eggert  <eggert at>

	automake: port better to future gzip

	* lib/am/distdir.am (dist-gzip, dist-shar, distcheck):
	Port better to future versions of gzip, which are planned to
	deprecate the GZIP environment variable (Bug#20132).

2016-01-12  Paul Eggert  <eggert@cs.ucla.edu>

	Merge branch 'minor'

2016-01-12  Paul Eggert  <eggert@cs.ucla.edu>

	Merge branch 'micro' into minor

2016-01-12  Paul Eggert  <eggert@cs.ucla.edu>

	maint: port time-stamp-time-zone to strict POSIX

	Set time-stamp-time-zone to "UTC0", not to "UTC", as POSIX defines
	TZ="UTC0" not TZ="UTC".

2015-11-24  Peter Rosin  <peda@lysator.liu.se>

	Merge branch 'minor'

	* minor:
	  compile: add icl to compile wrapper script
	  tests: fix a typo-induced bug

2015-11-24  Peter Rosin  <peda@lysator.liu.se>

	Merge branch 'micro' into minor

	* micro:
	  compile: add icl to compile wrapper script

2015-11-24  Jonathan L Peyton  <jonathan.l.peyton@intel.com>  (tiny change)

	compile: add icl to compile wrapper script

	* lib/compile: Have icl be treated similarly to cl
	(scriptversion): Update.
	* t/ax/am-test-lib.sh (require_tool): Handle icl.
	* t/compile7.sh: Add new test file for icl...
	* t/list-of-tests.mk (handwritten_TESTS): ...and use it.
	* NEWS: Update.
	* THANKS: Update.

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix a typo-induced bug

	* t/subobj-vpath-pr13928.sh: Here; we were using $FGREP instead of
	$EGREP, oops.

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  deps: fix corner-case "make distclean" bug
	  compile: don't place built object files in $(srcdir), ever ...
	  tests: fix some bugs in an XFAILing test
	  deps: 'subdir-object' option now works when foo_SOURCES contains $(var)
	  NEWS: fix a typo

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'deps-pr13928' into minor

	* deps-pr13928:
	  deps: fix corner-case "make distclean" bug
	  compile: don't place built object files in $(srcdir), ever ...
	  tests: fix some bugs in an XFAILing test
	  deps: 'subdir-object' option now works when foo_SOURCES contains $(var)

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  NEWS: fix a typo

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	deps: fix corner-case "make distclean" bug

	Assume we have package satisfying the following conditions:
	  (1) automatic dependency tracking is enabled;
	  (2) the 'subdir-objects' Automake option is enabled;
	  (3) the package uses a recursive make setup.

	Also assume that:
	  (a) a subdir Makefile declares a foo_SOURCES variable containing
	      a source file in the parent directory;
	  (b) that parent Makefile declare a compiled program itself.

	Then BSD and Solaris make used to fail when running "make distclean",
	because the 'distclean' target of the subdir Makefile removed the
	whole '.deps' directory before the parent Makefile was done with the
	included '.Po' makefile fragments in that directory. This issue was
	revealed by failures in the 'subobj-vpath-pr13928.sh' test when those
	make implementations were used.

	We fix the issue by ensuring the 'distclean' target of any Makefile
	only removed the '.Po' makefile fragments included by it, rather than
	the whole '.deps' directory where such files resides.

	This change should be the last step in fixing automake bug#13928
	for good.

	* bin/automake.in (handle_languages), lib/am/depend.am: Adjust
	to implement the new 'distclean' logic.
	* t/pr224.sh: Adjust to avoid a spurious failure.
	* PLANS/subdir-objects.txt: Update.

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	compile: don't place built object files in $(srcdir), ever ...

	... even when a source file is specified as '$(srdir)/foo.c' or
	'$(top_srcdir)/bar.c'. And ditto for dependency-tracking makefile
	fragments (those under '.deps' directories).

	Such issues used to occur when the 'subdir-objects' option was given.

	This change should fix the second and last part of automake bug#13928.
	See also bug#16375 and bug#15293.

	* NEWS: Update.
	* bin/automake.in (handle_single_transform): Make sure object files
	and dependency-tracking makefile fragments coming from source like
	'$(srcdir)/foo.c' and '$(top_srcdir)/bar.c' are placed respectively
	under $(builddir) and $(top_builddir).
	* t/subobj-vpath-pr13928.sh: Enhance to expose even more aspects
	of the bug we've just fixed.
	* t/subobj-pr13928-more-langs.sh: New test, similar to the one above,
	but with non-C languages as well.
	* t/list-of-tests.mk (XFAIL_TESTS): Remove 'subobj-vpath-pr13928.sh',
	it's now supposed to pass.
	(handwritten_TESTS): Add 'subobj-pr13928-more-langs.sh'.

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix some bugs in an XFAILing test

	* t/subobj-vpath-pr13928.sh: This one. The test would have failed (or
	hung!) even if the bug it was testing against were fixed.

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	deps: 'subdir-object' option now works when foo_SOURCES contains $(var)

	Following a suggestions of Johan Kristensen, we have config.status use
	'make' invocations rather than Makefile-parsing 'sed' hacks to bootstrap
	the dependency-tracking '.Po' and '.Plo' makefile fragments. To handle
	the inclusion of such files that are still missing when make is first
	we basically generate a temporary Makefile without these includes, and
	call 'make' on that Makefile.

	This fixes the serious bug bug#13928, which was an hard blocker to make the
	behavior mandated by the 'subdir-object' active by default (which we want
	to do in Automake 2.0).

	The issue has also been reported in bug#15919.

	* NEWS, THANKS: Update.
	* bin/automake.in (handle_languages): Add a trailing "marking" comment
	("# am--include-marker") to the generated Makefile lines issuing 'include'
	directives for the dependency-tracking '.Po' and '.Plo' makefile fragments.
	Also rename the generated Makefile variable 'am__depfiles_maybe' to the
	clearer 'am__maybe_remake_depfiles'.
	Minor unrelated refactoring.
	* lib/am/configure.am: Adjust to account for the 'am__depfiles_maybe' ->
	'am__maybe_remake_depfiles' renaming.
	* lib/am/depend.am: Add rules to generate a dummy version of all the
	dependency-tracking '.Po' and '.Plo' makefile fragments.
	* m4/depout.m4: Use make invocations rather than Makefile-parsing sed hacks
	to bootstrap the dependency-tracking '.Po' and '.Plo' makefile fragments.
	We still use some sed trickery in order to remove the inclusion of the
	still non existing .Po and .Plo files from the Makefile we invoke make
	upon; this is done stripping lines that contain the magic string
	"# am--include-marker".
	* m4/make.m4 (AM_MAKE_INCLUDE): Given that now automake generates Makefiles
	containing include statements with trailing comment, adjust the checks done
	here to make sure $MAKE support that; e.g., "include foo.mk # comment"
	rather than just "include foo.mk".
	Also refactor and adjust to leave better debugging info in config.log.
	* t/postproc.sh: Rename ...
	* t/depend-postproc.sh: ... to this, and adjust and enhance.
	* t/list-of-tests.mk (handwritten_TESTS): Adjust.
	(XFAIL_TESTS): Remove 't/subobj-indir-pr13928.sh', which is now succeeding.
	* t/subobj-indir-pr13928.sh: Simplify slightly, now that we expect it to
	pass.
	* t/depcomp8a.sh: Adjust grepping check to account for the changes in
	the generated Makefile, and tp be somewhat more robust in light of possible
	future modifications.
	* t/depcomp8b.sh: Likewise.
	* t/subobj11b.sh: Likewise.
	* t/subobj11c.sh: Likewise.
	* t/extra-sources.sh: Likewise.
	* t/lex-depend-grep.sh: Likewise.
	* t/lex-depend-cxx.sh: Add a command to help debugging in case of test
	failure.

	Helped-by: Johan Kristensen <johankristensen@gmail.com>

2015-01-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: fix a typo

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: update copyright years to 2015 (branch 'master')

	* t/am-prog-mkdir-p.sh: Here.
	* t/txinfo-no-split.sh: And here.

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  maint: update copyright years to 2015 (branch 'micro')

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  maint: update copyright years to 2015 (branch 'micro')

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: update copyright years to 2015 (branch 'micro')

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  sync: update third-part files from upstream
	  maint: fix typo in error message of a maintainer-only rule
	  maint: bump version number 1.15 -> 1.15a ('minor' Git branch)
	  release: stable minor release 1.15
	  NEWS: minor improvements and fixed some typos and grammaros

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  sync: update third-part files from upstream
	  maint: fix typo in error message of a maintainer-only rule

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	sync: update third-part files from upstream

	* lib/config.sub: This.
	* lib/INSTALL, lib/config.guess, lib/gitlog-to-changelog, lib/gnupload,
	lib/update-copyright: And this (but only for copyright year update, no
	real semantic change)

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: fix typo in error message of a maintainer-only rule

	* maintainer/maint.mk (web-manual-update): Here.

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: bump version number 1.15 -> 1.15a ('minor' Git branch)

	* configure.ac (AC_INIT): Bump version number to 1.15a.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2015-01-05  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor' into micro after 1.15 release

	And bump version number: 1.15 -> 1.15.0a

	* minor:
	  release: stable minor release 1.15
	  NEWS: minor improvements and fixed some typos and grammaros
	  docs: "make distcheck" implementation details are not to be abused
	  NEWS: improve and adjust in light of the oncoming 1.15 release
	  Fix dumb logic error preventing $install_sh from being be overridden
	  Expose automake bug#19311
	  build: fix race in parallel builds
	  init: ensure $ac_aux_dir is defined before being used
	  plans: enabling subdir-object by default is blocked on bug#13928
	  maint: update copyright years
	  maint: sync files from upstream ("make fetch")
	  Typofixes in warning messages and manual
	  NEWS: a typofix, and better word wrapping
	  parallel-tests: avoid possible implicit "make all" in test-suite.log rule
	  Allow user to extend .PRECIOUS target
	  cosmetics: remove a couple of extra trailing white spaces
	  tests: fix a spurious failure on Mac OS X
	  docs: make clear the JAVA primary is frozen
	  install-sh: a slightly better diagnostic, and tests enhancements
	  install-sh: be stricter in catching invalid usages
	  tests: more significant names for some tests
	  tests: some cosmetic fixes
	  tests: more significant names for a test
	  docs: drop a few obsolescent FIXME/TODO comments, and associated text
	  testsuite harness: report test exit status in log file
	  TAP driver: no need to invoke AC_PROG_AWK directly
	  TAP driver: remove perl implementation (move it into contrib/)
	  NEWS: stop reporting "new" Automake versioning scheme
	  cosmetics: untabify the install-sh script
	  install-sh: assume that "set -f" and "set +f" work...
	  install-sh: assume ${var:-value} works as expected
	  install-sh: assume 'dirname' is available and working correctly
	  post-release: micro version bump (1.14a)

2014-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: stable minor release 1.15

	* configure.ac (AC_INIT): Bump version number to 1.15.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2014-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: minor improvements and fixed some typos and grammaros

2014-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  docs: "make distcheck" implementation details are not to be abused
	  NEWS: improve and adjust in light of the oncoming 1.15 release
	  shell-no-trail-bslash: improve diagnostic in case of failure

2014-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: "make distcheck" implementation details are not to be abused

	* doc/automake.texi: State explicitly and in detail that the exact location
	and the exact structure of the subdirectory used by "make distcheck" is to
	be considered an implementation detail, which can change at any time.

2014-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: improve and adjust in light of the oncoming 1.15 release

2014-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  shell-no-trail-bslash: improve diagnostic in case of failure

2014-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	shell-no-trail-bslash: improve diagnostic in case of failure

	* t/ax/shell-no-trail-bslash.in: Here, by fixing a typo in a
	variable name and a logic error.
	* t/self-check-shell-no-trail-bslash.sh: Enhance to catch the
	issue.

2014-12-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branches 'texi-in-builddir-remove-distclean-hack' and 'minor'

	* texi-in-builddir-remove-distclean-hack:
	  texinfo: remove hack about info files in CLEANFILES variables

	* minor:
	  tests: make script 'shell-no-trail-bslash' simpler and more robust

2014-12-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  tests: make script 'shell-no-trail-bslash' simpler and more robust

2014-12-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: make script 'shell-no-trail-bslash' simpler and more robust

	This solves spurious failure in the 'check-no-trailing-backslash-in-recipes'
	target for Automake-NG.

	This is basically a backport of Automake-NG commit v1.14.1-1010-g85aae58;
	the point is to minimize the amount of spurious diffs between the mainline
	Automake and the Automake-NG source trees.

	* t/ax/shell-no-trail-bslash.in: Simplify and fortify.
	* t/self-check-shell-no-trail-bslash.sh: Enhance.

2014-12-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	texinfo: remove hack about info files in CLEANFILES variables

	Automake used to implement an undocumented hack causing '.info' files
	that appeared to be cleaned (by e.g. being listed in the CLEANFILES
	variable) to also be built in the builddir rather than in the srcdir;
	this was for backward compatibility with packages such as Texinfo,
	which did things like:

	    info_TEXINFOS = texinfo.txi info-stnd.texi info.texi
	    DISTCLEANFILES = texinfo texinfo-* info*.info*
	    # Do not create info files for distribution.
	    dist-info:

	in order not to distribute .info files.

	Now that we have the 'info-in-builddir' option that explicitly causes
	generated '.info' files to be placed in the builddir, this hack is no
	longer necessary, and we can remove it (after having deprecated it in
	the Automake 1.14 release already).

	* bin/automake.in (handle_texinfo_helper): Remove the hack.  Adjust
	comments accordingly.
	* NEWS: Update.
	* t/txinfo23.sh: Delete as obsolete.
	* t/txinfo25.sh: Likewise.
	* t/txinfo24.sh: Likewise.
	* t/txinfo28.sh: Delete as mostly obsolete, its only still relevant
	parts moved ...
	* t/mdate5.sh: ... into this test.
	* t/txinfo-clean.sh: Remove references to deleted tests.
	* t/list-of-tests.mk: Adjust.

2014-12-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid a possible failure due to autom4te cache staleness

	* t/includes-deprecation.sh: Here.

2014-12-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  tests: fix spurious failure in test on TEXINFO_TEX overriding
	  tests: avoid some spurious failures on AIX 7.1

2014-12-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  tests: fix spurious failure in test on TEXINFO_TEX overriding
	  tests: avoid some spurious failures on AIX 7.1

2014-12-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix spurious failure in test on TEXINFO_TEX overriding

	* t/txinfo-override-texinfo-tex.sh: Here.  The issue was pre-existing, but
	has been only recently exposed by the fix for automake bug#18286 "distcheck
	fails to detect missing files" (see commit v1.14.1-4-g01a7a4a) and by the
	BSD make semantics.  To convince yourself this change actually makes sense
	semantically, see https://sourceware.org/ml/binutils/2012-06/msg00004.html

2014-12-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'aix-testsuite-failures' into micro

	* aix-testsuite-failures:
	  tests: avoid some spurious failures on AIX 7.1

2014-12-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid some spurious failures on AIX 7.1

	* t/lex-noyywrap.sh: Here.
	* t/instmany-mans.sh: And here.
	* t/instmany-python.sh: And here.
	* t/instmany.sh: And here.
	* t/parallel-tests-concurrency.sh: And here.

2014-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  dist: fix bug#18286 "distcheck fails to detect missing files"
	  tests: expose automake bug#18286 "distcheck fails to detect missing files"
	  include: fix bug in handling of user-defined makefile fragments generation
	  tests: expose bug in handling of user-defined makefile fragments generation

2014-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  dist: fix bug#18286 "distcheck fails to detect missing files"
	  tests: expose automake bug#18286 "distcheck fails to detect missing files"
	  include: fix bug in handling of user-defined makefile fragments generation
	  tests: expose bug in handling of user-defined makefile fragments generation

2014-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'distcheck-pr18286' into micro

	* distcheck-pr18286:
	  dist: fix bug#18286 "distcheck fails to detect missing files"
	  tests: expose automake bug#18286 "distcheck fails to detect missing files"

2014-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	dist: fix bug#18286 "distcheck fails to detect missing files"

	BTW, this issue had been already reported in the past:
	http://lists.gnu.org/archive/html/automake/2006-09/msg00008.html
	http://lists.gnu.org/archive/html/automake/2013-01/msg00049.html

	"make distcheck" could sometimes fail to detect missing files in the
	distribution tarball, especially in those cases where both the generated
	files and their dependencies are explicitly in $(srcdir).  An important
	example of this are *generated* makefile fragments included at Automake
	time in Makefile.am.  A basic example:

	    # -*- Makefile.am -*-

	    $(srcdir)/fragment.am: $(srcdir)/data.txt $(srcdir)/preproc.sh
	        cd $(srcdir) && $(SHELL) preproc.sh <data.txt >fragment.am

	    include $(srcdir)/fragment.am

	    ...

	If the use forgot to add data.txt and/or preproc.sh in the distribution
	tarball, "make distcheck" would have erroneously succeeded!

	The reason is that, while $(srcdir)/data.txt does not exist, make also
	looks in $(srcdir)/$(srcdir)/data.txt, and in the distcheck-issued
	VPATH build where $(srcdir) is '..', that file exists, as it is
	part of the original development directory.

	* t/distdir.am (distcheck): Adjust to have the build directory be
	'$(distdir)/_build/sub' rather than just '$(distdir)/_build'.  Thanks
	Nicola Fontana for the suggestion.
	* t/distcheck-pr18286.sh: Enhance and tighten a little.
	* t/list-of-tests.mk (XFAIL_TESTS): Remove 't/distcheck-pr18286.sh',
	as it's now passing.
	* t/subdir-am-cond.sh: Adjust to avoid a fully spurious failure due
	to the new distcheck semantics.
	* t/subdir-ac-subst.sh: Likewise.
	* t/dejagnu-relative-srcdir.sh: Likewise.
	* t/txinfo-builddir.sh: Likewise.
	* NEWS: Update.

	Helped-by: Nicola Fontana <ntd@entidi.it>
	Helped-by: Peter Johansson <trojkan@gmail.com>

2014-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose automake bug#18286 "distcheck fails to detect missing files"

	* t/distcheck-pr18286.sh: New test, still XFAILing.
	* t/list-of-tests.mk: Add it.

2014-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'am-deps' into micro

	* am-deps:
	  include: fix bug in handling of user-defined makefile fragments generation
	  tests: expose bug in handling of user-defined makefile fragments generation

2014-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	include: fix bug in handling of user-defined makefile fragments generation

	If a user defined one single Makefile fragment to be included (via Automake
	includes) in his main Makefile.am, and gave a rule to generate that file
	from other data, Automake used to spuriously complain about with something
	like "overrides Automake target '$(srcdir)/foo.am".  This change remove that
	spurious error (via a simple hack rather than a systematic change, but oh
	well).

	* lib/am/configure.am (%MAKEFILE-IN-DEPS%) [?HAVE-MAKEFILE-IN-DEPS?]: Add
	a trailing "$(am__empty)" to the list of targets, which is enough to trick
	Automake into not complaining about "duplicated targets" in case the
	'%MAKEFILE-IN-DEPS%' list expands to a single target that is also declared
	in some user-defined rule.
	* t/list-of-tests.mk (XFAIL_TESTS): Remove now-passing test
	't/am-include-only-one-generated-fragment.sh'.
	* NEWS: Update.

2014-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose bug in handling of user-defined makefile fragments generation

	If a user defines one single Makefile fragment to be included (via Automake
	includes) in his main Makefile.am, and givse a rule to generate that file
	from other data, Automake will spuriously complain about with something
	like "overrides Automake target '$(srcdir)/foo.am".

	* t/am-include-only-one-generated-fragment.sh: Expose the bug (this test
	is still XFAILing).
	* t/list-of-tests.mk: Add the new test.

2014-12-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  cleanup: refactor code to initialize DIST_COMMON
	  dist: ordering of files in DIST_COMMON is deterministic now
	  tests: refactor some tests on DIST_COMMON
	  maint: make output of 'gen-testsuite-part' deterministic
	  When computing lispdir, don't load emacs site wide init file.
	  PATH: quote $(PATH_SEPARATOR) as well
	  Improve detection of GNU make, avoiding "Arg list too long" errors.

2014-12-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  cleanup: refactor code to initialize DIST_COMMON
	  dist: ordering of files in DIST_COMMON is deterministic now
	  tests: refactor some tests on DIST_COMMON
	  maint: make output of 'gen-testsuite-part' deterministic
	  When computing lispdir, don't load emacs site wide init file.
	  PATH: quote $(PATH_SEPARATOR) as well
	  Improve detection of GNU make, avoiding "Arg list too long" errors.

2014-12-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cleanup: refactor code to initialize DIST_COMMON

	There is not need to make that an Automake variable early,
	only to later get and munge its contents, and use the new
	content to redefine the variable.

	* bin/automake.in (@dist_common): New global variable.
	(push_dist_common, handle_dist): Use it.
	(handle_dist): Define am__DIST_COMMON instead of DIST_COMMON
	directly.
	(initialize_per_input): Reset it to empty.
	($configure_dist_common): Turn this scalar variable ...
	(@configure_dist_common): ... into this array variable.
	(handle_dist): Adjust.
	(required_file_check_or_copy): Update and wrap some comments.
	* lib/am/distdir.am (DIST_COMMON): Append $(am__DIST_COMMON).
	* t/distcom2.sh: Tighten a little.

2014-12-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	dist: ordering of files in DIST_COMMON is deterministic now

	It had likely stopped being deterministic due to the new perl behavior
	of having non-deterministic order of numerating hash keys:
	<http://search.cpan.org/dist/perl-5.18.0/pod/perldelta.pod#Hash_randomization>
	<http://onionstand.blogspot.ie/2012/12/are-you-relying-on-hash-keys-being.html>
	See also similar commit v1.14-19-g52e6404, albeit in this case the issue
	is likely coming from autom4te/autoconf, not from automake itself.

	Fixes automake bug http://debbugs.gnu.org/17908

	* bin/automake.in (handle_dist): Sort @dist_common.
	(print_autodist_files): Swap invocations of 'sort' and 'uniq', for
	consistency with the new code in 'handle_dist' and to get rid of a
	minor hack.
	* NEWS: Update.

2014-12-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: refactor some tests on DIST_COMMON

	So that they prefer checking the semantics of the generated Makefiles,
	rather than grepping their content.  This will be useful in an upcoming
	refactoring.

	* t/distcom-subdir.sh: Adjust this test.
	* t/distcom2.sh: And this.
	* t/distcom3.sh: And this.
	* t/distcom4.sh: And this.
	* t/distcom5.sh: And this.

2014-12-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: make output of 'gen-testsuite-part' deterministic

	So that diffs displayed by the 'compare-autodiffs' target are
	less spurious and more useful.

	* gen-testsuite-part: Sort keys of %deps_extractor, %wrapper_setups
	and %depmodes before iterating on them.

2014-12-19  Andrew Burgess  <andrew.burgess@embecosm.com>  (tiny change)

	When computing lispdir, don't load emacs site wide init file.

	When computing the lispdir emacs was previously invoked with the '-q'
	option to avoid loading the users initialisation files, however, the
	site wide initialisation file was still loaded, in some cases this can
	cause emacs to hang, with the result that a configure can also hang.

	The lisp code that aclocal causes to be executed reduces the load-path
	list (in emacs) to empty.  The load-path is used by emacs to find
	packages which it wants to load.  Currently, if emacs tries to auto
	load a package during shut down, and the package is not found, then
	emacs will hang.  This does seem like an emacs bug, but protecting
	against this in aclocal is simply a case of not loading the site wide
	initialisation file.

	In this patch then the '-q' option to emacs is replaced with '-Q',
	this has the same, the '-Q' option is similar to '-q --no-site-file
	--no-splash'.

	* doc/automake.texi (Hard-Coded Install Paths): Update explanation of
	emacs code used to get lispdir.
	* m4/lispdir.m4 (AM_PATH_LISPDIR): Update emacs flags.

2014-12-19  KO Myung-Hun  <komh78@gmail.com>  (tiny change)

	PATH: quote $(PATH_SEPARATOR) as well

	On OS/2, $(PATH_SEPARATOR) is ';'. Without quote, it is recognized as
	a mark of end of sentence.

	* Makefile.am: quote $(PATH_SEPARATOR) as well.
	* t/Makefile.inc: Likewise.

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Improve detection of GNU make, avoiding "Arg list too long" errors.

	Such errors could take place when the main makefile included too many
	sub-makefiles, making $(MAKEFILE_LIST) too long and causing the
	recipes $(am__is_gnu_make) to exceed the shell's command-line length
	limits.  This is not a theoretical issue: it could happen for projects
	having lots of C/C++ sources and using automatic dependency tracking,
	which created an included .Po sub-makefile for each of such sources.

	Fixes http://debbugs.gnu.org/18744

	* lib/am/header-vars.am (am__is_gnu_make): Fix the logic to avoid
	the use of $(MAKEFILE_LIST).
	* NEWS: Update.

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  Fix stupid typo in test, causing spurious failure
	  sync: update third-part files from upstream
	  Make sure AM_INIT_AUTOMAKE has a trailing newline
	  dist: adjust warning messages about shar and tarZ deprecation
	  docs: improve description of ${PACKAGE}, ${VERSION}, and similar variables

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  Fix stupid typo in test, causing spurious failure

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Fix stupid typo in test, causing spurious failure

	* t/aminit-trailing-dnl-comment-pr16841.sh: s/greop/grep/

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  sync: update third-part files from upstream
	  Make sure AM_INIT_AUTOMAKE has a trailing newline
	  dist: adjust warning messages about shar and tarZ deprecation
	  docs: improve description of ${PACKAGE}, ${VERSION}, and similar variables

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'pr16841' into micro

	* pr16841:
	  Make sure AM_INIT_AUTOMAKE has a trailing newline

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	sync: update third-part files from upstream

	* lib/config.guess: This.
	* lib/config.sub: And this.
	* lib/gitlog-to-changelog: And this.
	* lib/gnupload: And this.
	* lib/update-copyright: And this.

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Make sure AM_INIT_AUTOMAKE has a trailing newline

	This used to be the case until Automke 1.13, but we broke it in
	Automake 1.14 (see commit v1.13.1-71-gf78b0f0).  This caused
	issues like http://debbugs.gnu.org/16841

	* m4/init.m4 (AM_INIT_AUTOMAKE): Adjust.
	* t/aminit-trailing-dnl-comment-pr16841.sh: New test.
	* t/list-of-tests.mk: Add it.
	* NEWS, THANKS: Update.

2014-12-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branches 'dist-warn-pr19108' and 'docs-pr16623' into micro

	* dist-warn-pr19108:
	  dist: adjust warning messages about shar and tarZ deprecation

	* docs-pr16623:
	  docs: improve description of ${PACKAGE}, ${VERSION}, and similar variables

2014-12-19  Aharon Robbins  <arnold@skeeve.com>

	dist: adjust warning messages about shar and tarZ deprecation

	They were swapped.  Reported in http://debbugs.gnu.org/19108.

2014-12-17  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: improve description of ${PACKAGE}, ${VERSION}, and similar variables

	In particular, suggesting that $PACKAGE and $VERSION should be aliases of
	the $PACKAGE_TARNAME and $PACKAGE_VERSION definitions coming from AC_INIT,
	and not be defined via an obsolete 2-argument invocation of AM_INIT_AUTOMAKE;
	and why that is the best default, given all our historical baggage.

	See discussion in http://debbugs.gnu.org/16623 for more information and
	background.

	* doc/automake.texi: Adjust.
	* THANKS: Update.

2014-12-17  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  Fix dumb logic error preventing $install_sh from being be overridden
	  Automake docs: fix typos and use of British English
	  Expose automake bug#19311
	  build: fix race in parallel builds
	  build: fix race in parallel builds

2014-12-17  Thomas Jahns  <jahns@dkrz.de>

	Fix dumb logic error preventing $install_sh from being be overridden

	* m4/install-sh.m4: Here.
	* THANKS: Update.

2014-12-17  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branches 'pr19311' and 'micro' into minor

	* pr19311:
	  Expose automake bug#19311
	  build: fix race in parallel builds

	* micro:
	  Automake docs: fix typos and use of British English
	  build: fix race in parallel builds

2014-12-17  Karl Berry  <karl@freefriends.org>

	Automake docs: fix typos and use of British English

	* doc/automake.texi: Here.

2014-12-17  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Expose automake bug#19311

	AC_PROG_CC called before AC_CONFIG_AUX_DIR can silently force wrong
	$ac_aux_dir definition.

	* t/auxdir-pr19311.sh: New.
	* t/list-of-tests.mk: Add it as an XFAIL test.

2014-12-17  Paul Eggert  <eggert@cs.ucla.edu>

	build: fix race in parallel builds

	Reported by Friedrich Beckmann in: http://bugs.gnu.org/18301
	* lib/am/texi-vers.am (?DIRSTAMP?): Put the process-ID into the
	temporary file name.  Use a similar temporary in the source dir.

2014-08-23  Paul Eggert  <eggert@cs.ucla.edu>

	build: fix race in parallel builds

	Reported by Friedrich Beckmann in: http://bugs.gnu.org/18301
	* lib/am/texi-vers.am (?DIRSTAMP?): Put the process-ID into the
	temporary file name.  Use a similar temporary in the source dir.

2014-04-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  init: ensure $ac_aux_dir is defined before being used

2014-04-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	init: ensure $ac_aux_dir is defined before being used

	Since we use '$ac_aux_dir' to define '$am_aux_dir', we need
	to ensure the former has been initialized before we try to
	define the latter, otherwise the definition:

	   am_aux_dir=`cd $ac_aux_dir && pwd`

	will set '$am_aux_dir' to '$HOME', likely causing weird and
	unexpected behaviours.

	This change fixes automake bug#15981.

	* m4/auxdir.m4 (AM_AUX_DIR_EXPAND): AC_REQUIRE expansion
	of 'AC_CONFIG_AUX_DIR_DEFAULT'. Fix redundant comment and
	AC_PREREQ, add extra quoting around '$ac_aux_dir'.
	* t/auxdir-pr15981.sh: New test.
	* t/auxdir-cc-pr15981.sh: Likewise.
	* t/list-of-tests.mk (handwritten_TESTS): Add them.
	* THANKS, NEWS: Update.
	* bin/automake.in: Fix a harmless typo in comments, that
	I happened to notice while writing this patch.

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  plans: enabling subdir-object by default is blocked on bug#13928

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	plans: enabling subdir-object by default is blocked on bug#13928

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: update copyright (for files in 'master' only)

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  maint: update copyright years
	  maint: sync files from upstream ("make fetch")

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: update copyright years

	We've been in 2014 already for few months now...

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: sync files from upstream ("make fetch")

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  Typofixes in warning messages and manual

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Typofixes in warning messages and manual

	Fixes automake bug#16827 and bug#16997.

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  doc: fix encoding error with UTF-8 characters
	  NEWS: a typofix, and better word wrapping
	  parallel-tests: avoid possible implicit "make all" in test-suite.log rule

2014-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  doc: fix encoding error with UTF-8 characters

2014-01-04  Paul Eggert  <eggert@cs.ucla.edu>

	doc: fix encoding error with UTF-8 characters

	* doc/automake.texi: Specify @documentencoding and
	@documentlanguage, to prevent encoding errors for parts of this
	input file that are UTF-8.  This also causes the .info output to
	use curly quotes, which is easier to read though it does assume
	UTF-8 support.

2013-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: a typofix, and better word wrapping

2013-12-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	parallel-tests: avoid possible implicit "make all" in test-suite.log rule

	This change fixes automake bug#16302.

	* lib/am/check.am ($(TEST_SUITE_LOG)): Avoid running "make $redo_logs"
	when $redo_logs expands to empty, since in that case we are actually
	ending up invoking a full "make all".  That shouldn't be required, and
	can cause slowdowns for people implementing their extra "laziness
	wrappers" around check-TESTS (automake bug#16302).
	* NEWS: Update.

2013-12-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  Allow user to extend .PRECIOUS target
	  cosmetics: remove a couple of extra trailing white spaces
	  tests: fix a spurious failure on Mac OS X
	  docs: make clear the JAVA primary is frozen
	  install-sh: a slightly better diagnostic, and tests enhancements
	  install-sh: be stricter in catching invalid usages
	  tests: more significant names for some tests
	  tests: some cosmetic fixes
	  tests: more significant names for a test
	  docs: drop a few obsolescent FIXME/TODO comments, and associated text
	  testsuite harness: report test exit status in log file
	  TAP driver: no need to invoke AC_PROG_AWK directly
	  TAP driver: remove perl implementation (move it into contrib/)

2013-12-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Allow user to extend .PRECIOUS target

	References:
	<http://lists.freedesktop.org/archives/systemd-devel/2013-July/012155.html>
	<http://lists.gnu.org/archive/html/automake/2013-07/msg00011.html>

	* bin/automake.in: Adjust to ensure we handle '.PRECIOUS' the same way
	we do for '.PHONY' and '.MAKE'.
	* lib/Automake/Rule.pm: Likewise.
	* t/precious.sh: New test.
	* t/list-of-tests.mk: Add it.
	* t/phony.sh: Enhance a little while at it.
	* NEWS: Update.
	* THANKS: Likewise.

	Reported-by: Holger Hans Peter Freyther <holger@freyther.de>

2013-12-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cosmetics: remove a couple of extra trailing white spaces

2013-12-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix a spurious failure on Mac OS X

	This change fixes bug#14706.

	* lib/depcomp2.sh: Also cater to spurious diagnostic from GNU rm,
	not only from Apple's rm.

2013-12-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: make clear the JAVA primary is frozen

	* doc/automake.texi: Here.  The JAVA primary is broken in several ways,
	and will no longer be developed, not even for bug fixes.

	See also automake bugs #9088, #8662 and #8540.

2013-12-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'install-sh-improvements' into minor

	* install-sh-improvements:
	  install-sh: a slightly better diagnostic, and tests enhancements
	  install-sh: be stricter in catching invalid usages

2013-12-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	install-sh: a slightly better diagnostic, and tests enhancements

	* lib/install-sh: When called with no non-option arguments and the '-t'
	option with an argument that is not an existing directory, have the
	diagnostic output complain about the lack of required arguments rather
	than about the bad argument passed to '-t'.
	* t/install-sh-unittests.sh: Enhance to also check diagnostic printed
	in cases of expected failure.

2013-12-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	install-sh: be stricter in catching invalid usages

	Such usages (which are rejected by GNU install as well) are:

	  - options -d and -t used together;

	  - argument passed to option -t must be a directory;

	  - if there are two or more SOURCEFILE arguments, the
	    DESTINATION argument must be a directory.

	Note that we still allow the use of options -d and -T together, by
	making -d take the precedence; this is for compatibility with GNU
	install.

	This change fixes, among other things, automake bug#15376.

	* lib/install-sh: Adjust.
	* t/install-sh-unittests.sh: Enhance.
	* NEWS: Update.
	* THANKS: Add reporter of bug#15376.

	Helped-by: Tobias Hansen <thansen@debian.org>

2013-12-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: more significant names for some tests

	* t/insh2.sh: Rename...
	* t/dist-install-sh.sh: ... like this.
	* t/instsh.sh: Rename...
	* t/add-missing-install-sh.sh: ... like this.
	* t/instsh2.sh: Rename...
	* t/install-sh-unittests.sh: ... like this.
	* t/instsh3.sh: Rename...
	* t/install-sh-option-C.sh: ... like this.
	* t/list-of-tests.mk: Adjust.

2013-12-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: some cosmetic fixes

	* t/instdat.sh: Here.
	* t/instdat2.sh: And here.
	* t/instsh.sh: And here.
	* t/instsh3.sh: And here.

2013-12-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: more significant names for a test

	* t/install2.sh: Rename...
	* t/dist-with-unreadable-makefile-fails.sh: ... like this.
	* t/list-of-tests.mk: Adjust.

2013-12-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branches 'fix-pr11814' and 'drop-perl-tap-driver' into minor

	* fix-pr11814:
	  docs: drop a few obsolescent FIXME/TODO comments, and associated text
	  testsuite harness: report test exit status in log file

	* drop-perl-tap-driver:
	  TAP driver: remove perl implementation (move it into contrib/)

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: drop a few obsolescent FIXME/TODO comments, and associated text

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	testsuite harness: report test exit status in log file

	The exit status of a test should be reported in the test logs, so
	that one can see at a glance whether the test has succeeded or failed,
	without having to look also into the corresponding .trs file.

	This fixes automake bug#11814.

	* lib/test-driver: Also report the test script exit status in the
	test log (as the last line).
	* t/check-exit-status-reported.sh: Test this new behaviour.
	* t/list-of-tests.mk: Add the new test.
	* t/ax/test-lib.sh( am_exit_trap): No longer log the test exit status;
	this has been made redundant by the change to 'test-driver'.  While at
	it, fix an imperfect quoting.

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	TAP driver: no need to invoke AC_PROG_AWK directly

	It is already required by AM_INIT_AUTOMAKE anyway.

	* doc/automake.texi: Adjust examples.
	* t/tap-doc2.sh: Adjust documentation-tracking test.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Explicitly tell that the AC_PROG_AWK
	requirement is also needed whenever the TAP driver is used.

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	TAP driver: remove perl implementation (move it into contrib/)

	That implementation was only meant as a standard against which the
	portable awk+shell implementation was to be measured.  Now, since
	Automake 1.12, the latter implementation is fully functional and
	already used in the wild, and in fact feature-par with the perl
	implementation.  So the perl implementation is now just slowing
	down and complicating our testsuite.  Let's move it to 'contrib/'
	(we don't want to remove it, in case someone is actually using it
	in the wild).

	* lib/tap-driver.pl: Move it ...
	* contrib/tap-driver.pl: ... here.  While at it, convert quoting
	`like this' to quoting 'like this', and remove an obsolescent FIXME
	comment.
	* lib/Makefile.inc (dist_script_DATA): Drop '%D%/tap-driver.pl'.
	* Makefile.am (EXTRA_DIST): Add 'contrib/tap-driver.pl'.
	* doc/automake.texi: Remove one stray reference to 'tap-driver.pl',
	and reference 'tap-driver.sh' instead, as intended.
	* t/ax/am-test-lib.sh ($am_tap_implementation): Delete definition and
	uses.
	(fetch_tap_driver): Simplify to unconditionally assume the shell+awk
	implementation of the TAP driver is used.
	(get_shell_script): Make more flexible so that it can cater to the
	needs of 'fetch_tap_driver()'.
	* t/tap-bad-prog.tap: Likewise.
	* t/tap-bailout-leading-space.sh: Likewise.
	* t/tap-signal.tap: Likewise.
	* t/tap-test-number-0.sh: Likewise.
	* t/test-driver-cond.sh: Use 'tap-driver.sh' instead of 'tap-driver.pl'.
	* gen-testsuite-part (%test_generators): Do not generate sister tests
	that use the perl TAP driver rather than the shell+awk one.
	* NEWS: Update.

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  NEWS: stop reporting "new" Automake versioning scheme
	  post-release: micro version bump to 1.14.1a devel version
	  release: stable micro release 1.14.1
	  HACKING: minor clarification
	  tests: make install-info-dir.sh print more debugging info
	  tests: remove too-brittle test tap-realtime.sh
	  maintainer: am-ft: add option to cater to clock skews
	  sync: update INSTALL, config.guess and config.sub from upstream
	  TAP driver: cosmetic fixes

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: stop reporting "new" Automake versioning scheme

	It's actually old news by now.

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  post-release: micro version bump to 1.14.1a devel version
	  release: stable micro release 1.14.1
	  HACKING: minor clarification
	  tests: make install-info-dir.sh print more debugging info
	  tests: remove too-brittle test tap-realtime.sh
	  maintainer: am-ft: add option to cater to clock skews
	  sync: update INSTALL, config.guess and config.sub from upstream
	  TAP driver: cosmetic fixes

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	post-release: micro version bump to 1.14.1a devel version

	* configure.ac (AC_INIT): Bump version number to 1.14.1a.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: stable micro release 1.14.1

	* configure.ac (AC_INIT): Bump version number to 1.14.1.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-12-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	HACKING: minor clarification

2013-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: make install-info-dir.sh print more debugging info

	With the hope that this will shed more light on bug#14601

2013-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove too-brittle test tap-realtime.sh

	* t/tap-realtime.sh: Delete.  It has always been brittle, but now
	it's also causing spurious failures when mawk is used as the awk
	implementation in tap-driver.sh (see bug#14601).
	* t/list-of-tests.mk: Adjust.

2013-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maintainer: am-ft: add option to cater to clock skews

	* maintainer/am-ft: Add option '-S', giving a number of seconds to sleep
	after copying the tarball to the remote system and before unpacking,
	building and testing it.  This is to cater to situations where the clock
	of the remote system is skewed (in the past) w.r.t. the clock the local
	system the tarball has been built on.

2013-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	sync: update INSTALL, config.guess and config.sub from upstream

2013-12-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	TAP driver: cosmetic fixes

	* lib/tap-driver.sh: Quote 'like this', not `like this'.  Remove an
	obsolete FIXME.  Correctly mark another comment as a TODO rather
	than as a FIXME.

2013-11-02  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  cosmetics: fix typo in a user-facing message in tests
	  automake: account for perl hash order randomization
	  tests: avoid use of intervals to capitalize letters
	  cosmetics: untabify the install-sh script
	  install-sh: assume that "set -f" and "set +f" work...
	  install-sh: assume ${var:-value} works as expected
	  install-sh: assume 'dirname' is available and working correctly
	  distcheck: don't allow overriding of --prefix and --srcdir by the user
	  tests: expose bug#14991 (relates to 'distcheck')

2013-11-01  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'modernize-install-sh' into minor

	* modernize-install-sh:
	  cosmetics: untabify the install-sh script
	  install-sh: assume that "set -f" and "set +f" work...
	  install-sh: assume ${var:-value} works as expected
	  install-sh: assume 'dirname' is available and working correctly

2013-11-01  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  cosmetics: fix typo in a user-facing message in tests
	  automake: account for perl hash order randomization
	  tests: avoid use of intervals to capitalize letters
	  distcheck: don't allow overriding of --prefix and --srcdir by the user
	  tests: expose bug#14991 (relates to 'distcheck')

2013-11-01  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cosmetics: fix typo in a user-facing message in tests

	* t/lex-header.sh: A "skip" message in this test, precisely.

2013-11-01  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branches 'fix-pr14991' and 'fix-pr14891' into micro

	* fix-pr14991:
	  distcheck: don't allow overriding of --prefix and --srcdir by the user
	  tests: expose bug#14991 (relates to 'distcheck')

	* fix-pr14891:
	  automake: account for perl hash order randomization
	  tests: avoid use of intervals to capitalize letters

2013-10-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	automake: account for perl hash order randomization

	Try to explicitly order the keys of some perl hashes when looping
	on them to do sanity/correctness checks and possibly display warning
	messages; this should ensure a more reproducible output.  Not really
	a big deal, but I prefer to keep the order of such output reproducible
	if possible.

	Issue revealed by spurious testsuite failures with perl 5.18, as
	reported in automake bug#14891.  See also:
	<http://search.cpan.org/dist/perl-5.18.0/pod/perldelta.pod#Hash_randomization>
	<http://onionstand.blogspot.ie/2012/12/are-you-relying-on-hash-keys-being.html>

	* lib/Automake/Variable.pm (variables): Explicitly order the values of
	the returned Automake::Variable instances.
	(variables_dump): Simplify, using the knowledge that 'variables()' now
	sorts its output.
	* t/preproc-errmsg.sh: Adjust.

2013-10-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid use of intervals to capitalize letters

	It was causing spurious failures with with Solaris 8 'tr'.
	See automake bug#14891.

	* t/test-extensions.sh: Adjust.

2013-10-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cosmetics: untabify the install-sh script

	* lib/install-sh: Here, plus a couple of related formatting tweaks.

2013-10-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	install-sh: assume that "set -f" and "set +f" work...

	... and disable/enable shell globbing, respectively.  This is
	mandated by POSIX, and supported even by Solaris 9 /bin/sh (one
	of the most braindead shells we still support).

	* lib/install.sh: Adjust.
	* NEWS: Update.

2013-10-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	install-sh: assume ${var:-value} works as expected

	The Autoconf manual says it is OK these days.

	* lib/install.sh: Adjust.
	* NEWS: Update.

2013-10-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	install-sh: assume 'dirname' is available and working correctly

	Really, we no longer care about hosts so outdated/broken to miss
	fundamental utilities like basename or dirname.

	* lib/install.sh: Adjust.
	* NEWS, THANKS: Update.

	Suggested-by: Philipp A. Hartmann <philipp.hartmann@offis.de>

2013-10-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	distcheck: don't allow overriding of --prefix and --srcdir by the user

	Not through AM_DISTCHECK_FLAGS, nor through DISTCHECK_FLAGS.  Apparently,
	some packages got in the habit of relaying all the options passed to the
	original ./configure invocation through to the configure invocations
	in "make distcheck".  This was causing problems, because it also passed
	through the original --srcdir and --prefix options.

	Fixes: expose bug#14991 (relates to 'distcheck')

	* lib/am/distdir.am (distcheck): Pass the hard-coded --srcdir and
	--prefix options *after* both the developer-defined options in
	$(AM_DISTCHECK_FLAGS) and the user-defined options in $(DISTCHECK_FLAGS).
	* t/list-of-tests.mk (XFAIL_TESTS): Remove the now-passing test
	'distcheck-no-destdist-or-srcdir-override.sh'.
	* doc/automake.texi (Checking the Distribution): Update.
	* NEWS: Likewise.

2013-10-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose bug#14991 (relates to 'distcheck')

	* t/distcheck-no-prefix-or-srcdir-override.sh: New, expose the bug.
	* t/list-of-tests.mk (handwritten_TESTS, XFAIL_TESTS): Add it.

2013-10-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  tests: fix spurious failure when zip is present but unzip is not
	  tests: fix spurious failure due to localization issues
	  NEWS: update with the changes since v1.14
	  docs: correct typos in the fix-timestamp.sh script
	  python: byte-compile nobase_*_PYTHON files only once
	  cosmetics: typofix in the 'missing' script
	  test: avoid false positives in 'cc-no-c-o' script
	  test harness: improve catching of usage errors in script 'test-driver'
	  tests: fix a spurious failure on NetBSD-current
	  am-ft: make the environment available earlier
	  NEWS: post-release tweaks (for 1.14.x series)
	  tests: avoid a spurious failure on MacOS X 10.6.8
	  tests: don't risk hanging on the 'cl' requirement

2013-10-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  tests: fix spurious failure when zip is present but unzip is not
	  tests: fix spurious failure due to localization issues
	  NEWS: update with the changes since v1.14
	  docs: correct typos in the fix-timestamp.sh script
	  python: byte-compile nobase_*_PYTHON files only once
	  cosmetics: typofix in the 'missing' script
	  test: avoid false positives in 'cc-no-c-o' script
	  test harness: improve catching of usage errors in script 'test-driver'
	  tests: fix a spurious failure on NetBSD-current
	  am-ft: make the environment available earlier
	  NEWS: post-release tweaks (for 1.14.x series)
	  tests: avoid a spurious failure on MacOS X 10.6.8
	  tests: don't risk hanging on the 'cl' requirement

2013-10-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix spurious failure when zip is present but unzip is not

	Fixes automake bug#15181.

	* t/dist-formats.tap (have_compressor): When checking that zip(1), also
	check for unzip(1), otherwise "make distcheck" will be unable to extract
	the zip tarball it creates, which will cause spurious failures.  While
	at it, reorganize the existing code a bit.
	* THANKS, NEWS: Update.

2013-10-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix spurious failure due to localization issues

	Fixes automake bug#15237.

	* t/autohdr-subdir-pr12495.sh: Ensure make is run in the C locale, so that
	we can expect error messages in English when grepping its output.
	* THANKS, NEWS: Update.

2013-10-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: update with the changes since v1.14

2013-10-28  Peter Breitenlohner  <peb@mppmu.mpg.de>  (tiny change)

	docs: correct typos in the fix-timestamp.sh script

	* doc/automake.texi: Here.  The original version of this example script
	makes no sense at all, using 'configure' instead of the intended 'touch'
	in few key places.

2013-10-28  Benoit Sigoure  <tsunanet@gmail.com>  (tiny change)

	python: byte-compile nobase_*_PYTHON files only once

	* lib/am/python.am: Here. Byte-compiling was occurring inside of
	a loop, causing an O(n^2) number of byte-compilations instead of
	O(n).

2013-10-28  Václav Zeman  <vhaisman@gmail.com>  (tiny change)

	cosmetics: typofix in the 'missing' script

	* lib/missing: Here, in a message printed to the user.
	* THANKS: Update.

2013-07-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'fix-pr14911' into micro

	* fix-pr14911:
	  test: avoid false positives in 'cc-no-c-o' script

2013-07-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'fix-half-pr14760' into micro

	* fix-half-pr14760:
	  tests: fix a spurious failure on NetBSD-current

2013-07-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	test: avoid false positives in 'cc-no-c-o' script

	Fixes automake bug#14911.

	* t/ax/cc-no-c-o.in: Be more careful in determining whether both the
	'-c' and '-o' options have been passed on the command line to the
	compiler.  In particular, do not spuriously complain in the face of
	options like '-compatibility_version' or '-current_version' (seen on
	Mac OS X 10.7).
	* THANKS: Update.

2013-07-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	test harness: improve catching of usage errors in script 'test-driver'

	Fixes automake bug#14840.

	* lib/test-driver: Catch and report usage errors where the caller has
	forgotten to specify one of the mandatory options (--test-name,
	--log-file, --trs-file) or has not passed any non-option argument.
	Also, be sure to work correctly even when no '--' special argument
	is passed to separate option from non-options arguments.
	* THANKS: Update.

2013-07-07  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix a spurious failure on NetBSD-current

	Reported in automake bug#14760.

	* tests/silent-custom.sh: Be prepared to handle creative
	quoting in the output of the shell run for the make recipes
	when the shell traces are active ("set -x").

2013-06-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	am-ft: make the environment available earlier

	So that, with a PATH that is updated earlier, we can find the 'xz'
	program even on systems where it isn't in the default PATH.

	* maintainer/am-ft: Adjust accordingly.

2013-06-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: post-release tweaks (for 1.14.x series)

2013-06-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid a spurious failure on MacOS X 10.6.8

	Fixes automake bug#14706.

	* t/depcomp2.sh: Strip, from the redirected ./configure stderr, the
	possible error message "rm: conftest.dSYM: is a directory", generated
	by cleanup code that doesn't cater to the existence of *.dSYM
	directories sometimes created by the compiler on MacOS X.  This
	"massaging" of ./configure stderr is legitimate, since the spurious
	error message is due not to automake-related code, but to a know
	buglet/limitation of either Autoconf or Mac OS X bundles gcc:
	<http://lists.gnu.org/archive/html/bug-autoconf/2007-11/msg00017.html>
	Actually, from that link it appears that the original Autoconf issue
	had been fixed, but it must have been re-introduced in the meantime :-(

2013-06-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: don't risk hanging on the 'cl' requirement

	On the GNU/Linux boxes of some users that run our testsuite there
	is a '/usr/local/bin/cl' executable, from the IRAF package:

	    <http://iraf.noao.edu/>

	The test 'compile4.sh' (and other tests) try to invoke the 'cl'
	command to check whether it's a Microsoft compiler; the IRAF cl
	is an interactive program, so it hangs on such invocation.  In
	conclusion, the testsuite hangs for those users which have the
	IRAF cl early in PATH.

	Fix the issue by redirecting the input of cl from /dev/null when
	invoking it, which is enough to prevent the cl program from IRAF
	from hanging, and should have no effect on the behaviour of the
	Microsoft compiler.

	This change fixes automake bug#14707.

	* t/ax/am-test-lib.sh (require_tool): Adjust the handling of
	the 'cl' requirement.

2013-06-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'minor'

	* minor:
	  post-release: micro version bump (1.14a)
	  post-release: micro version bump (1.14.0a)
	  release: stable minor release 1.14

2013-06-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into minor

	* micro:
	  post-release: micro version bump (1.14.0a)

2013-06-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	post-release: micro version bump (1.14a)

	* configure.ac: Bump version: 1.14 -> 1.14a
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-06-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	post-release: micro version bump (1.14.0a)

	* configure.ac: Bump version: 1.14 -> 1.14.0a
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-06-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint' into micro

	* maint:
	  release: stable minor release 1.14
	  NEWS: one more minor fixlet
	  maint: port check-minimal-autoconf to VPATH builds
	  tests: avoid spurious failures in Linux -> MinGW cross-compilation mode
	  tests: simplify checks for some expected variables values in Makefiles
	  NEWS: improve and update wording
	  tests: fix/improve few heading comments
	  coverage: new test on Texinfo @include support
	  tests: tighten a grepping check
	  tests: more significant names for some tests
	  rename-tests: rework some code for clarity and safety
	  tests: cosmetic changes in t/extra-sources.sh
	  rename-tests: inform the user about the pre-filled commit msg
	  typofix: in comments in 'maintainer/rename-tests'
	  rename-tests: also "git add" list-of-tests.mk
	  tests: rename t/exsource.sh -> t/extra-sources.sh
	  tests: some improvements to Gettext tests
	  maint: version bump after beta release 1.13b
	  release: beta release 1.13b (will become 1.14)
	  automake: assume we can always pass '-o' to the C compiler
	  NEWS: fix typo
	  NEWS: on assuming "rm -f" without arguments work
	  docs: AM_PROG_CC_C_O: correct imprecise statements about it
	  NEWS: document deprecation of 'shar' and 'compress' dist formats
	  m4: rename minuso.m4 -> prog-cc-c-o.m4
	  tests: some tests make no sense if "$CC -c -o" doesn't work
	  AM_PROG_CC_C_O: don't rely on AC_PROG_CC_C_O, re-implement similar logic
	  compile: rewrite AC_PROG_CC with AM_PROG_CC_C_O contents
	  tests: avoid few lingering $MAKE redirections
	  tests: fix a spurious failure on NetBSD 5.1
	  texi: build version.texi and stamp-vti in srcdir
	  tests: fix a botched heading comment
	  tests: fix another spurious with FreeBSD make
	  tests: fix a spurious failure with FreeBSD make
	  tests: remove remaining exec bits ('maint' branch)
	  PLANS: subdir-objects: various updates
	  THANKS: update Akim's e-mail address
	  tests: less uses of "make -e"; avoid spurious failures in 'check-cc-no-c-o'
	  build: be more respectful of user-specified verbosity
	  check-cc-no-c-o: unify initializations in a single place
	  check-cc-no-c-o: avoid a spurious failure
	  build: fixup for building in a VPATH setup
	  Use AC_DEFUN_ONCE to define AM_PROG_CC_C_O
	  compile: avoid AC_PROG_CC messy rewrite
	  options: tiny simplification in dealing with incompatible versions
	  options: try to report as much errors as possible
	  refactor: fix few "inverted boolean" usages
	  options: better name for an internal function
	  options: more consistency in use of return statuses to report errors
	  options: tiny simplification in dealing with erroneous opts
	  options: consistently use return statuses to report errors
	  options: re-enable some sanity checks
	  THANKS: update Eric Blake's e-mail address
	  NEWS: typofix
	  news: document new 'subdir-objects' warning
	  PLANS: one minor fixlet (mostly cosmetic)
	  PLANS: we have already dropped support for split info files in master
	  NEWS: fix a reference to Automake 1.14 where Automake 2.0 was intended
	  PLANS: fix reference to non-existent 'next' branch
	  PLANS: fix botched version reference
	  maintcheck: fix two references to old location of aclocal and automake
	  dist: deprecated shar and tar+compress formats
	  am: prefer a shorter idiom where possible
	  maint: re-run "make update-copyright" ...
	  tests: avoid spurious failure with older flex (2.5.4)
	  build: move automake and aclocal in 'bin' subdir
	  build: break up monolithic Makefile.am in subdir-specific fragments
	  maint branch: we are going to become Automake 1.14
	  tests: typofixes in comments in t/preproc-c-compile.sh
	  tests: remove bashism from a test
	  tests: rename some with more descriptive names
	  typofix: in comments in t/extra2.sh
	  tests: fix botched cross-reference in a heading comment
	  automake: refactoring: factor out common cpp-like flags
	  NEWS (mint): reflect new Automake versioning scheme
	  maintcheck: avoid spurious failure
	  perl: perl subroutine prototypes are problematic, don't use them
	  maint: more adjustments to the new versioning scheme
	  cosmetics: fix some "docstring-like" comments in automake
	  style: call perl functions 'like_this()', not '&like_this()'
	  preproc: enhance and extend tests
	  preproc: add support for relative names in included fragments
	  maint: use more perl subroutines prototypes in the automake script
	  build: auto-generate perl subroutines prototypes for automake and aclocal
	  refactor: rip module Automake::Language out of automake script
	  tests: more information about Lex and Yacc programs
	  lint: fix spurious failure for 'sc_rm_minus_f' syntax check
	  maint: bump version 1.13.1a -> 1.13.2a
	  plans: we are not going to remove AM_PROG_MKDIR_P in Automake 1.14
	  init.m4: add probe to check "rm -f" without args work
	  subdir-objects: complain if it isn't enabled
	  plans: update w.r.t. latest changes
	  ywrap: remove an obsolete FIXME comment
	  ywrap: style fixes (no semantic change intended)
	  convenience: "make lint" as an alias for "make maintainer-check"
	  docs: typofix in manual
	  coverage: using multiple lexers in a single program
	  tests: remove most uses of the AM_PROG_CC_C_O obsolete macro
	  coverage: obsolete macro AM_PROG_CC_C_O should cause no warning nor errors
	  INSTALL: update copyright years
	  ithreads: use runtime (not configure time) detection of perl threads
	  copyright: add few missing copyright notices
	  maint: files in PLANS are to be exempted from copyright notice
	  maint: consistently honor the UPDATE_COPYRIGHT_YEAR environment variable
	  copyright: update some copyright years
	  compile: use 'compile' script when "-c -o" is used with losing compilers
	  HACKING: suggest more checks before releasing
	  tests: can fake a compiler not grasping "-c -o" -- globally in all tests
	  sync: update files from upstream with "make fetch"
	  typofix: in comments in GNUmakefile
	  Rename 'maint/' -> 'maintainer/', for Git's sake
	  HACKING: minor typofix
	  HACKING: bug-tracker, the PLANS directory, and how to plan "big" changes
	  HACKING: rewindable branches should live in the 'experimental/*' namespace
	  HACKING: fixlets about git branch rewinding policy
	  HACKING: commit messages are not to follow GCS ChangeLog rules too strongly
	  HACKING: "detailed explanation" in commit messages is almost mandatory
	  HACKING: we use "merge --log" even when merging master
	  HACKING: typofix
	  depend2.am: fix comments on verbosity of compilation rules
	  depend2.am: improve comments a little
	  plans: automake 1.14 is to assume "rm -f" with no args is OK
	  plans: we want to active subdir-objects unconditionally in automake 1.14
	  tests: adjust stale references to old test names
	  tests: rename the last aclocal test with dumb name
	  tests: fix an old botched change to an aclocal test
	  tests: fix some botched inter-test references in heading comments
	  coverage: compile rules used "-c -o" also with losing compilers
	  texi: remove extra verbosity in creation of dirstamp directory
	  coverage: user can avoid distributing '.info' pages
	  plans: add some on-going plans (already registered on the bug tracker)
	  docs: mention dist-hook help for EXTRA_DIST
	  texi: remove workaround for older Texinfo (4.1)
	  NEWS: improve wordings in entry deprecating suffix-less info files
	  build: don't enable 'color-tests' automake option explicitly
	  build: enable all warnings as fatal in our own build system
	  texi: Texinfo sources and CLEANFILES definition should co-exist peacefully
	  tests: make two new test executable
	  runtest: better command line API
	  tests: move runtest.in away from the top-lever directory
	  maint: move more maintainer files in the 'maint/' subdir
	  plans: add the "PLANS" directory
	  tests: more significant names for some tests
	  maint: add some of my maintainer-specific scripts
	  texi: deprecate hack about info files in CLEANFILES variables
	  texi: info files can be generated in the builddir

2013-06-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: stable minor release 1.14

	* configure.ac (AC_INIT): Bump version number to 1.14.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-06-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  NEWS: one more minor fixlet
	  maint: port check-minimal-autoconf to VPATH builds
	  tests: avoid spurious failures in Linux -> MinGW cross-compilation mode
	  tests: simplify checks for some expected variables values in Makefiles
	  NEWS: improve and update wording
	  tests: fix/improve few heading comments
	  coverage: new test on Texinfo @include support
	  tests: tighten a grepping check
	  tests: more significant names for some tests
	  rename-tests: rework some code for clarity and safety
	  tests: cosmetic changes in t/extra-sources.sh
	  rename-tests: inform the user about the pre-filled commit msg
	  typofix: in comments in 'maintainer/rename-tests'
	  rename-tests: also "git add" list-of-tests.mk
	  tests: rename t/exsource.sh -> t/extra-sources.sh

2013-06-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: one more minor fixlet

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: port check-minimal-autoconf to VPATH builds

	* maintainer/maint.mk (check-minimal-autoconf): Here.

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid spurious failures in Linux -> MinGW cross-compilation mode

	* t/ccnoc-deps.sh: Here.
	* t/preproc-demo.sh: And here.

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: simplify checks for some expected variables values in Makefiles

	Do so by using our custom 'is' auxiliary script rather than grepping
	the output from make.  This is more natural, more robust, and often
	shorter to write.

	Unfortunately, we can't do that in all cases: sometimes we really need
	to match the content of a variable against a regular expressions, and
	we can't know nor are interested in its exact value.

	This is basically a follow-up on commit v1.11-1830-g96401cb of
	2012-02-08 (tests: better way to compare lists in Makefile rules).

	* t/subst-no-trailing-empty-line.sh: Adjust.
	* t/pluseq10.sh: Likewise.
	* t/check5.sh: Likewise, and enhance a little while at it.
	* t/check7.sh: Likewise.
	* t/exeext.sh: Likewise.

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: improve and update wording

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix/improve few heading comments

	* t/lflags.sh: Here.
	* t/lflags-cxx.sh: And here.
	* t/yflags.sh: And here.
	* t/yflags-cxx.sh: And here.

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	coverage: new test on Texinfo @include support

	Backported from the Automake-NG testsuite.

	* t/txinfo-include.sh: New test.
	* t/list-of-tests.mk: Add it.

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: tighten a grepping check

	* t/yflags-force-override.sh: Here, by being sure to correctly
	match an expected literal dot.

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: more significant names for some tests

	* t/extra2.sh: Rename...
	* t/extra-sources-no-spurious.sh: ... like this.
	* t/yflags2.sh: Rename...
	* t/yflags-cxx.sh: ... like this.
	* t/lflags2.sh: Rename...
	* t/lflags-cxx.sh: ... like this.

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	rename-tests: rework some code for clarity and safety

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: cosmetic changes in t/extra-sources.sh

	* t/extra-sources.sh: Do not create unneeded C sources.  Add
	trailing ':' command.

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	rename-tests: inform the user about the pre-filled commit msg

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	typofix: in comments in 'maintainer/rename-tests'

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	rename-tests: also "git add" list-of-tests.mk

2013-06-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: rename t/exsource.sh -> t/extra-sources.sh

	* t/exsource.sh: Rename ...
	* t/extra-sources.sh: ... like this.
	* t/list-of-tests.mk: Adjust.

2013-06-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: some improvements to Gettext tests

2013-06-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'gettext-tests' into maint

	* gettext-tests:
	  tests: some improvements to Gettext tests

2013-06-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: some improvements to Gettext tests

	Mostly to bring them more in sync with the ones in Automake-NG.
	See also commit v1.12.2-824-g5468d52 of 2012-08-10([ng] tests:
	reorganize gettext tests a bit) in Automake-NG.

	* t/gettext.sh: Rename ...
	* t/gettext-basics.sh: ... like this, enhance a little, and
	move checks on requirement of 'config.rpath' out into ...
	* t/gettext-config-rpath.sh: ... into this new test, and move
	checks about PR/381...
	* t/gettext-pr381.sh: ... into this new test.
	* t/gettext2.sh: Rename ...
	* t/gettext-external-pr338.sh: ... like this, and enhance a
	little.
	* t/gettext3.sh: Rename ...
	* t/gettext-intl-subdir.sh: ... like this, and add trailing
	':' command.

2013-06-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  post-release: micro version bump (1.13.4a)
	  release: stable micro release 1.13.4
	  sync: update config.guess

2013-06-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  post-release: micro version bump (1.13.4a)
	  release: stable micro release 1.13.4
	  sync: update config.guess

2013-06-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	post-release: micro version bump (1.13.4a)

	* configure.ac: Bump version: 1.13.4 -> 1.13.4a
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-06-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: stable micro release 1.13.4

	* configure.ac (AC_INIT): Bump version number to 1.13.4.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-06-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	sync: update config.guess

	* lib/config.guess: This.  Actually, only the timestamp has been
	updated (apparently, it was mistakenly not updated in the previous
	real change to the script).

2013-06-12  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  THANKS: update e-mall address for Ralf Corsepius
	  lang, suffix rules: don't require C stuff needlessly
	  tests: expose automake bug#14560
	  maint: add a missing copyright notice
	  sync: update config.guess from upstream
	  tests: expose automake bug#13928
	  comments: fix some out-of-sync refs to test scripts
	  tests: expose automake bug#13940

2013-06-12  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  THANKS: update e-mall address for Ralf Corsepius
	  lang, suffix rules: don't require C stuff needlessly
	  tests: expose automake bug#14560

2013-06-12  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'fix-pr14560' into micro

	* fix-pr14560:
	  lang, suffix rules: don't require C stuff needlessly
	  tests: expose automake bug#14560

2013-06-12  Stefano Lattarini  <stefano.lattarini@gmail.com>

	THANKS: update e-mall address for Ralf Corsepius

2013-06-12  Stefano Lattarini  <stefano.lattarini@gmail.com>

	lang, suffix rules: don't require C stuff needlessly

	This change fixes automake bug#14560: when two or more user-defined suffix
	rules were present in a single Makefile.am, automake would needlessly
	include definition of some make variables related to C compilation in the
	generated Makefile.in.

	* automake.in (handle_languages): Fix logic to decide whether or not to
	include definitions of C compilation related variables in the generated
	Makefile.in: instead of doing so when two or more user-defined suffix
	rules are seen (which is a completely bogus criterion), do so when two
	or more compiled languages are used.
	* lib/Automake/Rule.pm (suffix_rules_count): Remove as no longer used.
	(@EXPORT): Adjust.
	* t/list-of-tests.mk (XFAIL_TESTS): No longer list the test script
	'suffix-extra-c-stuff-pr14560.sh', which now passes.
	* NEWS: Update.

2013-06-12  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose automake bug#14560

	Automake needlessly generates definition of make variables related
	to C compilation when two or more user-defined suffix rules are
	present in a single Makefile.am.

	* t/suffix-extra-c-stuff-pr14560.sh: New test, exposing the bug.
	This test is still xfailing.
	* t/no-extra-c-stuff.sh: New test, check for a potential related
	regression.  This regression is not actually present here (so this
	test passes), but it still took place in our first attempt at
	fixing bug#14560 -- so this test has proven to be actually useful.
	* t/no-extra-makefile-code.sh: Improve comments, and tighten the
	grepping checks a little.
	* t/list-of-tests.mk (handwritten_TESTS): Add the new tests.
	(XFAIL_TESTS): Add the new xfailing test.

2013-06-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  maint: add a missing copyright notice
	  sync: update config.guess from upstream
	  tests: expose automake bug#13928
	  comments: fix some out-of-sync refs to test scripts
	  tests: expose automake bug#13940

2013-06-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: add a missing copyright notice

	* t/ax/deltree.pl: Here.  Issue revealed by "make update-copyright".

2013-06-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	sync: update config.guess from upstream

	* lib/config.guess: Here.

2013-06-08  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose automake bug#13928

	* t/subobj-indir-pr13928.sh: New test, still xfailing.
	* t/subobj-vpath-pr13928.sh: Likewise.
	* t/list-of-tests.mk (XFAIL_TESTS, handwritten_TESTS): Update.

2013-06-08  Stefano Lattarini  <stefano.lattarini@gmail.com>

	comments: fix some out-of-sync refs to test scripts

	Those script has been renamed since those comments where written.

	* lib/Automake/Rule.pm: Adjust.
	* lib/am/distdir.am: Likewise.

2013-06-08  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose automake bug#13940

	* t/override-conditional-pr13940.sh: New test, still xfailing.
	* t/list-of-tests.mk (XFAIL_TESTS, handwritten_TESTS): Add it.

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	fixup: botched merge for 'bin/automake.in'

	* bin/automake.in (print_autodist_files): Here, we had unwittingly
	botched up a 'format' invocation during the latest maint -> master
	merge.

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  configure: remove an obsolete TODO comment
	  post-release: micro version bump (1.13.3a)
	  release: stable micro release 1.13.3
	  typofix: fix grammaro in comments in t/tags-pr12372.sh
	  NEWS: minor fixlets, re-wording, and better text wrapping
	  tests: slightly stricter checks in t/cxx-demo.sh
	  tests: fix spurious failure when 'etags' program is Exuberant Ctags
	  tests: fix spurious failure due to missing sleeps
	  maint: version bump after beta release 1.13b
	  release: beta release 1.13b (will become 1.14)
	  maint: support new Automake versioning scheme in tagging/uploading rules
	  announcement: can be generated from development snapshots as well
	  announcement: can be generated from development snapshots as well
	  announcement: be less strict in the paring of NEWS
	  maint: version bump after beta release 1.13.2b
	  release: beta release 1.13.2b (will become 1.13.3)
	  sync: update config.guess from upstream
	  automake: assume we can always pass '-o' to the C compiler
	  NEWS: document recent testsuite fixes (MinGW/MSYS related)
	  depcomp: avoid trailing backslash in depfile for depmode=msvc7
	  tests: prune some weed in a non-POSIX test
	  tests: avoid a spurious failure on MSYS
	  t/README: document "run_make", discourage "make -e"
	  cosmetics: tiny whitespace fixlets
	  tests: avoid a spurious failure with MSVC
	  tests: avoid a spurious failure on non-POSIX systems

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  configure: remove an obsolete TODO comment
	  post-release: micro version bump (1.13.3a)
	  release: stable micro release 1.13.3
	  typofix: fix grammaro in comments in t/tags-pr12372.sh

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	configure: remove an obsolete TODO comment

	* configure.ac: Here.

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	post-release: micro version bump (1.13.3a)

	* configure.ac: Bump version: 1.13.3 -> 1.13.3a
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: stable micro release 1.13.3

	* configure.ac (AC_INIT): Bump version number to 1.13.3.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-06-03  Peter Rosin  <peda@lysator.liu.se>

	typofix: fix grammaro in comments in t/tags-pr12372.sh

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  NEWS: minor fixlets, re-wording, and better text wrapping
	  tests: slightly stricter checks in t/cxx-demo.sh
	  tests: fix spurious failure when 'etags' program is Exuberant Ctags
	  tests: fix spurious failure due to missing sleeps

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: minor fixlets, re-wording, and better text wrapping

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: slightly stricter checks in t/cxx-demo.sh

	This is a follow-up to the commit fixing automake bug#14493.

	* t/cxx-demo.sh: Also check that the built program returns the
	correct (i.e., zero) exit status when run.  And improve comments
	a little while at it.

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix spurious failure when 'etags' program is Exuberant Ctags

	Fixes automake bug#14517.

	* t/tags-pr12372.sh: If the 'etags' program in use supports the
	'--langmap' option, use it.  That is required to avoid spurious
	failures with Exuberant Ctags (at least version 5.8), which by
	default do not generate any tags for file extensions it doesn't
	recognize.

2013-06-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix spurious failure due to missing sleeps

	Fixes automake bug#14528.

	* THANKS: Give credit to that bug's original reporter.

	* t/remake-configure-dependencies.sh: Add few missing '$sleep'
	invocations.  I thought that the sleeps implicit in the configure
	invocation were enough, but they were not, actually.  Here is what
	can happen:

	  1. The config.status script is generated by a configure run.
	  2. ./config.status and make are run.
	  3. The 'print-version' script is modified.
	  4. Since that script is listed in $(CONFIGURE_DEPENDENCIES),
	     autoconf is re-run.
	  5. On a fast-enough machine, the three steps 2-4 above, even
	     combined, might have taken less than a second to run;
	  6. If the filesystem doesn't have a sub-second timestamp
	     resolution, that means the newly-generated configure has
	     the same timestamp of the old config.status;
	  7. So, config.status is not re-run, and the Makefiles are
	     not updated.
	  8. Spurious failure!

	So we really need more explicit sleeps.

2013-05-31  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: version bump after beta release 1.13b

	* configure.ac (AC_INIT): Bump version number to 1.13c.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-05-31  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: beta release 1.13b (will become 1.14)

	* configure.ac (AC_INIT): Bump version number to 1.13b.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  maint: support new Automake versioning scheme in tagging/uploading rules
	  announcement: can be generated from development snapshots as well
	  announcement: can be generated from development snapshots as well
	  announcement: be less strict in the paring of NEWS
	  maint: version bump after beta release 1.13.2b
	  release: beta release 1.13.2b (will become 1.13.3)
	  sync: update config.guess from upstream

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: support new Automake versioning scheme in tagging/uploading rules

	* maint.mk (base_version_rx: Drop.
	(rx-0, rx-1): New.
	(stable_major_version_rx, stable_minor_version_rx, beta_version_rx):
	Update.
	(stable_micro_version_rx, alpha_version_rx: New.
	(determine_release_type): Adjust.
	(web-manual-update): Likewise.

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	announcement: can be generated from development snapshots as well

	And not only from checkouts corresponding exactly from a beta
	or stable release.  That was only getting in the way of proper
	testing for the 'announcement' recipe.

	* maint.mk (determine_release_type): If the make variable
	DEVEL_SNAPSHOT is set, do not error out if the current version
	denotes a development snapshot (e.g., "1.13.2c" or "1.99a").
	(announcement): Relax, by also accepting to run from development
	snapshots, not only stable or beta releases.  Do so by defining
	the target-specific variable DEVEL_SNAPSHOT to "yes".
	(print-release-type): Micro enhancement while at it.

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	announcement: can be generated from development snapshots as well

	And not only from checkouts corresponding exactly from a beta
	or stable release.  That was only getting in the way of proper
	testing for the 'announcement' recipe.

	* maint.mk (determine_release_type): If the make variable
	DEVEL_SNAPSHOT is set, do not error out if the current version
	denotes a development snapshot (e.g., "1.13.2c" or "1.99a").
	(announcement): Relax, by also accepting to run from development
	snapshots, not only stable or beta releases.  Do so by defining
	the target-specific variable DEVEL_SNAPSHOT to "yes".

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	announcement: be less strict in the paring of NEWS

	So that the file generated by "make announcement" is correct also
	for beta releases.

	* maint.mk (announcement): Relax the awk program processing NEWS a
	little.

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: version bump after beta release 1.13.2b

	* configure.ac (AC_INIT): Bump version number to 1.13.2c.
	* m4/amversion.m4: Likewise (autoupdated by "make bootstrap").

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: beta release 1.13.2b (will become 1.13.3)

	* configure.ac (AC_INIT): Bump version number to 1.13.2b.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	sync: update config.guess from upstream

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  NEWS: document recent testsuite fixes (MinGW/MSYS related)
	  depcomp: avoid trailing backslash in depfile for depmode=msvc7
	  tests: prune some weed in a non-POSIX test
	  tests: avoid a spurious failure on MSYS

2013-05-30  Peter Rosin  <peda@lysator.liu.se>

	automake: assume we can always pass '-o' to the C compiler

	It is assumed that we can pass -c -o to the C compiler, so remove
	some special casing and always do that.

	This change is similar in spirit to v1.13.1d-217-g7299c4d "depend: assume
	we can always pass '-o' to the C compiler"

	This change also happen to fix a testsuite failure
	(t/silent-many-languages.sh) when mixing MSVC and GNU fortran, which
	have different default object file extensions (.obj vs. .o). This
	difference in object file extension is not handled well and caused
	Automake to look for MSVC objects with .o extension. Always using -o
	makes MSVC create .o object files and linking succeeds. Not that
	anybody recommends mixing toolchains or anything.

	* bin/automake.in (handle_languages): Remove conditional modification
	of 'output_flag' entry for 'c'.
	(register_language ('name' => 'c')): Add 'output_flag' entry set to '-o'.

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: document recent testsuite fixes (MinGW/MSYS related)

2013-05-30  Peter Rosin  <peda@lysator.liu.se>

	depcomp: avoid trailing backslash in depfile for depmode=msvc7

	When compiling a file without any dependencies (no #includes), the
	msvc7 depmode (and consequently msvc7msys) generates a depfile
	Makefile fragment with the last line ending with a backslash. This
	is less robust than needed.

	Fixes automake bug#14501.

	* lib/depcomp (msvc7): Finish off the depfile Makefile fragment with
	an empty line.
	(scriptversion): Update.

2013-05-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'fix-pr14499'

	* fix-pr14499:
	  tests: avoid a spurious failure when TeX is not installed.

2013-05-29  Peter Rosin  <peda@lysator.liu.se>
	    Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: prune some weed in a non-POSIX test

	Fixes automake bug#14494.

	* t/distcheck-pr10470.sh: Make sure the test-driver is installed. Adjust
	to run_make changes. Adjust grep pattern to match new output.

2013-05-29  Peter Rosin  <peda@lysator.liu.se>

	tests: avoid a spurious failure on MSYS

	Fixes automake bug#14493.

	* t/cxx-demo.sh: Strip CR characters from the program output.

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  t/README: document "run_make", discourage "make -e"
	  cosmetics: tiny whitespace fixlets
	  tests: avoid a spurious failure with MSVC
	  tests: avoid a spurious failure on non-POSIX systems

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	t/README: document "run_make", discourage "make -e"

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cosmetics: tiny whitespace fixlets

2013-05-29  Peter Rosin  <peda@lysator.liu.se>

	tests: avoid a spurious failure with MSVC

	Fixes automake bug#14498.

	* t/yacc-bison-skeleton.sh: inline was not standardized prior to C99.

2013-05-29  Peter Rosin  <peda@lysator.liu.se>

	tests: avoid a spurious failure on non-POSIX systems

	Fixes automake bug#14495.

	* t/lex-header.sh: Make sure unistd.h isn't included.

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid a spurious failure when TeX is not installed.

	Fixes automake bug#14499.

	* t/txinfo-no-split.sh: If TeX is not available, redefine 'dvi' to be a
	dummy target, so that "make distcheck" doesn't fail while trying to build
	the DVI version of the Texinfo manual.

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid a spurious failure when $CC != cc

	Fixes automake bug#14500.

	* t/subpkg.sh: Improve the grepping of configure output.

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  NEWS: fix typos and grammaros
	  NEWS: document fix for bug#14441
	  Automake::Rule: consistently prepend underscore to private variables
	  Automake::Rule: rename: suffix_rule() -> next_in_suffix_chain()
	  Automake::Rule: adjust comments and POD according to previous changes
	  Automake::Rule: make private variables lexically scoped
	  suffix rules: better distinction between builtin and user-derived
	  Automake::Rule: expose suffix rules as a function, not a scalar
	  tests: expose automake bug#14441

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  NEWS: fix typos and grammaros
	  NEWS: document fix for bug#14441
	  Automake::Rule: consistently prepend underscore to private variables
	  Automake::Rule: rename: suffix_rule() -> next_in_suffix_chain()
	  Automake::Rule: adjust comments and POD according to previous changes
	  Automake::Rule: make private variables lexically scoped
	  suffix rules: better distinction between builtin and user-derived
	  Automake::Rule: expose suffix rules as a function, not a scalar
	  tests: expose automake bug#14441

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: drop an idiomatic use of latinism 'sic'

	Reported-by: Peter Rosin <peda@lysator.liu.se>

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: fix typos and grammaros

	Reported-by: Peter Rosin <peda@lysator.liu.se>

2013-05-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: fix Automake versions

	Reported-by: Peter Rosin <peda@lysator.liu.se>

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'suffix-rules-work' into micro

	* suffix-rules-work:
	  NEWS: document fix for bug#14441
	  Automake::Rule: consistently prepend underscore to private variables
	  Automake::Rule: rename: suffix_rule() -> next_in_suffix_chain()
	  Automake::Rule: adjust comments and POD according to previous changes
	  Automake::Rule: make private variables lexically scoped
	  suffix rules: better distinction between builtin and user-derived
	  Automake::Rule: expose suffix rules as a function, not a scalar
	  tests: expose automake bug#14441

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  NEWS: fix typo

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: fix typo

	Reported-by: Peter Rosin <peda@lysator.liu.se>

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  NEWS: report recent documentation fix about AM_PROG_MKDIR_P
	  NEWS: Automake 2.0 will assume "rm -f" without args work
	  NEWS: on assuming "rm -f" without arguments work
	  NEWS: fix a couple of typos in older entries
	  docs: AM_PROG_MKDIR_P: will not be removed in 2.0 release of Automake
	  docs: AM_PROG_CC_C_O: correct imprecise statements about it
	  maint: sanity checks in 'check-minimal-autoconf' convenience target
	  maint: test minimal supported autoconf through convenience target
	  maint: install minimal supported autoconf through convenience targets
	  test-lib: typofix in comments

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  NEWS: report recent documentation fix about AM_PROG_MKDIR_P
	  NEWS: Automake 2.0 will assume "rm -f" without args work
	  NEWS: fix a couple of typos in older entries

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: report recent documentation fix about AM_PROG_MKDIR_P

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: Automake 2.0 will assume "rm -f" without args work

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: on assuming "rm -f" without arguments work

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: fix a couple of typos in older entries

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  docs: AM_PROG_MKDIR_P: will not be removed in 2.0 release of Automake
	  maint: sanity checks in 'check-minimal-autoconf' convenience target
	  maint: test minimal supported autoconf through convenience target
	  maint: install minimal supported autoconf through convenience targets
	  test-lib: typofix in comments

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: AM_PROG_MKDIR_P: will not be removed in 2.0 release of Automake

	See the 'PLANS/obsolete-removed/am-prog-mkdir-p.txt' file in the 'maint'
	branch (as of commit v1.13.2-201-gd99e3f3) for details.

	* doc/automake.texi: Adjust.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: AM_PROG_CC_C_O: correct imprecise statements about it

	* doc/automake.texi: Here.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: sanity checks in 'check-minimal-autoconf' convenience target

	* maint.mk (check-minimal-autoconf): Here, check that autoconf seems
	to be locally installed, and that such local install refers to the
	correct expected minimal version.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: test minimal supported autoconf through convenience target

	* maint.mk (check-minimal-autoconf): New convenience target.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: install minimal supported autoconf through convenience targets

	To make testing of Automake in conjunction with it easier and more
	reproducible.  It might be nice to also have convenience targets to
	actually automatically run the Automake testsuite with such autoconf
	version, but that is left to later patches.

	* configure.ac: AC_SUBST the definition of $required_autoconf_version.
	* maint.mk (WGET): Move definition earlier.
	(gnu-ftp, ac-v, ac-n, ac-p, ac-t, ac-l, ac-d): New auxiliary variables.
	(fetch-minimal-autoconf, build-minimal-autoconf): New convenience
	targets.
	* .gitignore: Update.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: document fix for bug#14441

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Automake::Rule: consistently prepend underscore to private variables

	* lib/Automake/Rule.pm (%suffix_rules): Rename ...
	(%_suffix_rules): ... like this.
	(%suffix_rules_builtin): Rename ...
	(%_suffix_rules_builtin): ... like this.
	(reset, next_in_suffix_chain, register_suffix_rule, suffix_rules_count):
	Adjust.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Automake::Rule: rename: suffix_rule() -> next_in_suffix_chain()

	* lib/Automake/Rule.pm (suffix_rule): Rename ...
	(next_in_suffix_chain): ... like this.
	(%suffix_rules): Adjust comments.
	(@EXPORT): Adjust.
	* automake.in (derive_suffix): Likewise.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Automake::Rule: adjust comments and POD according to previous changes

	* lib/Automake/Rule.pm: Here, in several places.
	* automake.in (register_language): And a tiny adjustment here as well.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Automake::Rule: make private variables lexically scoped

	* lib/Automake/Rule.pm (@_known_extensions_list): This one.
	(@_suffixes): And this one.
	(%_rule_dict): And this one.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	suffix rules: better distinction between builtin and user-derived

	Fixes automake bug#14441.

	* lib/Automake/Rule.pm ($_suffix_rules_default): Remove, superseded by ...
	(%suffix_rules_builtin): ... this lexical variable.
	($suffix_rules): Remove, superseded by ...
	(%suffix_rules): ... this lexical variable.
	(suffix_rules, suffix_rules_count): Adjust.
	(register_suffix_rule): Update '%suffix_rules_builtin' rather than
	'%suffix_rules' if the location (as passed by the '$where' argument)
	is an "internal" one (doesn't come from user-provided Makefile.am).
	(reset): Simplify resetting of '%suffix_rules' to the default ones
	accordingly.
	* t/list-of-tests.mk (XFAIL_TESTS): Drop test 'suffix-custom-pr14441.sh'.

2013-05-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Automake::Rule: expose suffix rules as a function, not a scalar

	This is just a preparatory refactoring in view of future patches.
	No semantic change is intended.

	* lib/Automake/Rule.pm ($suffix_rules): Turn from a package-level
	variable to a lexical variable.
	(suffix_rule): New function, expose the details of $suffix_rules
	that are actually required by code outside thus modules --- and
	only those details, no more.
	(@EXPORT): Adjust.
	* automake.in (derive_suffix): Likewise.

2013-05-27  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose automake bug#14441

	* t/suffix-custom-pr14441.sh: New test, still failing.
	* t/list-of-tests.mk (handwritten_TESTS, XFAIL_TESTS): Add it.

	Helped-by: Felix Salfelder <felix@salfelder.org>

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: remove an "unworthy" FIXME comment
	  tests: remove one obsolete workaround for long-lifted limitations
	  tests: couple of minor tweaks in demo tests in C++ and Libtool

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	test-lib: typofix in comments

	* t/ax/am-test-lib.sh: In here.

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  tests: remove an "unworthy" FIXME comment
	  tests: remove one obsolete workaround for long-lifted limitations
	  tests: couple of minor tweaks in demo tests in C++ and Libtool

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove an "unworthy" FIXME comment

	* t/location.sh: Here.

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove one obsolete workaround for long-lifted limitations

	* t/silent-many-languages.sh: Here.

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: couple of minor tweaks in demo tests in C++ and Libtool

	* t/cxx-lt-demo.sh: Here.

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  NEWS: document deprecation of 'shar' and 'compress' dist formats
	  m4: rename minuso.m4 -> prog-cc-c-o.m4
	  tests: adjust or remove some obsolete comments
	  tests: remove some useless 'unset' of variables
	  tests: avoid a couple of extra sleep with GNU make
	  NEWS: document testsuite work for 1.13.3
	  lint: remove a couple of obsolete syntax checks
	  lint: cosmetics: use #-comments, not ##-comments
	  lint: cosmetics: some reordering
	  lint: recipes of syntax check require GNU grep; ensure it is used
	  lint: better name for a syntax check
	  tests: rename $am_make_rc_got -> $am_make_rc
	  tests: some tests make no sense if "$CC -c -o" doesn't work
	  AM_PROG_CC_C_O: don't rely on AC_PROG_CC_C_O, re-implement similar logic
	  compile: rewrite AC_PROG_CC with AM_PROG_CC_C_O contents
	  tests: ensure $required is not set too late

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  tests: adjust or remove some obsolete comments
	  tests: remove some useless 'unset' of variables

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: document deprecation of 'shar' and 'compress' dist formats

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'prog-cc-c-o-work' into maint

	* prog-cc-c-o-work:
	  tests: some tests make no sense if "$CC -c -o" doesn't work
	  AM_PROG_CC_C_O: don't rely on AC_PROG_CC_C_O, re-implement similar logic
	  compile: rewrite AC_PROG_CC with AM_PROG_CC_C_O contents

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	m4: rename minuso.m4 -> prog-cc-c-o.m4

	The new name is much clearer.

	* m4/minuso.m4: Rename ...
	* m4/prog-cc-c-o.m4: ... like this.
	* m4/Makefile.in (dist_automake_DATA): Adjust.

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: adjust or remove some obsolete comments

	* t/ax/am-test-lib.sh: Here.
	* t/distcheck-configure-flags.sh: And here.

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove some useless 'unset' of variables

	They are redundant, now that we no longer call "make -e".

	* t/javaflags.sh: Don't unset JAVAC.
	* t/lflags.sh: Don't unset LEX.
	* t/lflags2.sh: Likewise.

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  tests: avoid a couple of extra sleep with GNU make
	  NEWS: document testsuite work for 1.13.3
	  lint: remove a couple of obsolete syntax checks
	  lint: cosmetics: use #-comments, not ##-comments
	  lint: cosmetics: some reordering
	  lint: recipes of syntax check require GNU grep; ensure it is used
	  lint: better name for a syntax check
	  tests: rename $am_make_rc_got -> $am_make_rc
	  tests: ensure $required is not set too late

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid a couple of extra sleep with GNU make

	They are only required by BSD make in order to avoid spurious failures.

	* t/deleted-am.sh: Here.
	* t/parallel-tests-recheck-pr11791.sh: And here.

2013-05-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: document testsuite work for 1.13.3

2013-05-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	lint: remove a couple of obsolete syntax checks

	* syntax-checks.mk (sc_obsolete_requirements_rules): Remove
	definition of this variable.
	(modern-requirement.texi2dvi-o): Likewise.
	(modern-requirement.makeinfo-html): Likewise.
	($(sc_obsolete_requirements_rules)): Remove these obsolete
	syntax checks.

2013-05-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	lint: cosmetics: use #-comments, not ##-comments

	* syntax-checks.mk: Here.  This makes sense because this file is
	not meant to be processed by Automake, so the ##-comments are not
	treated specially.

2013-05-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	lint: cosmetics: some reordering

	* syntax-checks.mk: Here.

2013-05-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	lint: recipes of syntax check require GNU grep; ensure it is used

	* syntax-checks.mk (sc_sanity_gnu_grep): New.
	($(syntax_check_rules)): Depend on it.

2013-05-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	lint: better name for a syntax check

	* syntax-checks.mk (sc_tests_make_without_am_makeflags): Rename ...
	(sc_make_without_am_makeflags): ... like this.
	(syntax_check_rules): Adjust.

2013-05-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: rename $am_make_rc_got -> $am_make_rc

	The latter is more natural  More importantly, I keep misspelling
	the former over and over.

	* t/ax/am-test-lib.sh (run_make): Update.
	* t/ax/tap-summary-aux.sh: Adjust.
	* t/ax/testsuite-summary-checks.sh: Likewise.
	* t/parallel-tests-exit-statuses.sh: Likewise.
	* t/parallel-tests-extra-programs.sh: Likewise.
	* t/parallel-tests-fd-redirect-exeext.sh: Likewise.
	* t/parallel-tests-fd-redirect.sh: Likewise.
	* t/parallel-tests-fork-bomb.sh: Likewise.
	* t/parallel-tests-no-spurious-summary.sh: Likewise.
	* t/parallel-tests-recheck-pr11791.sh: Likewise.
	* t/parallel-tests-reset-term.sh: Likewise.
	* t/tap-signal.tap: Likewise.
	* t/test-driver-acsubst.sh: Likewise.
	* t/test-driver-cond.sh: Likewise.

2013-05-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: some tests make no sense if "$CC -c -o" doesn't work

	So just skip them, to avoid spurious failures when running
	"make check-no-cc-c-o".

	* t/ax/am-test-lib.sh (require_tool): New requirement '-c-o'.
	* t/subobj10.sh ($required): Add it.
	* gen-testsuite-part (%depmodes): Adjust so that tests that
	use 'makedepend' will be skipped if the compiler is being
	forced not to grasp "-c -o".

2013-05-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	AM_PROG_CC_C_O: don't rely on AC_PROG_CC_C_O, re-implement similar logic

	** Theoretical problems of AC_PROG_CC_C_O:

	  Both cc and $CC are checked to see if they support the '-c' and '-o'
	  options together.
	  This behaviour is highly inconsistent with that of the other macros
	  related to C compiler checks -- which test only $CC.
	  It can also cause unwarranted uses of the 'compile' script on systems
	  where the default 'cc' is inferior, but the user is compiling with a
	  proper, different compiler (e.g., gcc).

	** Practical problems with our previous implementation of C support m4
	   macros in Automake:

	  - AM_PROG_AR must now be called *before* AC_PROG_CC; this wasn't the
	    case before, and it turns out there are packages in the wild that
	    relied on the old behaviour.

	  - The cross-referenced requirements and macro rewrites juggled among
	    AC_PROG_CC, AC_PROG_CC_C_O and AM_PROG_CC_C_O caused warnings in
	    autoconf; for example, in our test 't/libobj3.sh', we could see
	    warnings like these (here slightly tweaked for legibility):

	        configure.ac:5: AC_REQUIRE: `AC_PROG_CC' expanded before required
	        autoconf/c.m4:567: AC_PROG_CC_C_O is expanded from...
	        autoconf/c.m4:429: AC_LANG_COMPILER(C) is expanded from...
	        autoconf/lang.m4:329: AC_LANG_COMPILER_REQUIRE is expanded from...
	        autoconf/general.m4:2606: AC_COMPILE_IFELSE is expanded from...
	        m4sugar/m4sh.m4:639: AS_IF is expanded from...
	        autoconf/general.m4:2031: AC_CACHE_VAL is expanded from...
	        autoconf/general.m4:2052: AC_CACHE_CHECK is expanded from...
	        aclocal.m4:70: AM_PROG_AR is expanded from...
	        configure.ac:5: the top level

	** Fix all of that:

	We fix all of the described issues with a new internal m4 macro
	_AM_PROG_CC_C_O (inspired to, but not based on, AC_PROG_CC_C_O) that
	gets tacked on to AC_PROG_CC automatically (this is done in the
	Automake-generated aclocal.m4) and that takes care of checking and
	adjusting '$CC' for "-c -o" support.

	The macro AM_PROG_CC_C_O is still present, but is now just a thin
	wrapper around such Automake-enhanced AC_PROG_CC.

	It is worth noting that the present patch causes three slight
	*backward-incompatibilities*:

	  1. The name cache variable used by AM_PROG_CC_C_O is no longer
	     computed (at configure runtime!) from the content of '$CC',
	     but is statically defined as 'am_cv_prog_cc_c_o'.

	  2. 'cc' is no longer checked by AM_PROG_CC_C_O, only '$CC' is.

	  3. AM_PROG_CC_C_O no longer AC_DEFINE the C preprocessor symbol
	     'NO_MINUS_C_MINUS_O'.

	Given however that the third change can easily be worked around, that
	the first two changes can be legitimately seen as bug fixes, and that
	the new semantics introduced by such changes will simplify the transition
	to Automake 2.0 (when the 'subdir-objects' will always be enabled
	unconditionally), we believe they are acceptable to be shipped with
	Automake 1.14.

	With this patch, we also revert some of the testsuite adjustments done
	in previous commit v1.13.2-178-g9877109 of 2013-05-24 (compile: rewrite
	AC_PROG_CC with AM_PROG_CC_C_O contents).  Such adjustments are no longer
	needed.

	* m4/minuso.m4 (_AM_PROG_CC_C_O): New internal macro, basically and
	adjusted version of a merge between Autoconf-provided AC_PROG_CC_C_O
	and our old implementation of AM_PROG_CC_C_O.
	(AM_PROG_CC_C_O): Redefine as a simple wrapper around AC_PROG_CC.
	* m4/init.m4 (AC_PROG_CC): Append _AM_PROG_CC_C_O, not AM_PROG_CC_C_O,
	to the pre-existing expansion of this macro.
	* m4/ar-lib.m4 (AM_PROG_AR): No longer require it to be expanded after
	AC_PROG_CC.
	* t/aclocal-deps.sh: Move AC_PROG_CC invocation after AC_PROG_RANLIB
	and AM_PROG_AR invocations.  Things should work this way too (as they
	used to).
	* t/subobj-clean-lt-pr10697.sh: Likewise.
	* t/alloca.sh: Move AC_PROG_CC invocation after AM_PROG_AR invocation.
	* t/condlib.sh: Likewise.
	* t/aclocal-deps.sh: Move AC_PROG_CC invocation after LT_INIT and
	AM_PROG_AR invocations.  Make autoconf and autoheader warnings fatal.
	* t/am-prog-cc-c-o.sh: Adjust to the new semantics, enhance a  little,
	and reduce code duplication.
	* t/ccnoco.sh: Make autoconf warnings fatal.
	* t/subpkg.sh: Likewise.
	* t/ccnoco-lib.sh: Likewise, and fix a comment.
	* t/link_cond.sh: Enhance a couple of error messages.
	* configure.ac: Drop "nullification" of AM_PROG_CC_C_O.
	* NEWS: Adjust.

2013-05-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	compile: rewrite AC_PROG_CC with AM_PROG_CC_C_O contents

	This is a much simpler rewrite than the one we attempted in the past,
	and that was later removed by commit 'v1.13.1d-137-g32eb770' of
	2013-05-11 (compile: avoid AC_PROG_CC messy rewrite).

	Not only this change simplifies the code a little, but has the welcome
	collateral effect of making automatic dependency tracking work better
	with compilers that doesn't grasp the '-c' and '-o' options together.
	Issues in that setup have been caught by several failures in the target
	'check-no-cc-c-o'.

	Unfortunately, this change has less welcome collateral effects:

	  1. AM_PROG_AR must now be called *after* AC_PROG_CC;

	  2. Autoconf emits extra warnings when used with Automake-generated
	     aclocal.m4.

	These are unacceptable regressions for a release, but since we are
	going to fix them soon enough in a follow-up patch (surely to be
	applied before Automake 1.14 is released) we don't worry too much.

	* m4/init.m4: Redefine AC_PROG_CC early, to automatically invoke
	AM_PROG_CC_C_O as well.  Accordingly, drop now-unneeded "automagical"
	AM_PROG_CC_C_O expansion at later time (which took place thanks to
	a AC_CONFIG_COMMANDS_PRE call).
	* m4/minuso.m4 (AM_PROG_CC_C_O): Ensure the expansion of the body
	of this macro takes place with C as "current Autoconf language" (use
	AC_LANG_PUSH/AC_LANG_POP).
	* m4/ar-lib.m4 (AM_PROG_AR): Likewise.  Also, require this macro to
	be expanded *after* AC_PROG_CC (so that any rewrite of $CC, if required,
	has already taken place).
	* t/add-missing.tap: Adjust to avoid spurious failures.
	* t/aclocal-deps.sh: Likewise, by having AM_PROG_AR called *after*
	AC_PROG_CC.
	* t/subobj-clean-lt-pr10697.sh: Likewise.
	* t/alloca.sh: Likewise.
	* t/condlib.sh: Likewise.
	* t/discover.sh: Likewise.
	* t/objc-megademo.sh: Likewise.
	* t/ccnoco.sh: Extend a little.
	* t/ccnoco-deps.sh: New test.
	* t/ccnoco-lib.sh: Likewise.
	* t/ccnoco-lt.sh: Likewise.
	* t/list-of-tests.mk: Add them.

2013-05-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: ensure $required is not set too late

	And do so in a safer way, with a runtime check rather than a brittle
	static maintainer check.

	* t/ax/test-init.sh: Set the 'required' variable to readonly.
	* syntax-checks.mk (sc_tests_required_after_defs): Remove.
	(syntax_check_rules): No longer list it.

2013-05-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: use append mode to capture parallel make output
	  tests: new convenience target 'check-parallel'

2013-05-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  tests: use append mode to capture parallel make output
	  tests: new convenience target 'check-parallel'

2013-05-24  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: use append mode to capture parallel make output

	This will allow us to run the Automake testsuite forcing all the make
	invocations in the test cases to run in parallel mode [1], but without
	hitting the spurious failure reported in automake bug#11413.

	See also:
	<http://lists.gnu.org/archive/html/bug-make/2013-05/msg00135.html>

	The make invocations in the test cases can be forced to run in parallel
	mode by, e.g., invoking "make check" like this:

	      make check AM_TESTSUITE_MAKE="make -j16"

	The possible spurious failures hinted above are due to the fact that
	the redirected output of parallel make can racily lose lines.  For
	example, if GNU make (3.82) is run with -j10 on a Makefile like this:

	    all = 0 1 2 3 4 5 6 7 8 9
	    default: $(all)
	    $(all):
	            @sleep 0.$$(($RANDOM % 10)); echo $@

	and has its standard output redirected in overwrite-mode to a regular
	file, it looses a line of that output every 15 runs or so on a Fedora
	17 system with 64 ppc64 cores.  Redirection in append mode does not
	suffer of this problem, as explained here:
	<http://lists.gnu.org/archive/html/automake-patches/2009-03/msg00073.html>

	See also previous commits v1.12-63-g45c1fcd of 2012-05-05 (tests: use
	append mode to capture parallel make output) and Release-1-10-280-g6426999
	of 2009-03-10 (Use append mode to capture parallel test output).

	* t/ax/am-test-lib.sh (run_make): Adjust and enhance.
	* t/lisp8.sh: Take advantage of the enhancement, nd stop doing output
	redirection for $MAKE by hand.
	* t/tap-more.sh: Likewise.
	* t/parallel-tests-concurrency.sh: Likewise.

2013-05-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: new convenience target 'check-parallel'

	To force the test scripts to invoke make in parallel mode.  This should
	enhance coverage of use cases (make concurrency) that are becoming more
	and more important with today multicore fast machines.

	* Makefile.am (check-parallel): New .PHONY target.

2013-05-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: avoid few lingering $MAKE redirections
	  tests: avoid '$MAKE' redirections, use 'run_make' instead
	  tests: avoid use of redirected 'run_make' invocations
	  lint: warn against redirected 'run_make' invocations
	  comments: next GNU make release 4.0, not 3.83
	  tests: fix a potential spurious failure due to global config.site
	  HACKING: it's OK to do testsuite refactoring in a micro version

2013-05-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid few lingering $MAKE redirections

	These were present in the 'maint' branch, but not in the 'micro' branch.
	Their occurrences has been found by the 'sc_tests_no_run_make_redirect'
	maintainer check.

	* t/fort2.sh: Adjust.
	* t/preproc-demo.sh: Likewise.

2013-05-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  tests: avoid '$MAKE' redirections, use 'run_make' instead
	  tests: avoid use of redirected 'run_make' invocations
	  lint: warn against redirected 'run_make' invocations
	  comments: next GNU make release 4.0, not 3.83
	  tests: fix a potential spurious failure due to global config.site
	  HACKING: it's OK to do testsuite refactoring in a micro version

2013-05-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid '$MAKE' redirections, use 'run_make' instead

	The use 'run_make' with  the -E, -O and -M option, it is more
	idiomatic now.  Also, this way, centralized fixes and improvements
	done in 'run_make' will automatically propagate through most of
	the testsuite.

	* syntax-checks.mk (sc_tests_no_run_make_redirect): Also check against
	'$MAKE' invocations that uses output redirections (and not only against
	'run_make' invocation that do so).
	* Several tests: Adjust (and few minor cosmetic changes as well, while
	at it).

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid use of redirected 'run_make' invocations

	Instead, properly use the -E, -O, or -M options of run_make.
	The occurrences of the 'run_make' invocations using output
	redirection has been found by the recently-introduced maintainer
	check 'sc_tests_no_run_make_redirect'.

	* t/ax/tap-summary-aux.sh: Adjust.
	* t/ax/testsuite-summary-checks.sh: Likewise.
	* Several other tests: Likewise.

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	lint: warn against redirected 'run_make' invocations

	The testsuite shell function 'run_make()' has the three options
	-E, -O and -M to perform the various kind of output redirections,
	so the test scripts should use them instead of redirecting the
	output "by hand":

	    run_make ARGS >stdout           =>  run_make -O ARGS
	    run_make ARGS >stderr           =>  run_make -E ARGS
	    run_make ARGS >stdout 2>stderr  =>  run_make -O -E ARGS
	    run_make ARGS >output 2>&1      =>  run_make -M ARGS

	See the commit message of v1.13.2-13-gc7cfa09, 2013-05-22
	(tests: run_make: options to do command redirection) for an
	explanation of why this is a good idea.

	It's worth noting that the present patch only introduced a new
	static maintainer check looking against the undesired idioms,
	but doesn't yet remove usages of such idioms from the testsuite.
	That will be done by follow-up patch(es).

	* syntax-checks.mk (sc_tests_no_run_make_redirect): New check.
	(syntax_check_rules): List it.

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	comments: next GNU make release 4.0, not 3.83

	See: <http://lists.gnu.org/archive/html/bug-make/2013-05/msg00093.html>

	* lib/am/header-vars.am (am__make_running_with_option): Adjust
	comments.

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix a potential spurious failure due to global config.site

	* t/instdir-no-empty.sh: Here.

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	HACKING: it's OK to do testsuite refactoring in a micro version

	Reported-by: Peter Rosin <peda@lysator.liu.se>

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: remove some code duplication
	  cosmetics: remove a couple of extra whitespaces in tests
	  tests: two minor fixups

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  tests: remove some code duplication
	  cosmetics: remove a couple of extra whitespaces in tests
	  tests: two minor fixups

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove some code duplication

	* t/ax/am-test-lib (null_install): New function.
	* t/instdir-java.sh: Use it instead of copied & pasted code.
	* t/instdir-lisp.sh: Likewise.
	* t/instdir-ltlib.sh: Likewise.
	* t/instdir-prog.sh: Likewise.
	* t/instdir-python.sh: Likewise.
	* t/instdir-texi.sh: Likewise.
	* t/instdir.sh: Likewise.
	* t/instdir2.sh: Likewise.

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cosmetics: remove a couple of extra whitespaces in tests

	* t/instdir.sh: Here.
	* t/instdir2.sh: And here.

2013-05-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: two minor fixups

	* t/make-keepgoing.tap: Here.
	* t/parallel-tests-exit-statuses.sh: And here.

2013-05-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: run_make: options to do command redirection
	  tests: only activate 'unset' alias if required
	  tests: better idiom to override make macro defs on the cmdline
	  test-lib: minor style changes
	  test-lib: fix botched function name in an error message

2013-05-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  tests: run_make: options to do command redirection
	  tests: only activate 'unset' alias if required
	  tests: better idiom to override make macro defs on the cmdline
	  test-lib: minor style changes
	  test-lib: fix botched function name in an error message

2013-05-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: run_make: options to do command redirection

	Let's improve the API of the 'run_make()' helper shell function by
	adding three new options:

	  -O   Save the standard output from make on disk, in a regular file
	       named 'stdout'.

	  -E   Save the standard error from make on disk, in a regular file
	       named 'stderr'.

	  -M   Save both the standard output and standard error from make on
	       disk, in a regular file named 'output'. This option supersedes
	       both the '-O' and '-E' options.

	This new API has two main advantages.

	  1. Its use will allow us to get rid of more cumbersome idioms
	     like, e.g.,

	       $MAKE check >stdout && { cat stdout; exit 1; }
	       cat stdout

	     That can now be substituted with a simpler one:

	       run_make -e FAIL -O check

	  2. More importantly, using the new API we will prevent any extra output
	     from the shell traces of the code in run_make to be redirected along
	     with the make stderr (where that was redirected).  This problem was
	     present in usages like, e.g.,

	       run_make TESTS=foo.test check 2>stderr && exit 1
	       grep 'expected error message' stderr

	     Such usages are now to be rewritten as follows:

	       run_make -e FAIL -E TESTS=foo.test check
	       grep 'expected error message' stderr

	     ensuring that 'stderr' won't end up containing unrelated stuff.

	Note that we do not convert in bulk the old idioms and the use of
	redirected 'run_make' invocations with this patch.  We only convert
	some occurrences, to ensure that the new implementation of 'run_make'
	is sound enough.  More sweeping conversions will likely be done in
	follow-up patches.

	* t/ax/am-test-lib.sh (run_make): Enhance and implement the extended API.
	* t/tap-xfail-tests.sh: Use the new 'run_make' API.
	* t/test-driver-cond.sh: Likewise.
	* t/tests-environment-fd-redirect.sh: Likewise.
	* t/uninstall-fail.sh: Likewise.
	* t/yacc-dist-nobuild.sh: Likewise.

2013-05-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: only activate 'unset' alias if required

	This makes the test logs easier to read for most shells (which do not
	actually require that alias).  This is especially important now that
	'unset' is used in the new 'run_make()' function, and that function is
	likely going to be used more and more in the future.

	* t/ax/test-lib.sh (_am_unset, unset): Only define this function and
	alias if "unset VAR" returns a non-zero exit status when VAR is already
	unset.

2013-05-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: better idiom to override make macro defs on the cmdline

	We now do so with a new wrapper shell function 'run_make()', which
	relies on the use of AM_MAKEFLAGS, avoiding the use of the '-e' make
	option.  The use of that option (that causes the environment variables
	to take precedence over the macro definitions in the Makefile) has
	proved to be quite brittle in the past, causing annoying and sometimes
	problematic spurious failures.  This has worsened in some still
	unpublished work going on in development branches.  It's time to solve
	the issue once and for all.

	Note that we do not convert all uses of $MAKE in the testsuite right
	away; we might do so in follow-up changes, with leisure, to avoid a
	"patch bomb" effect (this commit is already too much of a bomb itself).
	What we do in this commit is to get rid of all "$MAKE -e" invocations.

	We admit that the implementation and feature-set of 'run_make()' are
	far from perfect, but good enough for our current purposes.  We'll
	improve 'run_make()' if and when the need arises.

	* syntax-checks.mk (sc_tests_no_make_e): New syntax check, guard against
	the use of "$MAKE -e".
	(syntax_check_rules): Add it.
	(sc_tests_overriding_macros_on_cmdline): Adjust.
	(lint): New, alias for 'maintainer-check', for lazy typists.  Idea
	backported from the 'maint' branch (Automake 1.13a).
	* t/ax/am-test-lib.sh (run_make): New function.  Run $MAKE with the
	given command-line arguments, handling command-line override of variable
	definitions in a smart way (using AM_MAKEFLAGS if a non-GNU make
	implementation is detected to be in use).
	(useless_vpath_rebuild): Adjust to use 'run_make', to avoid a spurious
	maintainer check failure.
	(yl_distcheck): Use 'run_make' rather than bare '$MAKE'.
	(single_quote, append_single_quoted, is_valid_varname): New auxiliary
	function, used, directly or indirectly, by it.
	* Many tests: Adjust to avoid the use of "$MAKE -e", and prefer the
	use of 'run_make' in few other contexts as well, where it makes sense.
	Other minor fixlets while at it.

2013-05-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	test-lib: minor style changes

	* t/ax/am-test-lib.sh (require_tool): Here.

2013-05-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	test-lib: fix botched function name in an error message

	* t/ax/am-test-lib.sh (useless_vpath_rebuild): Here.

2013-05-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	automake: remove one extra trailing whitespace

	* bin/automake.in (lang_vala_ignore): Here.

2013-05-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	automake: cosmetic changes in indentation and line breaks

	* bin/automake.in (handle_LIBOBJS_or_ALLOCA): Here.

2013-05-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  maintcheck: minor tweaks and fixlets

2013-05-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  maintcheck: minor tweaks and fixlets

2013-05-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maintcheck: minor tweaks and fixlets

	* syntax-checks.mk: Here.

2013-05-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: fix a spurious failure on NetBSD 5.1
	  texi: build version.texi and stamp-vti in srcdir
	  tests: fix a botched heading comment
	  tests: fix another spurious with FreeBSD make
	  tests: fix a spurious failure with FreeBSD make

2013-05-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix a spurious failure on NetBSD 5.1

	* t/dist-shar.sh ($required): Also require the 'unshar' program.
	Apparently, NetBSD has a 'shar' program but not the corresponding
	'unshar' one.

2013-05-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	texi: build version.texi and stamp-vti in srcdir

	Do so even when the 'info-in-builddir' option is present, or when
	the corresponding '*.info' files are listed in $(CLEANFILES) or in
	$(DISTCLEANFILES).

	This fixes failures in the following tests, when they are run with
	$MAKE pointing to FreeBSD make:

	    - txinfo-nodist-info.sh
	    - txinfo23.sh
	    - txinfo24.sh
	    - txinfo28.sh
	    - txinfo25.sh

	BTW, notice that the test 'txinfo-builddir.sh' fails with FreeBSD make
	as well, but that is due to a known FreeBSD make VPATH issue (the same
	described in automake bug#7884).  But that is not a regression, since
	the 'info-in-builddir' option will be new in Automake 1.14.  Moreover,
	we already warn in the manual that the use of that option can indeed
	cause problems with VPATH builds done by non-GNU make.

	* bin/automake.in (handle_texinfo_helper): New local variable
	'$soutdir'.  Use it instead of '$outdir' where appropriate (in
	particular, in the transform used on file 'texi-vers.am'.
	* t/txinfo-builddir.sh: Adjust to avoid spurious failures.

2013-05-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix a botched heading comment

	* t/parallel-tests-recheck-pr11791.sh: Here.

2013-05-19  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix another spurious with FreeBSD make

	* t/parallel-tests-recheck-pr11791.sh: Here.

2013-05-18  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix a spurious failure with FreeBSD make

	Failures due to known VPATH support issues in that make implementation
	(the same issues that have been causing the long-standing bug#7884).

	* t/ltlibsrc.sh: Adjust.

2013-05-18  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix a spurious failure with FreeBSD make

	Failures due to known VPATH support issues in that make implementation
	(the same issues that have been causing the long-standing bug#7884).

	* t/lex-multiple.sh: Adjust.

2013-05-18  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'subdir-objects-work'

	* subdir-objects-work:
	  depend: reduce code duplication, de-uglify make verbose output
	  depend: prefer $(...) over `...` in Cygwin-specific recipes
	  depend: reduce code duplication
	  depend: a preparatory refactoring
	  depend: refactor and remove code duplication
	  Automake::Language: drop unused fields 'compile_flag' and 'output_flag'
	  depend: assume '-c' compiler flag always means to produce object files
	  depend: assume we can always pass '-o' to the C compiler
	  cleanup: having subdir-objects mandatory allow us some simplifications
	  subdir-objects: enable unconditionally

2013-05-18  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  lisp: fix a failure with Solaris /usr/xpg4/bin/sh
	  tests: sanitize 'unset' usages
	  tests: fix some botched/outdated comments
	  tests: use perl, not find+rm, to remove temporary directories

2013-05-18  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  lisp: fix a failure with Solaris /usr/xpg4/bin/sh
	  tests: sanitize 'unset' usages
	  tests: fix some botched/outdated comments
	  tests: use perl, not find+rm, to remove temporary directories

2013-05-18  Stefano Lattarini  <stefano.lattarini@gmail.com>

	lisp: fix a failure with Solaris /usr/xpg4/bin/sh

	* lib/am/lisp.am (.el.elc): By initializing the 'am__dir' properly
	here.  For most shells, the lacking initialization, while technically
	incorrect, didn't cause any issue in practice, because in those shells
	"test -d" returns an exit status of 0. But with /usr/xpg4/bin/sh, the
	shell complains like this: "test: argument expected", and returns a
	non-zero exit status.  This caused testsuite failures in several lisp
	tests.
	Also, while we are at it, use more proper quoting in the recipe, to
	ensure a missing initialization to now be caught by more forgiving
	shells as well.
	* NEWS: Update.

2013-05-17  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: sanitize 'unset' usages

	In some shells (e.g., Solaris 10 /bin/ksh, or NetBSD 5.1 /bin/sh),
	"unset VAR" returns a non-zero exit status in case the VAR variable
	is already unset.  This doesn't interact well with our usage of
	"set -e" in the testsuite.  So far, we've avoided spurious failures
	by either explicitly ignoring the exit status from unset:

	    unset VAR || :

	or explicitly ensuring that a variable is set, before trying to
	unset it:

	    VAR=; unset VAR

	But we can do better, by aliasing the 'unset' command to a custom
	function that will take care of these details for us.  This will
	avoid us annoying spurious failures in the future, failures that
	have already bitten us too much times.  For an example, refer to
	commit 'v1.12.2-88-g5b1dae5' of 2012-08-05 (tests: avoid tons of
	spurious failures on NetBSD).

	* t/ax/test-lib.sh (_am_unset): New function.
	(unset): New alias to it.
	(_am_exit): Adjust comments.
	* t/ax/am-test-lib.sh: No need to temporary disable the 'errexit'
	shell flag when unsetting variables that are potentially already
	unset.
	(am_process_requirements): Adjust to remove a now-useless
	workaround related to unset.
	* t/aclocal-macrodir.tap: Likewise.
	* t/aclocal-macrodirs.tap: Likewise.
	* t/auxdir-autodetect.sh: Likewise.
	* t/ax/am-test-lib.sh: Likewise.
	* t/ax/test-lib.sh: Likewise.
	* t/check-tests-in-builddir.sh: Likewise.
	* t/dist-formats.tap: Likewise.
	* t/distcheck-configure-flags-am.sh: Likewise.
	* t/distcheck-configure-flags.sh: Likewise.
	* t/java-empty-classpath.sh: Likewise.
	* t/javaflags.sh: Likewise.
	* t/lflags.sh: Likewise.
	* t/lflags2.sh: Likewise.
	* t/lisp-flags.sh: Likewise.
	* t/lisp6.sh: Likewise.
	* t/missing-auxfile-stops-makefiles-creation.sh: Likewise.
	* t/parallel-am.sh: Likewise.
	* t/parallel-am2.sh: Likewise.
	* t/parallel-am3.sh: Likewise.
	* t/parallel-tests-log-override-recheck.sh: Likewise.
	* t/pkg-config-macros.sh: Likewise.
	* t/python-missing.sh: Likewise.
	* t/python-too-old.sh: Likewise.
	* t/python11.sh: Likewise.
	* t/self-check-dir.tap: Likewise.
	* t/self-check-report.sh: Likewise.
	* t/self-check-seq.tap: Likewise.
	* t/silent-configsite.sh: Likewise.
	* t/suffix6c.sh: Likewise.
	* t/tar-override.sh: Likewise.
	* t/tests-environment-and-log-compiler.sh: Likewise.
	* t/vala-configure.sh: Likewise.
	* t/werror3.sh: Likewise.
	* t/yflags-cmdline-override.sh: Likewise.
	* t/yflags.sh: Likewise.
	* t/yflags2.sh: Likewise.

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: fix some botched/outdated comments

	* t/ax/test-defs.in: Here.  Also, fix a couple of grammaros while at it.

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: use perl, not find+rm, to remove temporary directories

	The File::Path::rmtree function from perl, if used right, is
	more reliable and more portable of our past idiom:

	    find $dirs -type d ! -perm -700 -exec chmod u+rwx {} ';';
	    rm -rf $$dirs || exit 1

	at least of the face of unreadable dirs/files and other similar
	permission issues (and we have those in our test directories).

	In fact, this change fixes some spurious failures seen in
	"make distcheck" on Solaris 10.

	* t/ax/deltree.pl: New.
	* Makefile.am (EXTRA_DIST): Add it.
	(clean-local-check): Use it.
	* t/ax/test-lib.sh (rm_rf_): Use it.

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	depend: reduce code duplication, de-uglify make verbose output

	Verbose output from compilation recipes had been made more messy by
	the previous "simplifying" commit v1.13.1d-220-g1fa0c24.  With this
	patch, not only we reduce some code duplication, but also improve
	that output again, for the joy of users who dislike silent-rules :-)

	* lib/am/depend2.am: Use the new '%XSOURCE%' transform, instead of
	copying and pasting the idiom for VPATH rewrite emulation over and
	over.  Fix some indentation and line-wrapping issues while at it.
	* bin/automake.in (handle_languages): Implement the new transform.
	* t/silent-nested-vars.sh: Adjust to avoid spurious failures.

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove remaining exec bits ('master' branch)

	The executable bit gives the impression that the tests are directly
	runnable, as with "./t/foo.sh", but it has been a while since that
	was the case.  Today, tests are runnable only through "make check"
	or "./runtest".

	This change is for the 'master' branch (automake 1.99a), and is a
	follow-up to commit 'v1.13.2-3-g74017b5', done on the 'micro' branch
	(automake 1.13.2a) and to commit 'v1.13.2-221-g0985d67', done on the
	'maint' branch (automake 1.13a).

	* t/am-prog-mkdir-p.sh: Remove executable bit.
	* t/txinfo-no-split.sh: Likewise.

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: remove remaining exec bits ('maint' branch)
	  tests: remove exec bit from all of them ('micro' branch)
	  maint: tests no longer need to have executable bit set
	  PLANS: subdir-objects: various updates

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove remaining exec bits ('maint' branch)

	The executable bit gives the impression that the tests are directly
	runnable, as with "./t/foo.sh", but it has been a while since that
	was the case.  Today, tests are runnable only through "make check"
	or "./runtest".

	This change is for the 'maint' branch (automake 1.13a), and is a
	follow-up to commit 'v1.13.2-3-g74017b5', done on the 'micro' branch
	(automake 1.13.2a).  It will soon be followed by a similar patch
	for the 'master' branch (automake 1.99a).

	* t/am-prog-cc-c-o.sh: Remove executable bit.
	* t/ccnoco4.sh: Likewise.
	* t/dist-shar.sh: Likewise.
	* t/dist-tarZ.sh: Likewise.
	* t/lex-multiple.sh: Likewise.
	* t/preproc-basics.sh: Likewise.
	* t/preproc-c-compile.sh: Likewise.
	* t/preproc-demo.sh: Likewise.
	* t/preproc-errmsg.sh: Likewise.
	* t/rm-f-probe.sh: Likewise.
	* t/self-check-cc-no-c-o.sh: Likewise.
	* t/txinfo-builddir.sh: Likewise.
	* t/txinfo-nodist-info.sh: Likewise.

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  tests: remove exec bit from all of them ('micro' branch)
	  maint: tests no longer need to have executable bit set

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove exec bit from all of them ('micro' branch)

	It gives the impression that they are directly runnable, as with
	"./t/foo.sh", but it has been a while since that was the case.  Today,
	tests are runnable only through "make check" or "./runtest".

	This change is for the 'micro' branch (automake 1.13.2a).  It will
	soon be followed by similar patches for the 'maint' branch (automake
	1.13a) and the 'master' branch (automake 1.99a).

	* t/*.sh, t/*.tap: Remove executable bit.
	* maint.mk (sc_tests_executable): Remove.
	(syntax_check_rules): Adjust.
	* gen-testsuite-part: Set permissions of generated tests to
	'444' (-r--r--r--), rather than 555 (-r-xr-xr-x).

2013-05-16  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: tests no longer need to have executable bit set

	It has been a while since they are runnable only through "make check"
	or "./runtest", and not directly.

	* HACKING: Adjust.
	* t/README: Likewise, and updated the surrounding text to get rid of
	obsolete statements and advices.

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	PLANS: subdir-objects: various updates

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  post-release: micro version bump (1.13.2a)
	  release: stable micro release 1.13.2
	  vala tests: skip in a cross compiler setup
	  HACKING: miscellaneous fixes, updates and enhancements
	  NEWS: minor improvements to wording (about new versioning scheme)
	  THANKS: update Akim's e-mail address
	  tests: less uses of "make -e"; avoid spurious failures in 'check-cc-no-c-o'
	  build: be more respectful of user-specified verbosity
	  check-cc-no-c-o: unify initializations in a single place
	  check-cc-no-c-o: avoid a spurious failure

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'micro' into maint

	* micro:
	  post-release: micro version bump (1.13.2a)
	  release: stable micro release 1.13.2
	  vala tests: skip in a cross compiler setup
	  HACKING: miscellaneous fixes, updates and enhancements
	  NEWS: minor improvements to wording (about new versioning scheme)

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	post-release: micro version bump (1.13.2a)

	* configure.ac, m4/amversion.m4: Bump version: 1.13.2 -> 1.13.2a

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: stable micro release 1.13.2

	* configure.ac (AC_INIT): Bump version number to 1.13.2.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	vala tests: skip in a cross compiler setup

	The "vala + pkg-config" doesn't interact well with cross-compilation:
	<https://mail.gnome.org/archives/vala-list/2012-September/msg00094.html>

	That is causing annoying failures in our testsuite when it's run in
	cross-compilation mode.  It's not worth trying too be overly smart and
	work around these problems; just skip the affected tests instead.

	* t/ax/am-test-lib.sh (require_tool): A new requirement 'valac', telling
	that the test needs to compile Vala-generated C files.  In particular,
	this causes the test to be skipped when using a cross-compiler.

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	HACKING: miscellaneous fixes, updates and enhancements

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: minor improvements to wording (about new versioning scheme)

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	THANKS: update Akim's e-mail address

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	depend: prefer $(...) over `...` in Cygwin-specific recipes

	On Cygwin, we can happily assume only POSIX-conforming shells exist.
	This commit is useless by itself, but is useful as a preparatory
	refactoring in view of a future change.

	* lib/am/depend2.am: In recipes for producing '.obj' objects, use
	the POSIX form $(...) for command substitution, rather than the
	classic Bourne one `...`.

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	depend: reduce code duplication

	Just a simplification; no semantic change is intended.

	* lib/am/depend2.am (am__set_depbase): New.  Use it in all the three
	flavours of recipes (.o, .obj, .lo), instead of duplicating its code.

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	depend: a preparatory refactoring

	This is just a preparatory change in view of a future refactoring.
	No semantic change is intended.

	* lib/am/depend2.am: Adjust; for example, using '$@' in all recipes
	to indicate the output file (rather than recipe-specific transforms
	like '%OBJ%' and '%LTOBJ%'), and not assuming to know the exact
	file extension of the output file (e.g., whether it's '.o' or '.lo').

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	depend: refactor and remove code duplication

	* lib/am/depend2.am: Here.  The obsolescent comments removed from this
	same file in commit 'v1.13.1-42-g8f06bfb' of 2012-01-09, "depend2.am: fix
	comments on verbosity of compilation rules", gave the rationale for why
	that code duplication was there in the first place (rationale that, like
	those comments, has been obsolete by the silent-rules introduction).
	* bin/automake.in: Given the refactoring in 'depend2.am', there is no
	longer need to add extra trailing whitespace to the entries of the
	'%sourceflags' hash (which are used for the '%SOURCEFLAG%' transform
	when 'depend2.am' is processed.
	* t/fort2.sh: Adjust to avoid spurious failures.

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Automake::Language: drop unused fields 'compile_flag' and 'output_flag'

	They are unused after the recent flurry of changes.  This is just a
	simplification; no semantic change is intended.

	* lib/Automake/Language.pm (Class::Struct): Remove unused fields here.
	* bin/automake.in: And here, in all the 'register_language()' invocations.

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	depend: assume '-c' compiler flag always means to produce object files

	Rather than fully-fledged executables.  This is the case for all the
	compilers of all languages supported by Automake.

	This is just a simplification; no semantic changes are intended.

	* bin/automake.in (handle_languages): Drop transform '%-c%'.
	* lib/am/depend2.am: Adjust to just assume the '%-c%' transform
	expands to "-c".

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	depend: assume we can always pass '-o' to the C compiler

	This is the case after the change in commit v1.13.1-56-g34001a9 of
	2013-01-09 (compile: use 'compile' script when "-c -o" is used with
	losing compilers).

	This is just a simplification; no semantic changes are intended.

	* bin/automake.in (handle_languages): Drop transform '%-o%', and
	definitions of '$output_flag'.
	* lib/am/depend2.am: Adjust to just assume the '?-o?' transform is
	true, and the '%-o%' transform expands to "-o".

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cleanup: having subdir-objects mandatory allow us some simplifications

	Few minor cleanups made possible by earlier changes, plus other minor
	cleanups triggered in cascade.  No semantic change is intended.

	This is a follow-up on previous commit 'v1.13.1d-214-g3ad07d2', and
	an adjusted backport of Automake-NG commit 'v1.12.1-315-gc97d41b'
	of 2012-06-08 ([ng] cleanup: after enabling of subdir-objects
	unconditionally).

	* bin/automake.in (LANG_IGNORE, LANG_SUBDIR): Remove.
	(handle_languages): Drop the '%DEPBASE%' transform when processing
	the '$rule_file'.
	(register_language ('name' => 'vala', ...)): Add '.vapi' to the entry
	'extensions', and simplify the entry 'output_extensions' to point to
	a dummy subroutine (since it wasn't really used anyway).
	(handle_single_transform): No longer expect the 'lang_*_rewrite'
	subroutines to return a 'LANG_*' constant, but only a transformed
	extension, if required.  To decide whether further processing of the
	source file should be stopped, rely on a new set of 'lang_*_ignore'
	subroutines, defaulting to a subroutine that returns false.
	Accordingly, don't special case the handling of '.vapi' files anymore,
	instead rely on ...
	(lang_vala_ignore, lang_header_ignore): ... these new subroutines to
	avoid extra processing of C/C++ headers and Vala '.vapi' headers.
	(lang_java_rewrite): Remove.
	Remove an outdated comment.
	* lib/am/depend2.am: Partial rewrite to reduce code duplication and
	drop use of the '%DEPBASE%' transform.
	* t/compile_f_c_cxx.sh: Adjust.

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	subdir-objects: enable unconditionally

	See automake bug#13378.

	The fact that Automake-generated Makefiles places compiled object files
	in the current directory by default, also when the corresponding source
	file is in a subdirectory, is basically an historical accident, due to
	the fact that the 'subdir-objects' option had only been introduced in
	April 1999, starting with commit 'user-dep-gen-branchpoint-56-g88b5959',
	and never made the default, likely to avoid backwards-compatibility
	issues.

	Since we believe the behaviour enabled by the 'subdir-objects' is the
	only natural and most useful one, we make it the only only one available,
	simplifying the Automake implementation and APIs a little in the process.

	This change is basically an adjusted backport of Automake-NG commit
	'v1.12.1-313-g14fe163' of 2012-06-07, "[ng] subdir-objects: enable
	unconditionally".

	* NEWS: Update.
	* doc/automake.texi (Program and Library Variables): The output
	object files are no longer placed in the current directory by
	default, but rather in the same directory of the source file.
	(LIBOBJS): Now the $(LIBOBJS) and $(ALLOCA) variables can also
	be used outside of the directory where their sources lie.
	(List of Automake options): Report the 'subdir-objects' option
	as a no-op, existing only for compatibility with older versions
	of Automake.
	Other related minor adjustments.
	* bin/automake.in (LANG_PROCESS): Remove, it's no longer needed.
	(handle_languages): Don't test whether option 'subdir-objects'
	is set (just assume it is), and do not use the '%SUBDIROBJ%'
	transform when processing '.am' fragments.
	(lang_sub_obj): Delete, it would just return 'LANG_SUBDIR'
	unconditionally now.
	(lang_lex_rewrite): Adjust.  Don't test whether the option
	'subdir-objects' is set (just assume it is).
	(lang_yacc_rewrite): Likewise.
	(handle_single_transform): Likewise.  Remove an obsolete
	comment.  Add a proper "FIXME" comments about a fragment
	of code that might have become dead code now.
	(handle_LIBOBJS_or_ALLOCA): Simplify assuming that the option
	'subdir-objects' is always set.  Accordingly, there's no need
	to warn anymore if '$(LIBOBJS)' or '$(ALLOCA)' are used outside
	the '$config_libobj_dir' directory (as specified by autoconf
	macro 'AC_CONFIG_LIBOBJ_DIR').
	* lib/am/depend2.am: Assume the '?SUBDIROBJ?' Automake time
	conditional is always true, and remove its uses accordingly.
	* t/compile_f_c_cxx.sh: Adjust.
	* t/cscope.tap: Likewise.
	* t/depcomp8a.sh: Likewise.
	* t/depcomp8b.sh: Likewise.
	* t/libtool3.sh: Likewise.
	* t/ltlibsrc.sh: Likewise.
	* t/pr401.sh: Likewise.
	* t/pr401b.sh: Likewise.
	* t/pr401c.sh: Likewise.
	* t/subobj.sh: Likewise.
	* t/lex-line.sh: Likewise.
	* t/yacc-line.sh: Likewise.
	* t/yacc5.sh: Likewise.
	* t/vala-libs.sh: Likewise.
	* t/fort4.sh: Likewise, and extend a bit.
	* t/fort5.sh: Likewise.
	* t/gcj.sh: Likewise.
	* t/subpkg.sh: Likewise.
	* t/subpkg-yacc.sh: Likewise.
	* t/xsource.sh: Likewise.
	* t/libobj20a.sh: Remove as obsolete.
	* t/libobj20b.sh: Adjust heading comments.
	* t/libobj20c.sh: Likewise.
	* t/subobj4.sh: Remove as obsolete.
	* t/sourcefile-in-subdir.sh: Likewise.

2013-05-15  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: less uses of "make -e"; avoid spurious failures in 'check-cc-no-c-o'

	That is, when the testsuite is run using a fake C compiler that doesn't
	grasp the '-c' and '-o' options together.

	* t/instdir-prog.sh: Adjust.
	* t/instdir-ltlib.sh: Likewise.
	* t/python-virtualenv.sh: Likewise.

2013-05-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	build: be more respectful of user-specified verbosity

	* t/Makefile.in (check-cc-no-c-o, check-no-trailing-backslash-in-recipes,
	installcheck-testsuite, perf): Here.

2013-05-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	check-cc-no-c-o: unify initializations in a single place

	* t/ax/test-defs.in: That is, by setting CC and GNU_CC here, in accord
	with the value of the variable 'AM_TESTSUITE_SIMULATING_NO_CC_C_O'.
	* t/Makefile.in (check-cc-no-c-o) : No need to reset CC and GNU_CC any
	longer in the recursive "make check" invocation.

2013-05-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	check-cc-no-c-o: avoid a spurious failure

	* t/am-prog-cc-c-o.sh: In this test, by relying on the knowledge
	that we are running under the aegis of the 'check-cc-no-c-o'
	maintainer-specific target, knowledge given us by ...
	* t/Makefile.in (check-cc-no-c-o) : ... the new environment
	variable 'AM_TESTSUITE_SIMULATING_NO_CC_C_O', set to a value
	of "yes" by this rule.
	* t/ax/test-defs.in: Initialize the new variable to "no" by
	default, and add an explanatory comment.

2013-05-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  build: fixup for building in a VPATH setup

2013-05-14  Stefano Lattarini  <stefano.lattarini@gmail.com>

	build: fixup for building in a VPATH setup

	* bin/Makefile.inc (%D%/automake, %D%/aclocal): Make sure that the
	directory where the targets scripts are going to be built exists,
	before trying to create said scripts.

2013-05-13  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  Use AC_DEFUN_ONCE to define AM_PROG_CC_C_O
	  compile: avoid AC_PROG_CC messy rewrite
	  options: tiny simplification in dealing with incompatible versions

2013-05-11  Nick Bowler  <nbowler@elliptictech.com>  (tiny change)

	Use AC_DEFUN_ONCE to define AM_PROG_CC_C_O

	If AM_PROG_CC_C_O is expanded multiple times, and the compiler does not
	support -c and -o together, each expansion of the macro will prepend
	the compile script to CC.  This can result in the compile script
	invoking the compile script, which at best pointless and silly.
	Fortunately, there does not appear to be any serious problems as the
	first compile invocation strips out -o options, causing subsequent
	invocations of the script to merely exec their arguments.

	Other than fixing the above, this should not normally cause any changes
	to the resulting configure script, except in the (hopefully rare) case
	where AM_PROG_CC_C_O is directly expanded (i.e., *not* using AC_REQUIRE)
	in the body of a macro defined with AC_DEFUN.  In that case, the use of
	AC_DEFUN_ONCE may cause the expansion of AM_PROG_CC_C_O to appear
	earlier in the configure script.

	* m4/minuso.m4: Change the definition of AM_PROG_CC_C_O to use
	AC_DEFUN_ONCE, avoiding problems caused by multiple expansions.

2013-05-11  Stefano Lattarini  <stefano.lattarini@gmail.com>

	compile: avoid AC_PROG_CC messy rewrite

	Instead, add an hook to AC_OUTPUT to have AM_PROG_CC_C_O invoked
	automatically.

	See also the long-winded discussion about automake bug#13378.

	* m4/minuso.m4 (AM_PROG_CC_C_O): Bring back the old implementation,
	from commit v1.13.1-55-g1ab8fb6.
	* m4/init.m4 (AC_PROG_CC): Remove this horrible, hacky re-write.
	* (AM_INIT_AUTOMAKE): Arrange for AM_PROG_CC_C_O to be called if
	necessary.
	* t/am-prog-cc-c-o.sh: Adjust to avoid spurious failure.
	* t/subobj.sh: Likewise.

	Suggested-by: Nick Bowler <nbowler@elliptictech.com>

2013-05-11  Stefano Lattarini  <stefano.lattarini@gmail.com>

	options: tiny simplification in dealing with incompatible versions

	* lib/Automake/Options.pm (_process_option_list): Here, when an
	incompatible version number option is detected, there's no need
	to call error() with the "uniq_scope => US_GLOBAL" switch.
	In fact, if the same incompatible version number is specified in
	AUTOMAKE_OPTIONS in both (say) 'Makefile.am' and 'sub/Makefile.am',
	we want each such erroneous usage reported separately, rather than
	just the first time it is encountered (as we'd expect to happen
	when "uniq_scope => US_GLOBAL" is used).
	Ideally, this change should have been folded into the similar
	commit 'v1.13.1d-129-gf7ef16f', but we noticed that too late.
	Oh well.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	options: consistently use return statuses to report errors (more)

	This is a follow-up to commit 'v1.13.1d-128-g6e486c5', needed to deal
	with errors that are only present in the 'master' branch (while the
	reported commit was on the 'maint' branch).

	* lib/Automake/Options.pm (_process_option_list): Adjust, where dealing
	with the removed options 'dist-shar' and 'dist-tarZ'.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  options: try to report as much errors as possible
	  warns: don't tell AM_PROG_MKDIR_P is going to be removed
	  refactor: fix few "inverted boolean" usages
	  options: better name for an internal function
	  options: more consistency in use of return statuses to report errors
	  options: tiny simplification in dealing with erroneous opts
	  options: consistently use return statuses to report errors
	  options: re-enable some sanity checks
	  THANKS: update Eric Blake's e-mail address
	  NEWS: typofix

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	options: try to report as much errors as possible

	For example, if two invalid options are used in AUTOMAKE_OPTIONS, don't
	report just the first one, but both of them.

	* lib/Automake/Options.pm (_process_option_list): Do so by avoiding
	early returns in here.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  warns: don't tell AM_PROG_MKDIR_P is going to be removed

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	warns: don't tell AM_PROG_MKDIR_P is going to be removed

	That is no longer true.  For a more extended rationale, see file
	'PLANS/obsolete-removed/am-prog-mkdir-p.txt' in the maint branch
	(as of commit v1.13.1d-132-g90ec3fe).

	* automake.in (scan_autoconf_traces): So adjust the warning message
	here.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	refactor: fix few "inverted boolean" usages

	In some subroutines, we used a return value of 0 to indicate success,
	and a return status of 1 to indicate failure.  That was not very
	consistent with the perl interpretation of 0 as a false value and 1 as
	a true value.  So we now invert the meaning of the exit statuses.

	* lib/Automake/Options.pm (_process_option_list): Here.
	(process_global_option_list, process_option_list): And by reflex,
	here as well.
	* bin/automake.in (handle_options): And here.
	(generate_makefile, scan_autoconf_traces): Adjust.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	options: better name for an internal function

	* lib/Automake/Options.pm (_option_must_be_from_configure): Rename ...
	(_option_is_from_configure): ... like this.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	options: more consistency in use of return statuses to report errors

	* lib/Automake/Options.pm (_option_must_be_from_configure): By giving
	a proper return status here.
	(_process_option_list): And using it here.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	options: tiny simplification in dealing with erroneous opts

	* lib/Automake/Options.pm (_process_option_list): Here, when an
	invalid option is detected, there's no need to call &error with
	the "uniq_scope => US_GLOBAL" switch.  In fact, if the same
	erroneous option is specified in AUTOMAKE_OPTIONS in both (say)
	'Makefile.am' and 'sub/Makefile.am', we want each such erroneous
	usage reported separately, rather than just the first time it is
	encountered (as happens when "uniq_scope => US_GLOBAL" is used).

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	options: consistently use return statuses to report errors

	* lib/Automake/Options.pm (_process_option_list): Here.
	(process_option_list, process_global_option_list): Remove
	redundant use of 'return'.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	options: re-enable some sanity checks

	They had been unwittingly disabled by a slightly incorrect
	code ordering.

	* lib/Automake/Options.pm (process_option_list): Here.
	(process_global_option_list): And here.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	THANKS: update Eric Blake's e-mail address

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: typofix

	Reported-by: Eric Blake <eblake@redhat.com>

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	dist: remove support for shar and tarZ formats

	See also discussion about automake wishlist bug#13324.

	* lib/Automake/Options.pm: Give fatal errors (rather than warnings) if
	the 'dist-shar' or 'dist-tarZ' options are used.
	* lib/distdir.am: Remove the 'dist-tarZ' and 'dist-shar' targets, and
	references to the '.tar.Z' and '.shar' archives.
	* bin/automake.in (preprocess_file): Remove 'COMPRESS' and 'SHAR'
	transforms.
	(handle_dist): Remove lingering references to 'dist-tarZ' and 'dist-shar'
	options.
	* doc/automake.texi: Adjust, removing references to the removed targets
	and distribution formats.
	* t/dist-shar.sh: Adjust to expect fatal errors rather than warnings.
	* t/dist-tarZ.sh: Likewise.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  news: document new 'subdir-objects' warning
	  PLANS: one minor fixlet (mostly cosmetic)
	  PLANS: we have already dropped support for split info files in master
	  NEWS: fix a reference to Automake 1.14 where Automake 2.0 was intended
	  PLANS: fix reference to non-existent 'next' branch
	  PLANS: fix botched version reference
	  maintcheck: fix two references to old location of aclocal and automake
	  dist: deprecated shar and tar+compress formats

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	news: document new 'subdir-objects' warning

	* NEWS: Automake 1.14 will warn if a subdir source file is
	specified but the 'subdir-objects' option is not given.  This
	is done to smooth the transition to Automake 2.0, which will
	unconditionally assume the behaviour now given only with the
	'subdir-objects' option.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	PLANS: one minor fixlet (mostly cosmetic)

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	PLANS: we have already dropped support for split info files in master

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: fix a reference to Automake 1.14 where Automake 2.0 was intended

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	PLANS: fix reference to non-existent 'next' branch

	* PLANS/obsolete-removed/configure.in.txt: Here.  We should refer
	to the 'master' branch instead.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	PLANS: fix botched version reference

	* PLANS/rm-f-without-args.txt: Here.  The probe checking that "rm -f"
	without arguments works will be introduced in Automake 1.14, not in
	Automake 1.13.2.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maintcheck: fix two references to old location of aclocal and automake

	* maintainer/syntax-checks.mk (sc_perl_at_substs): Here: it should
	refer to 'bin/automake' and 'bin/aclocal', not 'automake' and
	'alocal'.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	dist: deprecated shar and tar+compress formats

	See also discussion about automake wishlist bug#13324.

	* lib/Automake/Options.pm: Give proper warnings in the 'obsolete'
	category if the 'dist-shar' or 'dist-tarZ' options are used.
	* lib/distdir.am: When the 'dist-tarZ' or 'dist-shar' targets are
	invoked, make them give a non-fatal warning.
	* doc/automake.texi: Report the new deprecations.
	* t/dist-shar.sh: New test.
	* t/dist-tarZ.sh: Likewise.
	* t/lzma.sh: While at it, rename ...
	* t/dist-lzma.sh: ... like this, and tweak it to keep more in
	sync with the new tests.
	* t/dist-formats.tap: Remove references to deprecated formats.
	* t/list-of-tests.mk: Adjust.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  automake: typofix in comments: s/AC_CONFIG_HEADER/AC_CONFIG_HEADERS/
	  am: prefer a shorter idiom where possible
	  cosmetics: fix few typos, grammaros and missing whitespace
	  fixup: remove an obsolete comment
	  docs: we still don't have the promised better Java interface
	  build: move automake and aclocal in 'bin' subdir
	  build: break up monolithic Makefile.am in subdir-specific fragments

	+ Extra non-trivial edits:

	* m4/Makefile.inc (dist_automake_ac_DATA): Drop lead-dot.m4 and
	mkdirp.m4.
	* lib/Automake/Makefile.inc (dist_perllib_DATA): Drop Configure_ac.pm.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'dog-feeding' into maint

	* dog-feeding:
	  build: move automake and aclocal in 'bin' subdir
	  build: break up monolithic Makefile.am in subdir-specific fragments

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  automake: typofix in comments: s/AC_CONFIG_HEADER/AC_CONFIG_HEADERS/

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	automake: typofix in comments: s/AC_CONFIG_HEADER/AC_CONFIG_HEADERS/

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	am: prefer a shorter idiom where possible

	That is, prefer:

	    test -f FILE || do_action

	over:

	    if test ! -f FILE; then do_action; else :; fi

	* lib/am/remake-hdr.am (%CONFIG_H%): Here.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  cosmetics: fix few typos, grammaros and missing whitespace
	  fixup: remove an obsolete comment
	  docs: we still don't have the promised better Java interface

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cosmetics: fix few typos, grammaros and missing whitespace

	* lib/am/*.am: In comments in some of these files.

2013-05-10  Stefano Lattarini  <stefano.lattarini@gmail.com>

	fixup: remove an obsolete comment

	* lib/am/header-vars.am (am__make_running_with_option): Here.

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: we still don't have the promised better Java interface

	Reported by Michael Zucchi:
	<http://lists.gnu.org/archive/html/automake/2013-05/threads.html>

	See also automake bug#9088.

	* doc/automake.texi (Java): Adjust and clarify.
	* THANKS: Update.

	Reported-by: Michael Zucchi <notzed@gmail.com>

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  maint: re-run "make update-copyright" ...

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: re-run "make update-copyright" ...

	* t/lex-multiple.sh: ... which updates the copyright years
	of this test (they were somehow not bumped in the past).

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  tests: avoid spurious failure with older flex (2.5.4)
	  announcement: cater to more flexible NEWS format

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid spurious failure with older flex (2.5.4)

	That old version is unfortunately still relevant, being the one
	installed on NetBSD 5.1.

	* t/lex-multiple.sh: Use the '-o' option rather than the longer
	equivalent '--outfile'.  The latter is not supported by older
	versions of flex (e.g., flex 2.5.4).

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  announcement: cater to more flexible NEWS format

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	announcement: cater to more flexible NEWS format

	* maint.mk (announcement): Here, be prepared to handle the case
	in which the first section of the NEWS file is dedicated to report
	future backward-incompatibilities and/or other warnings.

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	build: move automake and aclocal in 'bin' subdir

	* automake.in: Rename ...
	* bin/automake.in: ... like this.
	* aclocal.in: Rename ...
	* bin/aclocal.in: ... like this.
	* Makefile.am: Move parts that dealt with the building/distribution
	of aclocal and Automake ..
	* bin/Makefile.inc): ... in this new included fragment.  Adjust as
	needed, and make deliberate use of the '%D%' substitution.
	* lib/gen-perl-protos: Move ...
	* bin/gen-perl-protos: ... here.
	* bootstrap.sh, configure.ac, maintainer/rename-tests,
	t/wrap/aclocal.in, t/wrap/automake.in, doc/Makefile.inc,
	t/ax/tap-setup.sh, .gitignore: Adjust.
	* maintainer/syntax-checks.mk: Likewise, and enhance a little.

2013-05-09  Stefano Lattarini  <stefano.lattarini@gmail.com>

	build: break up monolithic Makefile.am in subdir-specific fragments

	This is convenient to do, now that we have improved "relative directory"
	support with the '%reladir%' (a.k.a. '%D%') and '%canon_reladir%' (a.k.a.
	'%C%') Automake-time substitutions for included makefile fragments.

	This move also satisfy our philosophy of using new Automake features in
	our own build system, as a way of facilitating early discovery of possible
	bugs or interface warts.

	* Makefile.am: Break up ...
	* doc/Makefile.inc, lib/Automake/Makefile.inc, lib/Makefile.inc,
	lib/am/Makefile.inc, m4/Makefile.inc, t/Makefile.inc): ... in this
	new included fragments.  Adjust as needed, and make deliberate use
	of the '%D%' substitution.
	* contrib/t/local.am: Rename ...
	* contrib/t/Makefile.inc: ... like this.

2013-05-06  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: fix warnings given by Texinfo 5.x

	These warnings:

	  doc/automake.texi:3885: warning: node next `Public Macros' in menu \
	    `Private Macros' and in sectioning `Obsolete Macros' differ
	  doc/automake.texi:4050: warning: node `Private Macros' is next for \
	    `Obsolete Macros' in sectioning but not in menu
	  doc/automake.texi:4050: warning: node prev `Obsolete Macros' in menu \
	    `Private Macros' and in sectioning `Public Macros' differ
	  doc/automake.texi:4090: warning: node `Obsolete Macros' is next for \
	    `Private Macros' in menu but not in sectioning
	  doc/automake.texi:4090: warning: node prev `Private Macros' in menu \
	    `Public Macros' and in sectioning `Obsolete Macros' differ

	* doc/automake.texi: Adjust.

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	fixlet: remove leftover comment fragment

	* configure.ac: Here.

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	master branch: we are going to become Automake 2.0

	* configure.ac (AC_INIT): So adjust the beta version in here, from
	1.13a to 1.99a.
	* m4/amversion.m4: Regenerate.

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  maint branch: we are going to become Automake 1.14
	  maint: version bump after beta release 1.13.1d
	  release: beta release 1.13.1d (will become 1.13.2)
	  NEWS: document more robust handling/recognition of make options
	  tests: typofixes in comments in t/preproc-c-compile.sh
	  tests: remove bashism from a test

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint branch: we are going to become Automake 1.14

	* configure.ac (AC_INIT): So adjust beta version in here, from
	1.13.2a to 1.13a.
	* m4/amversion.m4: Regenerate.

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  maint: version bump after beta release 1.13.1d
	  release: beta release 1.13.1d (will become 1.13.2)
	  NEWS: document more robust handling/recognition of make options

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: version bump after beta release 1.13.1d

	* configure.ac (AC_INIT): Bump version number to 1.13.1e.
	* m4/amversion.m4: Likewise (autoupdated by "make bootstrap").

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	release: beta release 1.13.1d (will become 1.13.2)

	* configure.ac (AC_INIT): Bump version number to 1.13.1d.
	* m4/amversion.m4: Likewise (auto-updated by "make bootstrap").

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: document more robust handling/recognition of make options

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: typofixes in comments in t/preproc-c-compile.sh

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove bashism from a test

	* t/preproc-c-compile.sh (Makefile.am): Use "test foo = bar", not the
	bash-specific "test foo == bar".

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  maint: targets and recipes to simplify testing on real-world packages
	  build: preparatory refactoring
	  build: tiny reduction in code duplication
	  make flags analysis: handle more options with args
	  make flags analysis: use simpler variable names
	  make flags analysis: whitespace changes
	  make flags analysis: embed in a subshell
	  make flags analysis: be more robust
	  make flags analysis: cater to GNU make 3.83 (still unreleased as of now)
	  tests: expose weaknesses in make flags analysis
	  tests: improve debugging output in checks on make flags analysis
	  make flags analysis: refactor, to reduce code duplication
	  tests: avoid one tricky use of "make -e"
	  cosmetics: remove few trailing whitespace occurrences
	  typofix: in NEWS (extra whitespace)
	  tests: avoid a spurious error with Solaris make
	  subdirs: don't return false positives for the '-k' option's presence
	  header-vars: recognize more make flags ('-k' in particular)
	  header-vars: simplify how make flags are determined
	  tests: remove dead code from t/make-dryrun.tap
	  header-vars: new variable $(am__running_with_option)
	  tests: expose bug#12554 (false positives for presence of '-k' make option)

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  maint: targets and recipes to simplify testing on real-world packages
	  build: preparatory refactoring
	  build: tiny reduction in code duplication
	  make flags analysis: handle more options with args
	  make flags analysis: use simpler variable names
	  make flags analysis: whitespace changes
	  make flags analysis: embed in a subshell
	  make flags analysis: be more robust
	  make flags analysis: cater to GNU make 3.83 (still unreleased as of now)
	  tests: expose weaknesses in make flags analysis
	  tests: improve debugging output in checks on make flags analysis
	  make flags analysis: refactor, to reduce code duplication
	  tests: avoid one tricky use of "make -e"
	  tests: avoid a spurious error with Solaris make
	  subdirs: don't return false positives for the '-k' option's presence
	  header-vars: recognize more make flags ('-k' in particular)
	  header-vars: simplify how make flags are determined
	  tests: remove dead code from t/make-dryrun.tap
	  header-vars: new variable $(am__running_with_option)
	  tests: expose bug#12554 (false positives for presence of '-k' make option)

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge 'better-makeflags-recognition' and 'testing-work' into branch-1.13.2

	* better-makeflags-recognition:
	  make flags analysis: handle more options with args
	  make flags analysis: use simpler variable names
	  make flags analysis: whitespace changes
	  make flags analysis: embed in a subshell
	  make flags analysis: be more robust
	  make flags analysis: cater to GNU make 3.83 (still unreleased as of now)
	  tests: expose weaknesses in make flags analysis
	  tests: improve debugging output in checks on make flags analysis
	  make flags analysis: refactor, to reduce code duplication

	* testing-work:
	  maint: targets and recipes to simplify testing on real-world packages
	  build: preparatory refactoring
	  build: tiny reduction in code duplication

2013-05-04  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maint: targets and recipes to simplify testing on real-world packages

	We introduce a new section in the maintainer-specific makefile that
	contains recipes to test the build system of some well-known GNU
	packages with the current development version of Automake.  Not the
	cleanest way to do so, but good enough for the moment.  We'll revisit
	the matter after the 1.13.2 release (which we now hope will happen
	soon).

	* maint.mk (git-sv-host): New.
	(SV_GIT_CF, SV_GIT_AC, SV_GIT_GL): Use it to reduce code duplication.
	(ALL_PACKAGES, FEW_PACKAGES): New, lists of GNU packages to try out.
	(ttp-check, ttp-check-all): New targets, do the checking with said
	packages.
	(ttp): New, alias for 'ttp-check'.
	(ttp-all): New, alias for 'ttp-check-all'.

2013-05-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	build: preparatory refactoring

	No semantic change intended.  This change will be required
	by a later patch.

	* Makefile.am (setup_autotools_paths): New.
	($(srcdir)/doc/amhello-1.0.tar.gz): Use it.

2013-05-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	build: tiny reduction in code duplication

	The code was only duplicated two times, but we are soon going to
	need a third occurrence, and that would be one to much.

	* Makefile.am (extend_path): New.
	(update_mans): Use it instead of copying & pasting its contents.
	($(srcdir)/doc/amhello-1.0.tar.gz): Likewise, and minor related
	adjustments.

2013-05-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	make flags analysis: handle more options with args

	That is, not only -I, but also -O (for upcoming GNU make 3.83),
	-l (GNU make), -d, -E, -D, -m (BSD make), -J, -T (NetBSD make).

	* lib/am/header-vars.am (am__make_running_with_option): Extend
	and adjust, both code and comments.

2013-05-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	make flags analysis: use simpler variable names

	* lib/am/header-vars.am (am__make_running_with_option): Here.  Now
	that we expect to be run in a subshell, we don't have to worry about
	being namespace-safe.  And '$foo' is much more pleasant to read than
	'$am__foo' -- and pleasant code tends to be more correct.
	(am__make_dryrun, am__make_keepgoing): Adjust.

2013-05-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	make flags analysis: whitespace changes

	* lib/am/header-vars.am (am__make_running_with_option): Here.
	No semantic change is intended.

2013-05-03  Stefano Lattarini  <stefano.lattarini@gmail.com>

	make flags analysis: embed in a subshell

	So that we won't have to worry about leaking temporary variables,
	and similar stuff.

	* lib/am/header-vars.am (am__make_dryrun, am__make_keepgoing): Here.
	(am__make_running_with_option): Minor adjustments.

2013-05-02  Stefano Lattarini  <stefano.lattarini@gmail.com>

	make flags analysis: be more robust

	In particular, catering to option-with-argument bundled together
	with options-without-arguments, as in:

	   # With GNU make 3.82:
	   $ make -f- <<<'all:; echo "$$MFLAGS"' -s -k -I none
	   -skiI none

	   # With development version of GNU make (Git commit b5ea49b):
	   $ make -f- <<<'all:; @echo "$$MFLAGS"' -I none
	   -skiI none

	This fixes some lingering failures in the testsuite; precisely, in
	tests 'make-dryrun.tap' and 'make-keepgoing.tap'.

	* t/header-vars.am (am__make_running_with_option): Enhance.

2013-05-02  Stefano Lattarini  <stefano.lattarini@gmail.com>

	make flags analysis: cater to GNU make 3.83 (still unreleased as of now)

	The current development version of GNU make (that is planned to become
	GNU make 3.83, sooner or later) has changed the format its $(MFLAGS)
	variable slightly, removing the space between an option and its argument:

	   # With GNU make 3.82, compiled from official tarball:
	   $ make -f- <<<'all:; @echo "$$MFLAGS"' -I none
	   -I none

	   # With development version of GNU make (Git commit b5ea49b):
	   $ make -f- <<<'all:; @echo "$$MFLAGS"' -I none
	   -Inone

	This was done on purpose, in order to support more easily the new
	option '-O', which takes an optional argument; see:

	  <http://lists.gnu.org/archive/html/bug-make/2013-05/msg00001.html>

	So Just adapt to the new format as well.

	* t/header-vars.am (am__make_running_with_option): Adjust to cater
	to the new GNU make behaviour.

2013-05-01  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose weaknesses in make flags analysis

	This introduces some failures in the testsuite, that will be fixed
	soon enough by follow-up patches.

	* t/make-dryrun.tap: Enhance and extend.
	* t/make-keepgoing.tap: Likewise.

2013-05-01  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: improve debugging output in checks on make flags analysis

	* t/make-dryrun.tap: Here.
	* t/make-keepgoing.tap: And here.

2013-05-01  Stefano Lattarini  <stefano.lattarini@gmail.com>

	make flags analysis: refactor, to reduce code duplication

	And make it a little more reliable.

	* t/header-vars.am (am__make_running_with_option): Here.

2013-05-01  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid one tricky use of "make -e"

	Which was causing a spurious failure on FreeBSD.  Not particularly
	surprising, given how brittle "make -e" is in general ...

	* t/cxx-lt-demo.sh: Instead of forcing $(CC) to be 'false' by
	exporting "CC=false" in the environment and then passing the '-e'
	option to make, do so by passing "CC=false" on the make command
	line, both directly and using AM_MAKEFLAGS.

2013-04-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'fix-pr12554' into branch-1.13.2

	* fix-pr12554:
	  tests: avoid a spurious error with Solaris make
	  subdirs: don't return false positives for the '-k' option's presence
	  header-vars: recognize more make flags ('-k' in particular)
	  header-vars: simplify how make flags are determined
	  tests: remove dead code from t/make-dryrun.tap
	  header-vars: new variable $(am__running_with_option)
	  tests: expose bug#12554 (false positives for presence of '-k' make option)

2013-04-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  cosmetics: remove few trailing whitespace occurrences
	  typofix: in NEWS (extra whitespace)

2013-04-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	cosmetics: remove few trailing whitespace occurrences

2013-04-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	typofix: in NEWS (extra whitespace)

2013-04-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	compat: substitute '@mkdir_p@' as '$(MKDIR_P)' unconditionally

	We had started to do so only when the obsolete AM_PROG_MKDIR_P variable
	was used, but that has recently turned out not to be not good enough,
	because Gettext 0.18.2 (the latest one at the moment of writing) is using
	the modern macro AC_PROG_MKDIR_P in its '*.m4' files, but at the same time
	is still using the obsolete make variable '$(mkdir_p)' in its Makefile
	fragments.  This has been causing failures in real-world packages
	bootstrapped with latest Gettext (0.18.2) and with bleeding-edge automake.

	See for example:

	  <http://lists.gnu.org/archive/html/bug-tar/2013-04/msg00009.html>

	And the worst things is that those failures have been basically silent
	and unnoticeable up until the final "make install" --- that is, after
	the affected package had been bootstrapped, configured and built.  Yikes!

	This issue has been reported to the Gettext developers:

	  <http://lists.gnu.org/archive/html/bug-gettext/2013-04/msg00044.html>

	But even if they will quickly fix it, Gettext 0.18.2 will remain
	affected.

	The fix we can implement in Automake is small and unobtrusive enough,
	definitely worth having in order to save the users and developers from
	having to deal with this hard-to-spot issue.

	* m4/init.m4 (AM_INIT_AUTOMAKE): AC_SUBST '@mkdir_p@' to '$(MKDIR_P)'.
	* t/am-prog-mkdir-p.sh: Enhance.

2013-04-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  sync: update files from upstream with "make fetch"
	  maintcheck: remove outdated whitelisting
	  tar: format 'ustar' cannot support UID/GID longer than 21 bits
	  docs: issues with configure substitutions in TESTS
	  tests: avoid possible autotools caching issues (automake bug#13832)
	  tests: rename some with more descriptive names
	  docs: add myself and Ralf Wildenhues as authors
	  authors: add myself
	  dry-run: don't get confused by '-I' option
	  tests: avoid a spurious failure with the Korn Shell
	  dry-run: with GNU make, prefer $(MFLAGS) over $(MAKEFLAGS)
	  header vars: can determine whether we are running under GNU make
	  NEWS: improve wording for automake bug#13514 fix
	  NEWS: document fix for automake bug#13514

2013-04-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  sync: update files from upstream with "make fetch"
	  maintcheck: remove outdated whitelisting
	  tar: format 'ustar' cannot support UID/GID longer than 21 bits

2013-04-30  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'fix-pr13588-pax-hangs' into branch-1.13.2

	* fix-pr13588-pax-hangs:
	  tar: format 'ustar' cannot support UID/GID longer than 21 bits

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid a spurious error with Solaris make

	* t/make-keepgoing.tap (Makefile.am): Here.

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	subdirs: don't return false positives for the '-k' option's presence

	This change fixes automake bug#12554.

	The old implementation of the code descending into $(SUBDIRS)
	entries used the following snippet to decide whether make is running
	with the '-k' a.k.a. '--keep-going' option, and thus whether a failure
	in a subdirectory should prevent the descent in the following ones:

	    fail= failcom='exit 1'; \
	    for f in x $$MAKEFLAGS; do \
	      case $$f in \
	        *=* | --[!k]*);; \
	        *k*) failcom='fail=yes';; \
	      esac; \
	    done

	It's clear that the second pattern in the 'case' construct could possibly
	match false positives, for examples in these two cases:

	    make check TESTS="x.test k.test"
	    make -I /usr/local/kool-fragments

	which are somewhat unusual, but not invalid.  So we need a more resilient
	implementation, as we did for the detection of the '-n' flag.

	This implementation is now provided by the new private macro
	'$(am__make_keepgoing)' (introduced in recent commits); so we can
	just us that to fix the bug.

	* lib/am/subdirs.am ($(am__recursive_targets)): Use '$(am__make_keepgoing)'
	instead of ad-hoc and more brittle checks.
	* t/list-of-tests.mk (XFAIL_TESTS): Remove the now-passing test case
	't/subdir-keep-going-pr12554.sh'.

	Reported-by: Michael Daniels <mdaniels@rim.com>

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	header-vars: recognize more make flags ('-k' in particular)

	* lib/am/header-vars.am (am__running_with_option): Here.
	Few improvements to comments, while at it.
	(am__make_keepgoing): New, tell whther make is being runt with
	the '-k' option.
	* t/make-keepgoing.tap: New test.
	* t/list-of-tests.mk: Add it.
	* t/make-dryrun.tap: Minor edits to keep it more in sync with
	the new test.

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	sync: update files from upstream with "make fetch"

	* lib/config.guess: Likewise.
	* lib/config.sub: Likewise.

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	maintcheck: remove outdated whitelisting

	* syntax-checks.mk (sc_tests_overriding_macros_on_cmdline): Here.
	The test 'make-dryrun.sh' has been since long rewritten as the TAP
	test 'make-dryrun.tap', and no longer spuriously triggers this
	maintainer check.

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	header-vars: simplify how make flags are determined

	Actually, son far only the '-n' option ("dry mode") was detected,
	but this change will allow us to soon detect more options.

	* lib/am/header-vars.am (am__running_with_option): Even when $MAKEFLAGS
	appears to contain definition of variables with embedded whitespace,
	use simple textual pre-processing over $MAKEFLAGS rather than tricky
	recursive invocations of make to determine whether the '-n' option was
	given.  This is enough to correctly handle all the tricky usages covered
	in the testsuite.
	* t/nodep.sh: Adjust to avoid a spurious failure.

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: remove dead code from t/make-dryrun.tap

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	header-vars: new variable $(am__running_with_option)

	This is a preparatory refactoring, needed by later patches.
	No semantic change is intended.

	* lib/am/header-vars.am (am__running_with_option): New, contains
	shell code that determines whether the current make instance is
	running with a given one-letter option (e.g., -k, -n) that takes
	no argument.  Actually, the only supported option at the moment
	is '-n' (support for '-k' will be added soon).
	(am__make_dryrun): Rewrite as a thin wrapper around
	'$(am__make_running_with_option)'.

2013-04-29  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: expose bug#12554 (false positives for presence of '-k' make option)

	The current implementation of the code descending into $(SUBDIRS)
	entries uses the following snippet to decide whether make is running
	with the '-k' a.k.a. '--keep-going' option, and thus whether a failure
	in a subdirectory should prevent the descent in the following ones:

	    fail= failcom='exit 1'; \
	    for f in x $$MAKEFLAGS; do \
	      case $$f in \
	        *=* | --[!k]*);; \
	        *k*) failcom='fail=yes';; \
	      esac; \
	    done

	It's clear that the second pattern in the 'case' construct can possibly
	match false positives, for examples in these two cases:

	    make check TESTS="x.test k.test"
	    make -I /usr/local/kool-fragments

	which are somewhat unusual, but not invalid.  So we need a more resilient
	implementation, as we did for the detection of the '-n' flag.

	But alas, such an implementation seems quite tricky to obtain in portable
	make.  So for the moment we content ourselves with exposing the bug, with
	the hope of being able to fix soon enough.

	* t/subdir-keep-going-pr12554.sh: New test.
	* t/list-of-tests.mk (handwritten_TESTS, XFAIL_TESTS): Add it.
	* THANKS: Update

	Reported-by: Michael Daniels <mdaniels@rim.com>

2013-04-28  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tar: format 'ustar' cannot support UID/GID longer than 21 bits

	See automake bug#8343 and bug#13588.

	POSIX 1988 'ustar' format is defined with *fixed-size* fields. There
	is notably a 21 bits limit (2097151) for the UID and the GID.

	Tom Rini tom_rini@mentor.com says (in bug#8343):

	    When the user has a UID or GID that is larger than the ustar format
	    supports, pax does not error out gracefully in some cases (FC13).

	Marc Herbert <marc.herbert@intel.com> adds (in bug#8343):

	    When "configure" is run by a user with an UID bigger than 21 bits,
	    BSD pax 3.4 aborts when trying to create the 'conftest.tar' test
	    archive and leaves an empty or corrupted conftest.tar file behind.
	    In the next step, pax tries to extract this incomplete or corrupted
	    archive and this *** hangs the whole ./configure script ***.

	    Note: GNU cpio 2.9 pretends to pass the test but it is a LIE: it
	    silently truncates any big UID to its lower 21 bits. I don't know
	    what can be the consequences of this lie.

	    I think there is currently a design issue in automake/m4/tar.m4
	    considering that a ustar archive should should *never* succeed when
	    ./configure is run from a big user ID.

	Months later, Petr Hracek <phracek@redhat.com> reports a similar issue
	(in bug#13588) for Fedora 17:

	    I am trying to solve problem in case a user is created with big
	    UID and during configuration pax hangs with message

	        ATTENTION! pax archive volume change required.
	        Ready for archive volume: 1
	        Input archive name or "." to quit pax.
	        Archive name >

	    and needs user interaction.

	    Reference: <https://bugzilla.redhat.com/show_bug.cgi?id=843376>

	Time to fix this issue, on the line of a preliminary patch provided by
	Petr Hracek in bug#13588.  The final patch ended up being remarkably
	different from that original proposition, though.

	* m4/tar.m4 (_AM_PROG_TAR): If the UID or GID of the current user is
	too high (> 2097151), the 'ustar' format cannot work.  Adjust checks
	accordingly.  Some related code reordering and clean-up.
	* t/tar-ustar-id-too-high.sh: New test.
	* t/list-of-tests.mk: Add it.
	* t/tar.sh: While at it, tweak and enhance a little.
	* t/tar2.sh: Likewise.
	* t/tar3.sh: Likewise.
	* t/tar-override.sh: Likewise.
	* NEWS: Update.
	* THANKS: Likewise.

	Helped-by: Pavel Raiskup <praiskup@redhat.com>
	Helped-by: Petr Hracek <phracek@redhat.com>
	Helped-by: Marc Herbert <marc.herbert@intel.com>
	Helped-by: Tom Rini <tom_rini@mentor.com>

2013-04-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  docs: issues with configure substitutions in TESTS
	  tests: avoid possible autotools caching issues (automake bug#13832)
	  docs: add myself and Ralf Wildenhues as authors
	  authors: add myself
	  dry-run: don't get confused by '-I' option
	  tests: avoid a spurious failure with the Korn Shell
	  dry-run: with GNU make, prefer $(MFLAGS) over $(MAKEFLAGS)
	  header vars: can determine whether we are running under GNU make
	  NEWS: improve wording for automake bug#13514 fix
	  NEWS: document fix for automake bug#13514

2013-04-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge few bug-fixing branches into branch-1.13.2

	* fix-part-pr13832:
	  tests: avoid possible autotools caching issues (automake bug#13832)

	* fix-pr13760:
	  dry-run: don't get confused by '-I' option
	  dry-run: with GNU make, prefer $(MFLAGS) over $(MAKEFLAGS)
	  header vars: can determine whether we are running under GNU make

	* fix-doc-pr14019:
	  docs: issues with configure substitutions in TESTS

	* news-wording-improve:
	  NEWS: improve wording for automake bug#13514 fix

2013-04-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: issues with configure substitutions in TESTS

	Motivated by automake bug#14019.

	* doc/automake.texi: Currently, when the parallel test harness is in use,
	configure substitutions in TESTS definitions can only work if they expand
	to tests that ends with a suffix listed in TEST_EXTENSIONS.  Document this
	limitation.

2013-04-26  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid possible autotools caching issues (automake bug#13832)

	* t/ar-lib4.sh: Here, by removing the autom4te cache before editing
	configure.ac and re-running the autotools.

2013-04-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: rename some with more descriptive names

	* t/tar3.sh: Rename ...
	* t/tar-opts-errors.sh: ... like this.
	* t/tar2.sh: Rename...
	* t/tar-pax.sh: ... like this.
	* t/tar.sh: Rename ...
	* t/tar-ustar.sh: ... like this.
	* t/list-of-tests.mk: Adjust.

2013-04-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	docs: add myself and Ralf Wildenhues as authors

	* doc/automake.texi: Here.

2013-04-25  Stefano Lattarini  <stefano.lattarini@gmail.com>

	authors: add myself

2013-04-23  Stefano Lattarini  <stefano.lattarini@gmail.com>

	dry-run: don't get confused by '-I' option

	Fixes automake bug#13760 for non-GNU make implementations that still
	support the option '-I'.  So far, the only such make implementation
	are FreeBSD (8.x) make and NetBSD (5.x) make.

	* lib/am/header-vars.am (am__make_dryrun): If a non-GNU make is being
	used, try to handle the '-I' option in $MAKEFLAGS correctly.  For GNU
	make, that is already done by the proper use of the $MFLAGS variable.

2013-04-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	tests: avoid a spurious failure with the Korn Shell

	* t/list-flags.sh: Ensure the EMACS variable is set before unsetting it.

2013-04-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	dry-run: with GNU make, prefer $(MFLAGS) over $(MAKEFLAGS)

	Fixes automake bug#13760 for GNU make.

	* lib/am/header-vars.am (am__make_dryrun): If GNU make is being used, rely
	on the contents of the $(MFLAGS) variable rather than of the $(MAKEFLAGS)
	to decide whther make is being executed in "dry run" mode.  Not only this
	makes the code possibly faster and less brittle, but also fixes automake
	bug#13760 (at least when GNU make is in use).
	* t/make-dryrun.tap: Adjust: some tests that were xfailing now pass.

2013-04-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	header vars: can determine whether we are running under GNU make

	This is mostly a preparatory patch in view of future changes.

	* lib/am/header-vars.am (am__is_gnu_make): New, contains shell code that
	determines whether we are running under GNU make.
	* t/make-is-gnu.sh: New test.
	* t/list-of-tests.mk: Add it.

2013-04-22  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: improve wording for automake bug#13514 fix

	Helped-by: Jack Kelly <jack@jackkelly.name>

2013-04-21  Stefano Lattarini  <stefano.lattarini@gmail.com>

	NEWS: document fix for automake bug#13514

	It was fixed by commit v1.13.1b-5-g7a3d7ce.

2013-04-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'maint'

	* maint:
	  INSTALL: regen
	  sync: update files from upstream with "make fetch"
	  tests: tweaks and minimal improvements to t/insthook.sh
	  typofix: in comments in t/extra2.sh
	  tests: fix botched cross-reference in a heading comment

2013-04-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

	Merge branch 'branch-1.13.2' into maint

	* branch-1.13.2:
	  INSTALL: regen
	  sync: update files from upstream with "make fetch"
	  tests: tweaks and minimal improvements to t/insthook.sh

2013-04-20  Stefano Lattarini  <stefano.lattarini@gmail.com>

